# --
# CHANGES - change log of OTRS
# Copyright (C) 2001-2012 OTRS AG, http://otrs.org/
# --
# $Id: CHANGES,v 1.993.2.213 2012/08/17 10:05:17 mg Exp $
# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (AGPL). If you
# did not receive this file, see http://www.gnu.org/licenses/agpl.txt.
# --

2.4.13 (2012/09/04)
 - 2012-08-17 HTML mails will now be displayed in an HTML5 sandbox iframe.
    This means that modern browsers will not execute plugins or JavaScript on the content
    any more. Currently, this is supported by Chrome and Safari, but IE10 and FF16 are also
 - 2012-08-17 HTML mails will now be displayed in the restricted zone in IE.
    This means that more restrictive security settings will apply, such as blocking of
    JavaScript content by default.
 - 2012-03-08 Fixed bug#8300 - Database upgrade issue when upgrading from 2.3 > 2.4 > 3.0 > 3.1:
    table smime_signer_cert_relations' already exists.
 - 2012-03-05 Fixed bug#7545 - AgentTicketBounce lacks permission checks.
 - 2012-02-23 Fixed bug#8227 - LDAP user syncronisation doesn't work.
 - 2011-12-09 Fixed bug#7997 - Fetching mail via AdminMailAccount does not work.
 - 2011-12-02 Fixed bug#5086 - Emails with a long subject are not handled.
 - 2011-11-21 Use the secure attribute to restrict coookies to HTTPS if it is used.
 - 2011-11-21 Fixed bug#7909 - Errors should be logged in web server error log only.
 - 2011-11-10 Fixed bug#7879 - Ticket forward not working if content-id exists.
 - 2011-11-07 Fixed bug#7362 - AuthSyncModule::LDAP::UserSyncMap with multiple auth backends.
 - 2011-11-02 Fixed bug#7465 - Out-of-office unlock does not work upon customer's web reply.
 - 2011-10-21 Fixed bug#7845 - No DispatchMultiple Method in rpc.pl script.

2.4.12 (2011/10/18)
 - 2011-09-22 Fixed bug#7776 - Double encoding for AJAX responses on ActiveState perl.

2.4.11 (2011/08/16)
 - 2011-07-28 Fixed bug#7518 - Escalation Notify by not working properly.
 - 2011-05-09 Fixed bug#7010 - Latest version of PDF::API2 no longer includes DejaVu fonts.
    Fixed by including DejaVu fonts in var/fonts.
 - 2011-04-26 Fixed bug#7250 - Add new queue mask crashes on PostgreSQL and MS SQL Server.
 - 2011-04-07 Fixed bug#7195 - Graphs doesn't use GIF as fallback if PNG is not available.

2.4.10 (2011/04/12)
 - 2011-04-04 Fixed bug#7140 - Attachments with percent symbol not working.
 - 2011-03-23 Updated Brazilian Portugese translation, thanks to Murilo Moreira de Oliveira!
 - 2011-03-18 Added required settings for oracle databases in apache2-httpd-new.include.conf.
 - 2011-03-07 Fixed bug#6014 - Printed pdf tickets are not searchable.
 - 2011-02-17 Fixed bug#6906 - Vendor URL points to Basename+URL instead of URL.
 - 2011-01-25 Event Based notification - respect "Include Attachments
    to Notification".
 - 2010-12-17 Fixed bug#6510 - Signature ID missing.
 - 2010-12-14 Fixed bug#6532 - With multiple inline images, only first one is
    preserved when replying.
 - 2010-12-13 Fixed bug#6520 - backup.pl doesn't backup with strong password.
 - 2010-12-09 Fixed bug#6488 - otrs.ArticleStorageSwitch.pl creating wrong files.
 - 2010-12-09 Fixed bug#3984 - HTML Notifications - Links to ticketsystem are not clickable.
 - 2010-12-02 Fixed bug#6366 - gnupg signatures not working correct for partly signed messages.
 - 2010-11-29 Fixed bug#5981 - Warnings from TransfromDateSelection() in AgentTicketMove.
 - 2010-11-23 Fixed bug#6131 - Lack of warning for revoked and expired PGP keys in email compose screens.
 - 2010-11-04 Fixed bug#6211 - Wrong TicketFreeText-value in ticket creation by
    using event notifications.
 - 2010-11-02 Email.ticket: wrong signature is shown.
 - 2010-10-26 Improved German translation, thanks to Stelios Gikas!
 - 2010-10-13 Fixed some Perl "uninitialized value" warnings.
 - 2010-10-12 Fixed bug#6087 - Search template name is broken if & or ; is used.

2.4.9 (2010/10/25)
 - 2010-09-30 Fixed bug#6016 - AgentTicketZoom is vunerable to XSS attacks from HTML e-mails.
 - 2010-09-22 Fixed bug#5903 - E-mail notification links don't contain <a href... tags.
 - 2010-09-29 Fixed bug#6030 - Event notifications are fired several times on
    event "TicketFreeTextUpdate".
 - 2010-09-14 Fixed bug#5541 - Dashboard Chart generates error in webserver log.
 - 2010-09-09 Fixed bug#5462 - Kernel::System::Ticket::TicketEscalationIndexBuild()
    does not invalidate the cache.
 - 2010-08-27 Fixed bug#5667 - Rich Text is not working in ipad. It's not
    possible to add a note or close a ticket.
 - 2010-08-25 Fixed bug#5266 - Ticket Zoom shows wrong html content if there
    is no text but two html attachments in there.

2.4.8 (2010/09/15)
 - (2010/08/24) Applied change suggested in bug#5733. $Text should be dereferenced while counting its length.
 - (2010/08/20) Fixed bug#5742 - Outgoing email link detection does not work properly.
 - (2010/08/18) Fixed bug#5444 - TicketZoom mask vulnerable to XSS.
 - (2010/08/09) Fixed bug#5698 - Ticket Assignment includes '(' character.
 - (2010/07/20) Fixed bug#4483 - AgentTicketActions, set radio button when select
    old/ new owner are selected, fix wrong javascript behavior.
 - (2010/07/15) Fixed bug#5416 - AgentTicketMove does not support Pending Date.
 - (2010/07/15) Fixed bug#5556 - Broken unicode chars in CustomerUser selections.
 - (2010/07/14) Fixed bug#5132 - New owner validation always ask to set a owner.
 - (2010/07/13) Fixed bug#5210 - LinkQuote consumes all CPU memory when processing a
    large amount of data.
 - (2010/07/13) Fixed bug#5550 - Broken linebreaks in textareas of Google Chrome.
 - (2010/07/07) Fixed bug#5541 - Dashboard Chart generates error in webserver log.
 - (2010/07/01) Fixed bug#5512 - Bulk Action No Access is displayed incorrectly.
 - (2010/06/25) Updated Danish translation, thanks to Jesper R�nnov,
    Faaborg-Midtfyn Kommune!
 - (2010/06/24) Fixed bug#5445 - Reflected XSS vulnerability.
 - (2010/06/16) Fixed bug#5488 - AutoPriorityIncrease runs into failures.
 - (2010/06/16) Fixed bug#5478 - Web Installer has 'editable' license text.
 - (2010/05/31) Fixed bug#5385 - Queue name is not used in signature on ticket
    creation.
 - (2010/05/28) Fixed bug#5235 - Link in response not shown as link.
 - (2010/05/28) Added PNG version of data model in doc directory.
 - (2010/05/28) Fixed bug#5395 - Function $LanguageObject->Time() can't process
    seconds.
 - (2010/05/25) Fixed bug#5397 - Response not converted to Ascii when Rich Text
    Editor is disabled.
 - (2010/05/24) Fixed bug#5383 - Fckeditor localization not working for some
    languages such as Brazilian Portuguese.
 - (2010/05/07) Fixed bug#5336 - Also set execute bit on scripts/tools.
 - (2010/04/30) Make it possible to use a version argument with bin/opm.pl.
 - (2010/04/21) Fixed bug#5266 - Ticket Zoom shows wrong html content if there
    is no text but two html attachments in there.
 - (2010/04/15) Fixed bug#5242 - Newlines are not displayed in html notification
    mails on Lotus Notes
 - (2010/04/14) Fixed bug#4999 - Cache for customer user is not refreshed when
    a preference is updated.
 - (2010/04/13) Fixed bug#5152 - responsible_user_id in ticket table is wrong in
    otrs-database.dia.
 - (2010/04/12) Fixed bug#5108 - The RSS date was not displayed correctly.
 - (2010/04/12) Fixed bug#5112 - Redirecting to a valid screen after unsubscribing
    from a ticket where the agent does not have permissions on the queue.
 - (2010/04/06) Fixed bug#4986 - There is no activate/deactivate check for
    Graphsize menu when the page loads in Stats Definition
 - (2010/04/01) Fixed bug#4786 - AgentTicketCompose ONLY: Defining a next state,
    then adding and attachment, resets the next state upon screen refresh.
 - (2010/03/29) Improved handling of the StateType attribute of
    StateGetStatesByType() in Kernel/System/State.pm.
 - (2010/03/24) Fixed bug#5164 - Pending time not working if agent as an other
    timezone.
 - (2010/03/19) Fixed bug#5094 - Bulk pending date/time do not get applied to
    tickets.
 - (2010/03/18) Updated Ukrainian language translation, thanks to Belskii Artem!
 - (2010/03/10) Fixed bug#4416 - Merge: whitespace before ticketnumber is not
    removed.
 - (2010/03/09) Fixed bug#5085 - Wrong colours codes in Stats::Graph::dclrs
 - (2010/03/08) Fixed bug#5102 - Notification sent to OTRS instead of Customer
 - (2010/03/04) Fixed bug#5044 - Missing translation in ticket history after
    responsible update.
 - (2010/03/02) Updated Czech translation, thanks to O2BS.com, s r.o. Jakub Hanus!
 - (2010/02/26) Fixed bug#4137 - Follow ups to internal forwarded message marked
    as customer reply.
 - (2010/02/23) Updated pt_BR translation file, thanks to Fabricio Luiz Machado!
 - (2010/02/22) Fixed bug#5020 - Framework version for stats export is outdated.
 - (2010/02/18) Fixed bug#4969 - Event Based Notification: Body Match field
    displays Subject Match value.
 - (2010/02/16) Fixed bug#4967 - Can't locate object method "new" via package
    error when using Perl 5.10.1.
 - (2010/02/15) Fixed bug#4977 - mod_perl is not used in fedora with RPM.
 - (2010/02/12) Fixed bug#4936 - Kernel::System::Main::FileWrite has race condition.
 - (2010/02/11) Fixed bug#4442 - Customer search fails when there is a space
    in the name.
 - (2010/02/11) Fixed bug#4822 - No fulltext search with more then one word
    for FAQ.
 - (2010/02/10) Fixed bug#4889 - Inline images from Lotus Notes are not
    displayed in ticket zoom.
 - (2010/02/09) Fixed bug#4658 - Cannot delete attachment from AdminAttachment
    interface.

2.4.7 (2010/02/08)
 - (2010/02/04) Fixed SQL quoting issue (see also
    http://otrs.org/advisory/OSA-2010-01-en/).
 - (2010/02/03) Fixed bug#4937 - Accounted time per article is not displayed
    in PDF print.
 - (2010/02/03) Fixed bug#4848 - Issue with TicketOverView object - does not
    show all tickets when moving through list.
 - (2010/02/02) Fixed issue with migrating Customer Queue notifications to
    Event Based when upgrading OTRS 2.3 > 2.4.
 - (2010/02/01) Fixed bug#4393 - AgentTicketQueue - Small view takes long to
    load. -> New solution with own config option for each view mode (S/M/L)
    Admin -> SysConfig -> Ticket -> Frontend::Agent::TicketOverview.
 - (2010/01/25) Fixed bug#4818 - Removed inline image of forwarded message gets
    still included.
 - (2010/01/20) Fixed bug#4780 - Adding groups to a CustomerUser fails,
    adding CustomerUsers to a group works.
 - (2010/01/20) Fixed bug#4486 - Some preferences displayed in AdminUser are not
    correct.
 - (2010/01/18) Fixed bug#4770 - Attachments are stripped/not shown from
    outgoing emails in some scenarios with ms exchange.
 - (2010/01/15) Fixed bug#4735 - TicketFreeTime search in Customer frontend
    does not work as expected
 - (2010/01/15) Fixed bug#4758 - Dashboard RSS feeds doesn't display XML
    encoded entities correctly.
 - (2010/01/13) Fixed bug#4754 - Multiple tickets with a huge POP3 Mailbox
    - more then 2000 email in the box ("Deep recursion on subroutine").
 - (2010/01/13) Fixed bug#4713 - In ticket overview, after adding view=30 - no
    tickets are visible.
 - (2010/01/12) Upgrade of cpan Net::IMAP::Simple from 1.17 to 1.1910.

2.4.6 (2010/01/12)
 - (2010/01/11) Fixed bug#4737 - Customer User update fails in 2.4.6 RC.
 - (2010/01/08) Fixed bug#4730 - Unable to open Admin > Attachments in IE8.
 - (2010/01/07) Fixed bug#4731 - Service and SLA gets translated after AJAX
    reload in Phone an Email Ticket.
 - (2010/01/05) Fixed bug#4718 - LDAP auth not possible with OTRS in iso-8859-1
    and utf-8 ldap directory.
 - (2010/01/05) Fixed bug#4708 - Added ArticleID to output of
    bin/otrs.getTicketThread.
 - (2010/01/04) Fixed bug#4704 - Package Manager: upload install fails with
    "Message: Need ContentType!" with Google Chrome browser.
 - (2009/12/30) Added Ukrainian language translation, thanks to Belskii Artem!
 - (2009/12/30) Fixed bug#4727 - Added proper removal of FormID in
    AgentTicketPhoneOutbound.
 - (2009/12/23) Fixed bug#3526 - Escalation emails are resent over and over again.
 - (2009/12/23) Fixed bug#4428 - PGP-inline signed messages can't be encoded
    correctly with rich text editor.
 - (2009/12/22) Fixed bug#4690 - AdminMailAccount - only 50 characters can be
    entered in username, password and host fields while database can store 200.
 - (2009/12/16) Fixed bug#4503 - Border around image does not display well
    in some email clients.
 - (2009/12/13) Fixed bug#4393 - AgentTicketQueue - Small view takes long to load.
 - (2009/12/09) Fixed crash in Ascii2Html() if no scalar reference is given.
 - (2009/12/09) Fixed bug#4551 - GenericAgent appends leading zeros to dates
    if TimeInputFormat is "Input".
 - (2009/12/09) Fixed bug#4584 - Auto response does not use selected from e-mail
    address.
 - (2009/12/09) Fixed bug#4435 - Inline attachments break in some scenarios like
    AgentTicketCompose and AgentTicketForward.
 - (2009/12/09) Fixed bug#4556 - Translation "Accounted Time" to german "Zugewiesene Zeit".
 - (2009/12/09) Fixed bug#4184 - Can't call method "NotificationGet" on
    an undefined value.
 - (2009/12/09) Fixed bug#4371 - DataSelected value for config option
    PreferencesGroups###WatcherNotify doesn't work.
 - (2009/12/09) Fixed bug#4486 - Some preferences displayed in AdminUser are not
    correct.
 - (2009/12/09) Fixed bug#4363 - Kernel/Output/HTML/Layout.pm -> PageNavBar()
    mistakes because of missing checks and descriptions.
 - (2009/12/08) Fixed bug#4361 - Umlauts in Dashboard are not displayed correcty
    after refresh on non-unicode databases.
 - (2009/12/08) Fixed bug# 4323 - Customer Interface shows last customer article
    instead of last article.
 - (2009/12/08) Fixed bug#4384 - Customer User Info not deleted when From in
    AgentTicketPhone is changed.
 - (2009/12/08) Fixed bug#4482 - Owner update possible with no new owner set.
 - (2009/12/07) Fixed bug#4246 - Response Templates fail to populate for certain
    email tickets.
 - (2009/12/07) Fixed bug#4381 - Function change_selection in AgentTicketMove.
 - (2009/12/07) Fixed bug#4400 - OTRS switches back to phone view when closing
    ticket after split.
 - (2009/12/07) Fixed bug#4597 - Unnecessary slash in download links.
 - (2009/12/07) Fixed bug#2768 - AttachmentsContent-Disposition header downloading
    a non-ASCII filename.
 - (2009/12/07) Fixed bug#4282 - Fixed problems with CustomerInfo for Usernames
    with a '+'.
 - (2009/12/07) Fixed bug#4477 - Uninitialized Value issue with Redirect()
    function in Layout.pm.
 - (2009/12/07) Fixed bug#3907 - Caching function not working due to wrong
    hardcoded umask.
 - (2009/12/02) Fixed bug#4613 - Umlauts in <OTRS_*> variable and also on whole
    message are not show right with ArticleStorageFS.
 - (2009/12/02) Fixed bug#3667 - E-mail notification link is wrong when using
    FastCGI.
 - (2009/11/25) Fixed bug#4498 - Rich text editor places whitespace in front of
    lines in plain text mail body.
 - (2009/11/23) Fixed bug#4128 - Signature line breaks are stripped in
    E-Mail-Ticket.
 - (2009/11/18) Fixed bug#4319 - 'no quotable message' error for old messages
    after upgrade.
 - (2009/11/18) Added FastCGI handle for web installer.
 - (2009/11/17) Fixed bug#4299 - Image Upload in Signature Management fails.
 - (2009/11/16) Fixed bug#4464 - Spell checker (WYSIWIG + ispell) causes
    exceptions sometimes.
 - (2009/11/16) Fixed bug#4507 - Add Ticket Events for SLAUpdate, ServiceUpdate,
    and TicketTypeUpdate in AdminNotificationEvent UI.
 - (2009/11/16) Fixed bug#4509 - Notification (event based) comments are not
    saved.
 - (2009/11/06) Fixed bug#2069 - Update of customer company id in admin
    interface failed.
 - (2009/11/06) Fixed bug#2948 - Renamed crypt config option "md5" to "md5-crypt"
    to avoid missunderstanding.
 - (2009/10/30) Fixed JS Month check in frontend files.
 - (2009/10/26) Fixed bug#4455 - Input field in Preferences of a Dashboard
    module doesn't save settings.
 - (2009/10/26) Fixed bug#4454 - scripts/restore.pl is not working.
 - (2009/10/26) Fixed bug#4447 - TimeUnits not saved in AgentTicketMove.pm when
    omitting a note.
 - (2009/10/22) Fixed bug#4188 - Restore original subject check in AgentTicketMerge.
 - (2009/10/21) Fixed bug#4232 - SpellChecker Customer-Interface is not
    working.
 - (2009/10/19) Fixed bug#4433 - StateDefault is being ignored in when composing
    an email answer, current ticket state or first one in list gets selected.

2.4.5 (2009/10/15)
 - (2009/10/12) Fixed bug#3541 - Deleting tickets is not possible when using
    Full Text Search Index on MS-SQL or PostgreSQL.
 - (2009/10/12) Fixed bug#4392 - TicketCounter.log is created after permissions
    are set.
 - (2009/10/07) Updated cpan module TEXT::CSV to version 1.14 to
    fix bug#4195 - Import with leading 0 in a field not possible.
 - (2009/10/07) Fixed bug#3581 - Wrong German translation of "no".
 - (2009/10/07) Fixed bug#4397 - QueueView shows wrong filter name.
 - (2009/10/07) Fixed bug#4395 - Can't delete locked tickets via GenericAgent
    on PostgreSQL and MS-SQL databases.
 - (2009/10/07) Fixed bug#4367 - Generic agent produces TicketNumberLookup error
    messages.
 - (2009/10/05) Fixed bug#3793 - UTF-8 PostgreSQL database encode issues on
    incoming emails.
 - (2009/10/05) Updated Spanish translation, thanks to Emiliano Augusto!
 - (2009/10/02) Fixed bug#4379 - Array parameters not working in mkStats.pl
 - (2009/09/30) Fixed bug#4348 - Dashboard: Upcoming Events Caching on a
    per-user basis.
 - (2009/09/30) Fixed bug#4338 - Enhancement: Be able to disable customer
     feature of customer_id to have access to all ticket with same customer id.
 - (2009/09/30) Fixed bug#4358 - Unable to insert inline images in customer
    frontend if WebUploadCacheModule is set to "FS".
 - (2009/09/30) Fixed bug#4355 - SLA dropdown does not populate in
    AgentTicketEmail.
 - (2009/09/29) Fixed bug#3248 - TicketSearch with ExtendedSearchCondition not
    working correct.
 - (2009/09/29) Fixed bug#4341 - RTE is not coupled with RichTextViewing. Rich
    text is being shown, even if the text/plain MIME part is available.
    Added new config option to force rich text viewing in ticket zoom.

    SysConfig -> Ticket -> Frontend::Agent::Ticket::ViewZoom ->
     -=> Ticket::Frontend::ZoomRichTextForce

 - (2009/09/28) Fixed bug#4269 - Softwareerror in stats module after uninstall
    ITSMIncidentProblemManagement
 - (2009/09/28) Fixed bug#4341 - No HighlightColors configured fills up OTRS log
    file with warnings.
 - (2009/09/28) Fixed bug#4328 - Incorrect charset in AgentTicketAttachment.
 - (2009/09/28) Fixed bug#4333 - StateGet() gives wrong error message.
 - (2009/09/26) Fixed bug#4302 - Dashboard: Tickets Stats graph incorrect
   (permission related).
 - (2009/09/24) Fixed bug#3909 - Optional TicketFreeTimes with AgentTicketCompose
    break when attaching a file
 - (2009/09/23) Fixed bug#4326 - Notification emails have empty lines by using
    opera at creation time.
 - (2009/09/23) Fixed bug#3001 - Agent ticket queue ordering by priority causes
    SQL error.
 - (2009/09/23) Fixed bug#3969 - Role <-> User Admin Screen Refresh Error.
 - (2009/09/23) Fixed bug#3787 - Generic Agent: Send no notifications is not
    working.
 - (2009/09/23) Fixed bug#4222 - Changed Italian translation of "Login As".
 - (2009/09/23) Fixed bug#3923 - Frontend::Output::FilterText###OutputFilterTextAutoLink
    does not work.
 - (2009/09/23) Fixed bug#4226 - "Previous owner" alway empty when a new owner
    must be defined.
 - (2009/09/23) Fixed bug#4322 - Bulk-Action checkboxes are refilled wrongly by
    Firefox-Autocomplete feature.
 - (2009/09/23) Fixed bug#4320 - Javascript-check on empty body not working
    with RichText-Editor (RTE).
 - (2009/09/23) Fixed bug#2936 - $QData{""} and $Quote{""} crashes if a space
    is set between the arguments.
 - (2009/09/22) Fixed bug# 4262 - Encoding issue with Event-based notifications.
 - (2009/09/22) Fixed bug# 1420 - $Text{"User"} instead of $Text{"Username"} in
    AdminUserForm.dtl
 - (2009/09/22) Ensured that plain article body is used for ArticleViewModules
    in AgentTicketZoom.
 - (2009/09/21) Fixed bug#2087 - AgentTicketMove does not consider responsible
    feature.
 - (2009/09/21) Fixed bug#4029 - S/MIME activation with misunderandable
    message/incomplete documentation.
 - (2009/09/21) Fixed bug#3408 - Richtext editor - editor windows is way to small.
 - (2009/09/21) Fixed bug#4188 - Moving junk mails unnecessarily need subject and
    body.
 - (2009/09/21) Fixed bug#4189 - RTE off inserts a blank line in the text editor
    field.
 - (2009/09/21) Fixed bug#4080 - Rich editors javascript overrides onload function.
 - (2009/09/21) Fixed bug#3818 - Customer History - Small/Medium/Preview does
    not work.
 - (2009/09/21) Fixed bug#2532 - Problem when setting queues and subqueues to
    invalid.
 - (2009/09/18) Updated Spanish translation, thanks to Gustavo Azambuja!
 - (2009/09/16) Fixed bug#4288 - 4288: Use of uninitialized value in
    AdminGenericAgent.pm
 - (2009/09/16) Fixed bug#4292 - "<some@example.com>" in body breaks body on
    ticket split.
 - (2009/09/08) Fixed bug#4255 - RichText is not coupled with RichTextViewing.
    Rich Text is being shown, even if the text/plain MIME part is available.
 - (2009/09/08) Fixed bug#4243 - Adding a key to DefaultTheme HostBased via
    Sysconfig breaks OTRS.
 - (2009/09/08) Fixed bug#4257 - No event based notification is sent on queue
    update.
 - (2009/09/08) Fixed bug#4233 - AgentTicketCompose doesn't remember next state
    while attaching a file.
 - (2009/09/08) Fixed bug#4228 - scripts/DBUpdate-to-2.4.pl -
    MigrateCustomerNotification() fails.
 - (2009/09/08) Fixed bug#4232 - SpellChecker Customer-Interface is not
    working.
 - (2009/09/08) Fixed bug#4248 - follow up email contains the ticket number two
    times.
 - (2009/09/07) Fixed bug#4253 - No customer get found by using german umlaut
    "e. g. m�ller".
 - (2009/09/02) Fixed bug#4186 - Customer search autocomplete result field is
    sometimes too small to show complete customer entry.
 - (2009/09/02) Fixed bug#4234 - Typo in german update message.
 - (2009/09/01) Fixed bug#4139 - Missing config option to show or hide customer
    history tickets.
 - (2009/09/01) Fixed bug#4160 - Toolbar icons not correct in AdminCustomerUser.
 - (2009/09/01) Updated French translation, thanks to Remi Seguy.
 - (2009/09/01) Added Options for FirstResponseTime,UpdateTime,SolutionTime and
    CalendarID to bin/otrs.addQueue.
 - (2009/09/01) Fixed bug#4214 - TicketSearch on TicketID with ArrayRef doesn't
    give results.

2.4.4 (2009/08/31)
 - (2009/08/31) Fixed bug#4105 - CustomerUser has access to other Customers
    tickets than defined in CustomerIDs.
 - (2009/08/31) Fixed Android browser support.
 - (2009/08/31) Added SOAP::Lite, which is needed for the XML-RPC Interface,
    to bin/otrs.checkModules.
 - (2009/08/29) Fixed bug#4018 - CustomerCompany in ModuleAction section while
    CustomerUser in Module section.
 - (2009/08/28) Fixed bug#4159 - Text Editor does not work with Konqueror.
 - (2009/08/28) Fixed bug#4117 - UPGRADING: SetPermission.sh has to be run
    before the update script is started.
 - (2009/08/28) Fixed bug#1917 - Wrong Content-Type in downloaded message
    from ArticlePlain.
 - (2009/08/28) Fixed wrong quoting in links in AgentTicketZoom.dtl and
    CustomerTicketZoom.dtl.
 - (2009/08/28) Fixed bug#4203 - No German translation for "My Locked Tickets".
 - (2009/08/28) Fixed bug#1245 - Queues and responses are sorted descending
    instead of ascending in AdminQueueResponses.
 - (2009/08/27) Fixed bug#4198 - Error with services with one bracket in the
    name.
 - (2009/08/27) Fixed bug#4085 - The UPGRADING document is incorrect and
    misleading.
 - (2009/08/27) Fixed bug#2768 - AttachmentsContent-Disposition header
    downloading a with non-ASCII filename.
 - (2009/08/27) Fixed bug#3974 - Missing template stats in the 2.4.0 beta 5.
 - (2009/08/27) Fixed bug#3297 - Disabling of AgentTicketMerge does not remove
    merge link.
 - (2009/08/26) Fixed bug#3746 - Show expiration date for PGP or S/MIME keys.
 - (2009/08/25) Fixed bug#2676 - Translation issue for May.
 - (2009/08/26) Fixed bug#4122 - META: spell checker issues with Rich Text
    Editor.
 - (2009/08/25) Added prio color in dashboard ticket overview like in ticket
    overview "s" mode.
 - (2009/08/24) Fixed bug#4090 - RSS feeds have broken umlauts.
 - (2009/08/24) Fixed bug#4177 - ArticleFilterDialog does not work in IE
    Javascript.
 - (2009/08/24) Added COPYING-Third-Party - a list of all included party
    libraries.
 - (2009/08/21) Fixed bug#4178 - Added bundle of Apache2::Reload in
    Kernel/cpan-lib/, because it's no longer distributed with mod_perl.
 - (2009/08/21) Fixed bug#4170 - Typos in AgentTicketQueue and Sysconfig:MOTD.
 - (2009/08/19) Fixed bug#4070 - No refresh in CPanel activated by default /
    default values of preferences sys config not taken over.
 - (2009/08/18) Fixed bug#4161 - System takes about 20sec to get edit screen
    like note or compose answer.
 - (2009/08/18) Fixed bug#4073 - Forward form does not add attachment.
 - (2009/08/18) Fixed bug#4102 - otrs.addUser2Group: "Use of uninitialized
    value" message.
 - (2009/08/18) Replaced a Die() call in Kernel/System/Package.pm with an normal
    return for a better error handling.
 - (2009/08/18) Fixed bug#4049 - SetPermissions.sh fails if .fetchmailrc does
    not exist.
 - (2009/08/18) Added attachment support of ArticleCreate event in event based
    notification feature.
 - (2009/08/18) Fixed bug#4149 - TicketCreate event does not have access to
    Article attributes.
 - (2009/08/18) Fixed bug#4155 - Typo in German translation of
    AdminSystemAddressForm.dtl.
 - (2009/08/17) Fixed bug#3872 - Typo in CustomerFrontend::CommonParam###Action
    issue.
 - (2009/08/17) Fixed bug#4154 - Signature seperator is wrong.
 - (2009/08/16) Fixed bug#4011 - Kernel/System/PostMaster/Filter/Match.pm
    global symbol $Prefix not declared.
 - (2009/08/14) Fixed bug#4150 - US/English Date Format not available.
 - (2009/08/13) Fixed bug#4092 - Junk tickets shown as New tickets in Dashboard.
 - (2009/08/13) Fixed bug#4129 - Watched Tickets in Dashboard.
 - (2009/08/13) Fixed bug#4072 - Inline images broken in reply with
    ArticleStorageFS as attachment backend.

2.4.3 (2009/08/12)
 - (2009/08/10) Fixed bug#4123 - Reinstall of OPM packages with incorrect
    framework or OS possible.
 - (2009/08/10) Fixed bug#4116 - Error when bouncing welcome ticket.
 - (2009/08/10) Fixed bug#3870 - OTRS utf-8 to iso-8859-1 conversion error
    messages on every incoming mail.
 - (2009/08/05) Fixed bug#4089 - root on OTRS Server gets an e-mail every 10
    minutes (Can't call method "FETCH" on an undefined value at ...Net/LDAP.pm
    line 274)
 - (2009/08/05) Fixed bug#4107 - OpenSearch URL incorrect in Customer
    Interface.
 - (2009/08/03) Improved ChallengeTokenCheck to check all token of own
    sessions (not only of current session).
 - (2009/08/01) Fixed bug#4086 - Kernel/System/Ticket.pm - next not in loop.
 - (2009/08/01) Fixed bug#2795 - Modification on SubjectRe (possible use of
    "" in Ticket::SubjectRe).
 - (2009/07/31) Fixed bug#4044 - WYSIWYG DefaultPreViewLines in ExpandMode.
 - (2009/07/30) Fixed bug#4082 - Queue customer notification moved to new
    event based notification feature, but it's still in admin interface and
    initial insert file.
 - (2009/07/30) Fixed bug#4081 - In Dashboard ticket overviews it is not
    possible to go to page 2,3,... and so on.
 - (2009/07/30) Fixed bug#4039 - Use of uninitialized value ->
    Kernel/Modules/AdminPackageManager.pm line.
 - (2009/07/30) Fixed bug#4052 - Error composing a message in a Ticket with
    "empty answer" if $QData{"OrigFrom"} is used in config option
    Ticket::Frontend::ResponseFormat.
 - (2009/07/30) Fixed bug#4048 - Subject starts with "Re:" when creating new
    ticket via EmailTicket.
 - (2009/07/30) Fixed bug#4031 - Generic Agent does not handle ticket create
    time settings.

2.4.2 (2009/07/29)
 - (2009/07/28) Added "bin/otrs.CacheDelete.pl" to remove all cached items.
 - (2009/07/28) Updated Chinese Simple translation, thanks to Never Min!
 - (2009/07/28) Updated Swedish translation, thanks to Mikael Mattsson!
 - (2009/07/27) Fixed bug#3962 - Page displayed with errors when filename
    in attachment has simple quotes in it.
 - (2009/07/27) Fixed bug#4054 - Bulk-action don't change ticket state.
 - (2009/07/27) Fixed bug#3944 - Obligated TicketFreeText in composer breaks
    WYSIWYG Editor when replying.
 - (2009/07/26) Fixed bug#4009 - Improved sql statement in GenericAgent (
    SELECT distinct(job_name) FROM generic_agent_jobs).
 - (2009/07/26) Fixed bug#3987 - When executing upgrade script (
    scripts/DBUpdate-to-2.4.pl), get an error "Need Ticket::ViewableStateType
    in Kernel/Config.pm!".
 - (2009/07/26) Fixed bug#3984 - HTML Notifications - Links to ticketsystem not
    "clickable" in email client thunderbird.
 - (2009/07/25) Fixed bug#4038 - Entering text for RTL languages is impossible
    in rich text mode!
 - (2009/07/25) Fixed bug#4046 - Dashboard New/Open do not show anything in
   "New Tickets" and "Open Tickets" section.
 - (2009/07/24) Fixed bug#4043 - French translation is corrupted.
 - (2009/07/24) Fixed bug#3904 - Signing Mails with PGP or S/MIME not possible
   in AgentTicketEmail.
 - (2009/07/23) Fixed bug#4020 - OTRS crashes when signing with PGP/GnuPG
    - Got no EncodeObject!
 - (2009/07/23) Fixed bug#2304 - Two notification when a owner is changed.
 - (2009/07/23) Fixed bug#2495 - Annoying Responsible Update Notifications.
 - (2009/07/23) Fixed bug#4036 - Dashboard Plugin Upcoming Events shows also
    "pending auto close" tickets as "pending reminder reached in".
 - (2009/07/22) Fixed bug#4035 - Dashboard Product Notify get's shown always,
    also if no new release info is available.
 - (2009/07/22) Fixed bug#4027 - RichText: Incoming emails written with MS
    Word 12 seems to be empty.
 - (2009/07/22) Fixed bug#4026 - Quote in Auto-Responses of new tickets which
    are created over the web interface are not plain text. Quote in
    Auto-Responses based on emails are working fine.
 - (2009/07/22) Fixed bug#4024 - Use of Sessions per URL (not cookie) breaks
    Dashboard.

2.4.1 (2009/07/22)
 - (2009/07/21) Updated Hungarian translation, thanks to Arnold Matyasi!
 - (2009/07/21) Updated Turkish translation, thanks to Meric Iktu!
 - (2009/07/21) Moved to default font "Geneva,Helvetica,Arial" of rich text
    feature.
 - (2009/07/21) Fixed bug#4005 - Spellcheck with FCKEditor Plugin for WYSIWYG.
 - (2009/07/21) Fixed bug#4022 - In AgentTicketZoom I get the following error
    message in log index.pl: Malformed UTF-8 character (unexpected
    non-continuation byte 0x74, immediately after start byte 0xe9) in
    substitution iterator at ../..//Kernel/Modules/AgentTicketAttachment.pm
    line 192.
 - (2009/07/21) Added/Updated new Chinese Traditional translation, thanks to
    Bin Du, Yiye Huang and Qingjiu Jia!

2.4.0 beta6 (2009/07/19)
 - (2009/07/19) Moved to fckeditor (http://www.fckeditor.net/) as rich text
    editor because of several problems regaring text formating with YUI rich
    text editor.
 - (2009/07/19) Updated CPAN File::Temp to verion 0.22.
 - (2009/07/19) Updated Chinese Simple translation, thanks to Never Min!
 - (2009/07/19) Added new Chinese Traditional translation, thanks to Bin Du,
    Yiye Huang and Qingjiu Jia!
 - (2009/07/19) Updated Chinese Simple translation, thanks to Bin Du,
    Yiye Huang and Qingjiu Jia!
 - (2009/07/18) Fixed bug#4004 - Can not search for customer strings like
    "St. Peters", I always get the result of "St.+Peters" which is much
     more then I want. Please make it working like in OTRS 2.3.
 - (2009/07/18) Fixed bug#3991 - Link in HTML Article opens in iframe.
 - (2009/07/18) Renamed Kernel/System/HTML2Ascii.pm to
    Kernel/System/HTMLUtils.pm, because of better naming.
 - (2009/07/17) Updated Russian translation, thanks to Andrey Cherepanov!
 - (2009/07/16) Fixed bug#4001 - proxy usage - rss get's not loaded via
    proxy settings.
 - (2009/07/16) Updated Russian translation, thanks to Egor Tsilenko!
 - (2009/07/16) Fixed bug#3994 - It's possible to create an email ticket
 - (2009/07/16) Fixed bug# 3997 - Wrong named variable in AgentTicketZoom.
 - (2009/07/16) Fixed bug# 3993 - Error message about wrong email adress
    not visible in AgentTicketPhone and AgentTicketEmail if AutoComplete
    is enabled.
 - (2009/07/16) Fixed bug# 3994 - It's possible to create an email ticket
    for internal queues.
 - (2009/07/15) Fixed bug# 3663 - Responsible Notification does not happen
    for pending reached.
    Added config optio to be compat. to old OTRS versions.

    -->> SysConfig -> Ticket -> Core::Ticket ->
             Ticket::PendingNotificationNotToResponsible <<--

 - (2009/07/15) Updated Italian translation, thanks to Giordano Bianchi,
    Emiliano Coletti and Alessandro Faraldi!
 - (2009/07/14) Fixed bug# 3983 - bin/PendingJobs.pl is not sendign reminder
    email (Error Message: Message: Need RecipientID!).
 - (2009/07/14) Fixed bug# 3977 - Tags of auto responses get not replaced.
 - (2009/07/14) Fixed bug# 3960 - Split function does not use RichText content
    from original article for new article.
 - (2009/07/14) Fixed bug# 3976 - AgentTicketBounce does not work when
    Frontend::RichText is disabled.
 - (2009/07/13) Updated Russian translation, thanks to Mike Lykov!
 - (2009/07/13) Updated Italian translation, thanks to Remo Catelotti!
 - (2009/07/13) Fixed bug# 3975 - New Dashboard Featrue: SQL of Upcoming Events
    (for pending remidner time) is not using database index, index on
    until_time is missing. Use scripts/DBUpdate-to-2.4.*.sql for upgrading.
 - (2009/07/13) Fixed bug# 3972 - Sub Kernel::System::TicketOwnerCheck() gives
    wrong result if asked for different TicketIDs in one TicketObject.
 - (2009/07/13) Updated Persian translation, thanks to Amir Shams Parsa!
 - (2009/07/13) Updated Dutch translation, thanks to Michiel Beijen!
 - (2009/07/13) Fixed bug# 3790 - POP3S doesn't fail when IO::Socket::SSL is not
    installed or mail server address is wrong.
 - (2009/07/13) Improved dashboard api / module layer to load content changes
    via AJAX / no compiled dashboard reload is needed.
 - (2009/07/11) Added new dashboard backend to show online agent and customers.
 - (2009/07/11) Improved dashboard api / module layer (added Preferences() to
    API to get/modify config settings of backend at runtime).
 - (2009/07/11) Fixed bug# 3967 - Unable to create notes by using GenericAgent
    (Error: Need Charset!).
 - (2009/07/11) Fixed bug# 3965 - New TicketOverview S/M/L feature: Last used
    ticket view mode get't only stored in current session but get lost after
    new relogin.
 - (2009/07/11) Fixed bug# 3964 - Update script is not working correctly (Can't
    call method "NotificationAdd" on an undefined value at
    scripts/DBUpdate-to-2.4.pl line 218).
 - (2009/07/11) Fixed bug# 3963 - Upgrade script is not executable
    scripts/DBUpdate-to-2.4.pl.

2.4.0 beta5 (2009/07/09)
 - (2009/07/09) Fixed bug# 3938 - GenericAgent.pl - send agent escalation
    notification escalation ERROR (Got no EncodeObject).
 - (2009/07/09) Updated Polish translation, thanks to Artur Skalski!
 - (2009/07/09) Updated French translation, thanks to Olivier Sallou!
 - (2009/07/09) Updated Persian translation, thanks to Afshar Mohebbi!
    See also at
    http://afsharm.blogspot.com/2009/06/localizing-otrs-into-persian-farsi.html
 - (2009/07/09) Added CSV/HTML export for Admin-SQL-Box feature.
 - (2009/07/09) Fixed bug# 3956 - New OpenSearch feature for fulltext search
    is not working.
 - (2009/07/08) Fixed bug# 3954 - Lite Theme is not working.
 - (2009/07/07) Updated Italian translation, thanks to Remo Catelotti!
 - (2009/07/06) Fixed bug# 3948 - Some <OTRS> variables are not replaced in
    responses and auto responses.
 - (2009/07/06) Fixed bug# 3946 - Incomplete substitution of tag
    <OTRS_FIRST_NAME> in templates.
 - (2009/07/01) Added Kernel/Language/en_CA.pm and Kernel/Language/en_GB.pm
    to have different date formats for US, CA and GB.
 - (2009/07/01) Fixed bug# 3939 - Not able to configure an external
    customer dastabase source // Got no EncodeObject! at Kernel/System/DB.pm
    line 96.
 - (2009/07/01) Fixed bug# 3935 - Frontend::CustomerUser::Item###9-OpenTickets
    does not work anymore.
 - (2009/07/01) Fixed bug# 3936 - "select all" in bulk action is not working
    on only one ticket in overview.
 - (2009/06/30) Updated Italian translation, thanks to Remo Catelotti!
 - (2009/06/30) Fixed bug# 3934 - Error message on email processing - without
    any effect.

2.4.0 beta4 (2009/06/30)
 - (2009/06/25) Fixed bug# 3774 - Wrong processing of email address containing
    www.com.
 - (2009/06/25) Fixed bug# 3892 - Wrong error message on agents changing his
    password.
 - (2009/06/29) Fixed bug# 3933 - Kernel::System::LinkObject should be usable
    in rpc.pl.
 - (2009/06/20) Updated Norwegian translation, thanks to Fredrik Andersen!
 - (2009/06/29) Added Latvian translation, thanks to Ivars Strazdins!
 - (2009/06/25) Fixed bug# 3911 - Not all Dashboard Functions e. g. charts
    available in Internet Explorer 6.
 - (2009/06/25) Fixed bug# 3925 - Frontend::NavBarModule in agent navigation
    bar "Ticket::TicketSearchFulltext" and "Ticket::TicketSearchProfile" not
    working together.
 - (2009/06/25) Fixed bug# 3924 - Upcoming Events -> wrong displayed Escalation
    time.
 - (2009/06/25) Fixed bug# 3917 - Dashboard will crash when no Internet
    connection available - Module: ProductNotify.
 - (2009/06/25) Fixed bug# 3913 - Missing Modules in 2.4.0 beta1-beta3:
    Kernel/Output/HTML/ServicePreferencesGeneric.pm and
    Kernel/Output/HTML/SLAPreferencesGeneric.pm.
 - (2009/06/24) Fixed bug# 3826 - In auto responses and agent notifications,
    WYSIWYG is not working.
 - (2009/06/24) Fixed bug# 3796 - Admin notification edit screen is not coming
    proper in WYSIWYG editor.
 - (2009/06/22) Added PasswordMaxLoginFailed as password preferences to define
    max login till user get gets disabled (invalid-temporarily). Feature
    provided by Torsten Thau.
 - (2009/06/22) Fixed bug# 3775 - Translation error in Kernel/Language/de.pm.
 - (2009/06/22) Fixed bug# 3879 - Typing mistakes in the notification texts
    (scripts/database/otrs-initial_insert.xml).
 - (2009/06/22) Fixed bug# 3907 - Sum rows/columns in stats only adds integers.
 - (2009/06/16) Fixed bug# 3881 - Dashboard - Error message when
    http://otrs.org/rss/ is not reachable.
 - (2009/06/13) Fixed bug# 3791 - Safari v3+4 cannot work with WYSIWYG Editor.
 - (2009/06/10) Fixed bug# 3882 - Dashboard does not set LastScreenOverview.
 - (2009/06/10) Added own web user agent, Kernel::System::WebUserAgent. Removed
    http/ftp access from Kernel::System::Package, moved to new core module.
 - (2009/06/10) Moved default menu type form "Classic" to "Modern".

2.4.0 beta3 (2009/06/08)
 - (2009/06/08) Fixed bug# 3852 - installer.pl throws Got no EncodeObject.
 - (2009/06/08) Fixed bug# 3842 - DBUpdate-to-2.4.pl - Error when updating from
    beta1 to beta 2.
 - (2009/05/28) Added new management dashboard feature.
 - (2009/05/28) Added new event based notication management feature (notification
    can get easy managed via the admin interface).
 - (2009/05/28) Fixed bug# 3868 - the replacement of %s in $Text{} content
    doesn't work if the content is 0.
 - (2009/05/28) Fixed bug# 3846 - Generic Agents - cant set "Create Times"
    settings.
 - (2009/05/27) Fixed bug# 3862 - typos in english warning message of
    GenericAgent setup.
 - (2009/05/18) Updated CPAN module Text::CSV to version 1.12.

2.4.0 beta2 (2009/05/15)
 - (2009/05/15) Fixed bug# 3618 - Ticket history info (ticket_history.queue_id)
    on TicketMove-Event is saving the old queue_id instead of the new queue_id.
 - (2009/05/15) Fixed bug# 3598 - Attachments are incorrectly displayed in
    ticket zoom view when attachments are located in file system (done by
    AttachmentFS) and now AttachmentDB backned is used.
 - (2009/05/15) Fixed bug# 3583 - Watched tickets do not follow queue rights.
    Can't read watched tickets with no permissions in new queue.
 - (2009/05/15) Fixed bug# 3816 - Typo in some bin/*.pl files like
    bin/PostMasterMailbox.pl.
 - (2009/05/15) Added escalation time selection in admin generic agent
    interface.
 - (2009/05/15) Added notification event feature (be able to create custom
    notifications based on ticket events). Old notifications get migrated
    by scripts/DBUpdate-to-2.4.pl. Removed queue attributes for customer
    notification options.
 - (2009/04/27) Fixed bug# 3805 - Error: Module
    Kernel/Output/HTML/NavBarTicketBulkAction.pm not found!'
 - (2009/04/27) Fixed bug# 3802 - Errormessage: "Got no EncodeObject!" if
    using rpc.pl (SOAP).
 - (2009/04/24) Fixed bug# 3691 - CustomerUser::LDAP does support GroupDN now.
 - (2009/04/23) Fixed bug# 3799 - The UPGRADING refrences a file not included
    in the source code.
 - (2009/04/20) Updated nb_NO translation, thanks to Fredrik Andersen!
 - (2009/04/20) Fixed bug# 3786 - No CSS get found at installation time (no
    colors are visable).

2.4.0 beta1 (2009/04/20)
 - (2009/04/20) Changed default config size of IPC-Log (LogSystemCacheSize)
    to 32k (64k is not working on darwin).
 - (2009/04/20) Moved from bin/SetPermissions.sh to bin/SetPermissions.pl
    for a better maintanance.
 - (2009/04/20) Added warning screen to AdminSysConfig, AdminPackageManager,
    AdminGenericAgent to block to use it till SecureMode is activated.
 - (2009/04/18) Added SysConfig setting to (not) include custmers email address
    on composing an answer "Ticket::Frontend::ComposeAddCustomerAddress".
    Default is set to true.
 - (2009/04/17) Added own SysConfig settings for bulk action (
    Ticket // Frontend::Agent::Ticket::ViewBulk).
 - (2009/04/15) Removed AgentCanBeCustomer option from agent frontend.
    Customer followup messages can only be created from the customer frontend.
 - (2009/04/09) Added search for article create times in ticket search.
 - (2009/04/09) Improved email send functionality to properly format emails
    with alternative parts and inline images.
 - (2009/04/09) Added enhancement bug# 3514 - RegExp support in ACLs. Now you
    can use RegExp in ACLs like the followin example:

    $Self->{TicketAcl}->{'ACL-Name-1'} = {
       # match properties
       Properties => {
           Queue => {
               Name => ['[RegExp]^Misc'],
           },
       },
       # return possible options (white list)
       Possible => {
           # possible ticket options (white list)
           Ticket => {
               Service  => ['[RegExp]^t1', '[RegExp]^t2'],
               Priority => [ '4 high' ],
           },
       },
    };

    Starting with "[RegExp]" in value area means the following will be a regexp
    content.

    This ACL will match all Queues with starting "Misc" and all services with
    starting "t1" and "t2". So you do not longer need to write every full queue
    names to the array list.

    o Usage of [RegExp] results in case-sensitive matching.
    o Usage of [regexp] results in case-insensitive matching.

 - (2009/04/08) Updated CPAN module CGI to version 3.43.
 - (2009/04/07) Changed default config size of IPC-Log (LogSystemCacheSize)
    to 64k (160k is not working on darwin).
 - (2009/04/07) Added SMTPS support for outgoing emails (e. g. for sending
    via gmail smtp server).
 - (2009/04/06) Added fulltext search feature for quick search (OpenSearch
    format and input field in nav bar - disabled per default).
 - (2009/04/03) Added check for required perl version 5.8.6.
 - (2009/04/02) Added possibility to search tickets with params like
    *OlderMinutes and *NewerMinutes with 0 minutes.
 - (2009/04/02) Fixed bug# 3732 - Improved russion translation.
 - (2009/04/02) Dropped MaxDB/SAPDB support due to some limitations.
 - (2009/04/01) Fixed bug# 3295 - SQL error when you have no state of type
    "pending reminder".
 - (2009/04/01) Fixed bug# 2296 - Enable/disable "blinking queue" in QueueView
    via SysConfig.
 - (2009/04/01) Fixed bug# 3641 - AgentTicketCustomer totally broken in CVS.
 - (2009/04/01) When merging tickets, assign article based ticket history
    entries to the merged ticket as well.
 - (2009/04/01) Implemented enhancement/bug# 3333 - Increased the memory of
    the shared memory used for SystemLog.
 - (2009/04/01) Fixed bug# 3737 - Non-ascii characters in filenames of outbound
    email attachments are not quoted.
 - (2009/04/01) Implement enhancement/bug# 3527 - the input fields at the
    restrictions of the stats module now allow the use of wildcards at the
    beginning and end of a word (e.g. 'huber*'). This is now the same behavior
    as in GenericAgent. But not the behavior of the TicketSearch.
 - (2009/03/30) Updated CPAN module Authen::SASL to version 2.12.
 - (2009/03/30) Updated CPAN module Text::CSV to version 1.11.
 - (2009/03/30) Updated CPAN module File::Temp to version 0.21.
 - (2009/03/17) Fixed bug# 3729 - Missing translation of "Customer history"
    in AgentTicketCustomer.
 - (2009/03/17) Fixed bug# 3713 - Apache-error if ticket has only internal
    articles.
 - (2009/03/06) Added article filter feature in TicketZoom.
 - (2009/03/01) Replaced dtl variable for image location "$Env{"Images"}" by
    using config option "$Config{"Frontend::ImagePath"}" to remove not needed
    $Env{} "alias". Added "$Config{"Frontend::JavaScriptPath"}" for java script
    and "$Config{"Frontend::CSSPath"}" for css directory.
 - (2009/02/27) Added feature to show the ticket title or the last
    customer subject in TicketOverviewSmall.
 - (2009/02/27) Added enhancement bug# 3271 Added accessibility of
    Kernel::System::CustomerUser (CustomerUserObject) to bin/cgi-bin/rpc.pl
    (SOAP handle).
 - (2009/02/17) Added group permission support for bulk feature (config via
    SysConfig -> Ticket -> Core::TicketBulkAction).
 - (2009/02/17) Added read only permission support for watched tickets.
 - (2009/02/17) Added agent notification support for watched tickets (config
    via perferences setting for each agent).
 - (2009/02/11) Fixed ticket# 2009020942001554 - generic agent is logging many
    debug infos into log file.
 - (2009/02/09) Fixed bug# 3075 - IntroUpgrade Text is not shown during package
    upgrade in admin interface of package manager.
 - (2009/02/09) Implement the same identifier handling for customer as for
    user. This effects the files Kernel/Ouptut/HTML/*/CustomerNavigationBar.dtl
    and Kernel/Ouptut/HTML/Layout.pm.
 - (2009/02/05) Removed the dtl-if from Header.dtl. And implement a new
    handling to set a indentifier for the user information (usually visible
    on the top of the right side of a page).
 - (2009/02/04) Implement a config option to remove OTRS version tags
    from the http headers.
 - (2009/02/04) Removed a useless slogan from the HTML/DTL-Headers (
    Kernel/Ouptut/HTML/*/Header.dtl, Kernel/Ouptut/HTML/*/Footer.dtl, ...).
 - (2009/01/28) Fixed bug# 3233 - Better error message when adding auto
    responses with same name.
 - (2009/01/26) Removed outdated function FetchrowHashref() from core module
    Kernel/System/DB.pm.
 - (2009/01/08) Fixed bug# 3571 - Output Filter Pre+Post of layout object will
    be use on any block, not on any template file like it was in 2.1-2.2. Moved
    back to old behavior.
 - (2009/01/05) Moved to new auth sync layer. Splited auth and agent
    sync into two module layers. For example:

    [Kernel/Config.pm]

    # agent authentication against http basic auth
    $Self->{'AuthModule'} = 'Kernel::System::Auth::HTTPBasic';

    # agent data sync against ldap
    $Self->{'AuthSyncModule'} = 'Kernel::System::Auth::Sync::LDAP';
    $Self->{'AuthSyncModule::LDAP::Host'} = 'ldap://ldap.example.com/';
    $Self->{'AuthSyncModule::LDAP::BaseDN'} = 'dc=otrs, dc=org';
    $Self->{'AuthSyncModule::LDAP::UID'} = 'uid';
    $Self->{'AuthSyncModule::LDAP::SearchUserDN'} = 'uid=sys, ou=user, dc=otrs, dc=org';
    $Self->{'AuthSyncModule::LDAP::SearchUserPw'} = 'some_pass';
    $Self->{'AuthSyncModule::LDAP::UserSyncMap'} = {
        # DB -> LDAP
        UserFirstname => 'givenName',
        UserLastname  => 'sn',
        UserEmail     => 'mail',
    };
    [...]

 - (2008/12/28) Added daemon support to bin/PostMasterMailbox.pl and
    bin/GenericAgent.pl by using "-b <BACKGROUND_INTERVAL_IN_MIN>".
 - (2008/12/22) Improved ticket escalation notification, moved to .dtl support
    (Kernel/Output/HTML/Standard/AgentTicketEscalation.dtl) and added ticket
    title as mouse on over note.
 - (2008/12/19) Added out of office feature for agent users.
 - (2008/12/15) Added new ticket attributes to CSV export of ticket in ticket
    search. New attributes are 'Closed', 'FirstLock' and 'FirstResponse'.
 - (2008/12/10) Added the text auto link feature to add http links for text body
    to add icons after conigured expressions the standard.
 - (2008/12/08) Added new postmaster filter to check if new arrived email is
    based on follow up of forwarded email. Then Followup should not be shown
    as "email-external", it should be shown as "email-internal".
 - (2008/11/12) Removed not supported PostMaster module
    Kernel/System/PostMaster/Filter/AgentInterface.pm.
 - (2008/11/10) Added autocomplete feature for customer search.
 - (2008/10/30) Fixed bug# 2371 - "Panic, no user data!" message should be more
    verbose.
 - (2008/10/29) Added additional default attributes of customer attributes like
    (phone, fax, mobile, street, zip, city). Use scripts/DBUpdate-to-2.4.*.sql
    for upgrading.
 - (2008/10/28) Fixed bug# 1722 - weekday sorting in TimeWorkingHours corrected.
 - (2008/10/28) Fixed bug# 1491 - text in the file "UPGRADING" is misleading.
 - (2008/10/28) Implemented RFE (bug# 1006): Added ticket change time to
    TicketGet and ArticleGet output. As a result, parameter 'Changed' is now
    usable as field in CSV search output as ticket change time.
 - (2008/10/24) Added StopAfterMatch attribute on postmaster filter (DB and
    config backend).
 - (2008/10/23) First version of improved ticket overview modus, added S/M/L
    options.
 - (2008/10/23) Added ticket change time option to agent ticket search.
 - (2008/10/14) Added COUNT as result option in TicketSearch() of
    Kernel::System::Ticket to increase performance of count lookups.
 - (2008/10/14) Added new tables for "RFC 2822 conform" and Service/SLA
    preferences feature (use scripts/DBUpdate-to-2.4.*.sql for upgrading).
 - (2008/10/14) Added RFC 2822 conform In-Reply-To and References header
    support for outgoing emails (Threading).
 - (2008/10/02) Added script to move stored attachments from one backend to
    other backend, e. g. DB -> FS (bin/otrs.ArticleStorageSwitch.pl).
 - (2008/10/02) Added service and sla preferences feature, like already exising
    user, customer and queue preferences. Can be extended by config settings.
 - (2008/10/02) Improved package manager to get info about documentation
    availabe in online repository packages.
 - (2008/10/02) Added password reset option based on auth backend for multi
    auth support.

2.3.6 (2010/09/15)
 - (2010/07/23) Fixed bug# 3426 - Abort while processing mails with invalid
    charset messes up POP3 mailbox handling.

2.3.5 (2010/02/08)
 - (2010/02/04) Fixed SQL quoting issue (see also
    http://otrs.org/advisory/OSA-2010-01-en/).
 - (2009/05/19) Fixed bug# 3844 - SLA get's not removed on reload if servics was
    selected before (in agent interface).
 - (2009/04/23) Fixed bug# 3495 - Missing ldap disconnects leaves CLOSE_WAIT tcp
    sessions.
 - (2009/04/23) Fixed bug# 3674 - CustomerSearch() doesn't match non-single
    words if they are in the same DB field.
 - (2009/04/23) Fixed bug# 3684 - No search for * in LDAP-CustomerBackend.
 - (2009/04/02) Fixed bug# 3732 - Improved russion translation.
 - (2009/04/01) Fixed bug# 3573 - Deleting tickets on PostgreSQL 8.3.0 failes.
 - (2009/04/01) Fixed bug# 3719 - otrs.checkModules incorrectly parses PDF::API2
    version.
 - (2009/04/01) Fixed bug# 3257 - otrs.checkModules incorrectly states DBD:mysql
    is required.
 - (2009/04/01) Fixed bug# 3739 - Customer can not logon to the Customer
    Interface if ShowAgentOnline is used.
 - (2009/04/01) Fixed bug# 3404 - PendingJobs.pl doesn't unlock the closed
    tickets.
 - (2009/04/01) Fixed bug# 3745 - German umlaut in customer login_id breaks
    login.
 - (2009/03/24) Fixed bug# 3735 - Queue names should be quoted when editing
    queues (In this case if you use them in regular expressions).
 - (2009/02/19) Fixed bug# 3636 - Phone call link can be used without adding
    a body the ticket mask.
 - (2009/02/19) Fixed bug# 3671 - Priority in CustomerTicketZoom resets to
    pre-configured or 3.
 - (2009/02/13) Fixed bug# 3657 - Stats module: The locking attribute doesn't
    work.
 - (2009/02/11) Fixed ticket# 2009020942001554 - generic agent is logging many
    debug infos into log file.
 - (2009/02/09) Fixed bug# 3656 - The package manager testscript doesn't work
    on developer installations.
 - (2009/01/30) Fixed bug# 3635 - Was not able to install .opm packages bigger
    then 1MB (because of missing MySQL config) but OTRS error message was
    miss leading.
 - (2009/01/28) Fixed bug# 3242 - AdminGenericAgent produces apache-error-log
    entry.
 - (2009/01/26) Fixed bug# 3528 - Stats-cache-mechanism does not take unfixed
    restrictions in consideration.
 - (2009/01/23) Fixed bug# 3615 - The links to the related Customer User and
    related Group in [ Customer Users <-> Groups ] frontend were broken.
 - (2009/01/23) Fixed bug# 3499 - Permission problems if you change the
    configuration of the System::Permissions. Now it doesn't matter if you
    active or deactive one of the additional permissions.
 - (2009/01/22) Fixed bug# 3137 - Ticket search does not work with words like
    "BPX" and "new".
 - (2009/01/22) Fixed bug# 3596 - Show a warning, if some tries to renaming
    the admin group in admin frontend.

2.3.4 (2009/01/21)
 - (2009/02/09) Fixed bug# 3458 - Length of E-mail adress form in
    AdminSystemAddressForm is way too short.
 - (2009/01/20) Fixed bug# 3447 - CustomerUser-Renaming to existing UserLogin
    was possible.
 - (2009/01/20) Fixed bug# 3603 - Different Max-Attribute handling in Layout.pm
    BuildSelection and OptionStrgHashRef.
 - (2009/01/20) Fixed bug# 3601 - Problems in function BuildSelection with
   ''-Strings and 0.
 - (2009/01/15) Fixed bug# 3595 - VacationCheck() of Kernel::System::Time is
    ignoring different OTRS calendar.
 - (2009/01/13) Fixed bug# 3542 - Static Stats lose associated perlmodule after
    editing.
 - (2009/01/10) Fixed bug# 3575 - Framework file get lost after upgrading OTRS
    and reinstalling or uninstalling e. g. ITSM pakages then.
 - (2008/12/08) Added feature to install included packages located under
    var/packages/*.opm on first/initial setup.
 - (2008/12/08) Fixed bug# 3462 - SMIME crypt and sign functions bail out -
     unable to save random state.
 - (2008/12/04) Fixed bug# 3360 - Service list formating broken after AJAX reload.
 - (2008/12/02) Fixed bug# 3495 - No unbind in LDAP-CustomerDataBackend.
 - (2008/12/01) Fixed bug# 3493 - CloseParentAfterClosedChilds.pm does not work.
 - (2008/11/26) Fixed bug# 2582 - Ticket print and config option
     Ticket::Frontend::ZoomExpandSort gets not recognized.
 - (2008/11/16) Fixed bug# 3452 - "permission denied" after moving tickets into
    a queue with no permissions.
 - (2008/11/16) Fixed bug# 3461 - It's not possible to past an email into a
    note screen, only 70 signs are possible for each line, it should be
    increased to 78.
 - (2008/11/14) Fixed bug# 3459 - Ticket in state "pending" are not escalating
    but shown in escalation overview with incorect timestamp calculation
    (34512 days).
 - (2008/11/10) Fixed bug# 3213 - Make rpc.pl work when using ModPerl.
 - (2008/11/10) Fixed bug# 3442 - HTML2Ascii is ignoring spaces on email
    processing.
 - (2008/11/07) Fixed bug# 2730 - Sending mails to MS Exchange Server 2007
    fails sometimes with "Bad file descriptor!".
 - (2008/11/01) Fixed bug# 3207 - Expanded articles in wrong order.
 - (2008/10/30) Fixed bug# 2071 - Dead link to online documentation in admin
    interface (AdminState).
 - (2008/10/29) Fixed bug# 3244 - "Defination"-Typo in Defaults.pm.
 - (2008/10/29) Fixed bug# 2736 - AdminUser&Subaction=Change - Valid is
    automatically changed
 - (2008/10/29) Fixed bug# 2710 - Error: Module 'Kernel::Modules::' not found!
 - (2008/10/28) Fixed bug# 3402 - AgentLinkObject crashes with "Got no
    UserLanguage" if browser sends exotic language.
 - (2008/10/28) Fixed bug# 3405 - Input field agent-email-address too short.
 - (2008/10/28) Fixed bug# 1719 - psql -u deprecated.
 - (2008/10/28) Fixed bug# 3366 - TicketEvent ArticleFreeTextSet does not know
    ArticleID.
 - (2008/10/28) Fixed bug# 3346 - improved error logging of new postmaster
    tickets for invalid priority names.
 - (2008/10/28) Fixed bug# 3376 - GenericAgent: A warning like "you have to set
    schedule times" would be helpful.
 - (2008/10/20) Fixed bug# 3391 - Filter out hazardous characters from redirects.
 - (2008/10/16) Fixed bug# 2415 - Wrong info after editing salutation.
 - (2008/10/15) Fixed bug# 3379 - Documentation of packages got not shown in
    admin package manager.
 - (2008/10/15) Updated Chinese translation, thanks to Never Min!
 - (2008/10/13) Fixed bug# 3373 - Postmaster match filter is losing [***] on
    second time.
 - (2008/10/13) Fixed bug# 3367 - Escalation of first response gets not changed
    on note-external (which was working in OTRS 2.2.x).
 - (2008/10/09) Fixed bug# 3358 - Removed useless error warning in stats module.

2.3.3 (2008/10/02)
 - (2009/01/13) Fixed bug# 3542 - Static Stats lose associated perlmodule after
    editing.
 - (2008/09/30) Fixed bug# 3335 - No user name in pdf - print of stats-report
 - (2008/09/29) Updated Italian translation, thanks to Remo Catelotti!
 - (2008/09/29) Fixed bug# 3315 - GenericAgent does not work with pending time
    reached for x units.
 - (2008/09/29) Fixed bug# 3314 - Escalation time not updated correctly, e. g.
    ticket get's not escalated if one escalation time got solved.
 - (2008/09/25) Updated Chinese translation, thanks to Never Min!
 - (2008/09/24) Fixed bug# 3322 - After updating SysConfig I get: Can't use
    string ("0") as a HASH ref while "strict refs" in use at
    Kernel/System/Config.pm line 716.
 - (2008/09/24) Fixed bug# 3321 - "(" or ")" in user name is braking ldap query
    for agent and customer auth.
 - (2008/09/13) Fixed bug# 3289 - Error when trying to delete an answer (with
    std attachment) in admin interface.
 - (2008/09/12) Fixed bug# 3292 - Missing entries in the generic agent mask if
    a freetext field is configured as pull down menu.
 - (2008/09/11) Fixed bug# 3275 - Kernel::System::EmailParser::CheckMessageBody
    uses undefined $Param{URL}.
 - (2008/09/11) Fixed bug# 3284 - Missing entries in the stats mask if a
    freetext field is configured as pull down menu.
 - (2008/09/10) Fixed bug# 3287 - Possible CSS on login page, in
    AgentTicketMailbox and CustomerTicketOverView.
 - (2008/09/08) Fixed bug# 3158 - Ticket has a "pending" state --> the
    escalation time is not set out.
 - (2008/09/08) Fixed bug# 3266 - backup.pl calls "mysqldump5" not "mysqldump".
 - (2008/09/08) Fixed bug# 3251 - Error retrieving pop3s email from gmail
    or MS Exchange.
 - (2008/09/08) Fixed bug# 3247 - GenericAgent is running also without time
    settings.
 - (2008/09/08) Fixed bug# 3261 - Escalation also for ro tickets (normally just
    rw tickets).
 - (2008/08/30) Fixed bug# 2862 - Wrong summary in GenericAgent webinterface
    after adding a new job. Max. shown 10,000 affected tickets.
 - (2008/08/30) Fixed bug# 3053 - AJAX functionality without cookies is not
    working.
 - (2008/08/29) Fixed bug# 3152 - German wording in link tables within english
    environment.
 - (2008/08/21) Fixed bug# 3227 - Link delete doesn't work if the key includes
    double colons.

2.3.2 (2008/08/25)
 - (2008/08/21) Fixed bug# 3076 - Ticket Eskalation of update time is not
    working correctly.
 - (2008/08/21) Fixed bug# 3064 - Java Script Error if I use
    "Internet Explorer 7".
 - (2008/08/21) Fixed bug# 3198 - ACL is not working for services in Customer
    Panel for creating new tickets.
 - (2008/08/21) Fixed bug# 3214 - PostMasterFilter - Its not possible to
    filter for "Return-Path".
 - (2008/08/21) Fixed bug# 3216 - CustomerTicketSearch returns links to
    internal articles.
 - (2008/08/21) Fixed bug# 3219 - Bogus 7bit check in the file cache backend.
 - (2008/08/21) Implemented display of ticket search profiles in Agent
    Interface for immediate access (disabled by default).
 - (2008/08/18) Fixed bug# 3199 - Queue lists - The queue tree has problems
    with disabled queues.
 - (2008/08/18) Fixed bug# 3139 - QueueUpdate-Bug on oracle and postgres dbs.
 - (2008/08/14) Fixed bug# 3191 - It is hard to identify the selected page of
    a list of elements.
 - (2008/08/13) Fixed bug# 3133 - OTRS creates temp dirs with wrong access
    permissions.

2.3.1 (2008/08/04)
 - (2008/08/03) Fixed bug# 3096 - Errorlog messages from NET::DNS (Subroutine
    nxrrset redefined at ...).
 - (2008/08/03) Added http target for customer user map config options in
    position 9 (see Kernel/Config/Defaults.pm for examples).
 - (2008/08/02) Fixed bug# 3121 - OTRS corrupts email headers (Subject, From etc.)
    while encoding with utf-8.
 - (2008/08/01) Fixed bug# 3142 - The Ticket-ACL module
    CloseParentAfterClosedChilds produces errors.
 - (2008/07/31) Fixed bug# 3141 - The TicketSearch() function produces error on
    a DB2 database, if the argument TicketCreateTimeOlderDate is given.
 - (2008/07/31) Added function LinkCleanup() to delete forgotten temporary
    links that are older than one day. The function is called only when deleting
    a link.
 - (2008/07/30) Updated dansk language translation, thanks to Mads N. Vestergaard!
 - (2008/07/30) Updated spanish translation, thanks to Pelayo Romero Martin!
 - (2008/07/30) Updated CPAN module CGI to version 3.39.
 - (2008/07/30) Updated CPAN module MailTools to version 2.04.
 - (2008/07/27) Updated russian translation, thanks to Egor Tsilenko!
 - (2008/07/25) Fixed bug# 3122 - Ticket attributes in agent ticket search
    CSV export gets not translated.
 - (2008/07/25) Fixed bug# 2300 - Not all Notification Tags are working in
    Notifications.
 - (2008/07/21) Fixed bug# 3117 - Auto increment of "id" in article_search
    table is not needed.
 - (2008/07/21) Fixed bug# 3104 - If new config can't get created by
    scripts/DBUpdate-to-2.3.pl, the script need to stop.

2.3.0 rc1 (2008/07/21)
 - (2008/07/20) Update persian translation, thanks to Amir Shams Parsa and
    Hooman Mesgary!
 - (2008/07/20) Fixed bug# 2712 - Email in POP3 or IMAP box gets deleted/lost
    also if it got not processed.
 - (2008/07/20) Added Ingres database files for Ingres 2006 R3 experimental
    support.
 - (2008/07/20) Fixed bug# 3102 - (Optional) group-Permissions for
    Frontend::Agent::Ticket::MenuModule(Pre).
 - (2008/07/19) Fixed bug# 3098 - Ticket number search in the new link mask does
    not work correctly.
 - (2008/07/19) Fixed bug# 3093 - Foreign Key drop does not work.
 - (2008/07/19) Fixed bug# 2826 - Impossible to use DEFAULT values in SOPM
    files.
 - (2008/07/18) Fixed bug# 2893 - Allow translation texts with new lines.
 - (2008/07/17) Integrate function StatsCleanUp().
 - (2008/07/16) Fixed bug# 3089 - Stats module creates an error log entry with
    message "Got no SessionID" .
 - (2008/07/16) Fixed bug# 3088 - Statistics module fails with
    message "Got no AccessRw" if you work with ro permissions
 - (2008/07/16) Fixed bug# 3012 - Statistics module fails with
    message "Got no UserLanguage"
 - (2008/07/15) Moved config option PostMasterMaxEmailSize default 12 MB
    to 16 MB.
 - (2008/07/15) Fixed bug# 3082 - Wrong requirement checks and false default
    handling in function QueueAdd and QueueUpdate.
 - (2008/07/15) Updated french translation, thanks to Yann Richard!
 - (2008/07/14) Only show Company-NavBar item if CustomerCompanySupport is
    enabled for min. one CustomerUser source.
 - (2008/07/10) Fixed bug# 3066 - The CPAN module XML::Parser::Lite crashs after
    login if the CPAN module version is not installed.
 - (2008/07/09) Updated catalonian translation, thanks to Antonio Linde!
 - (2008/07/09) Updated finnish translation, thanks to Mikko Hynninen!
 - (2008/07/09) Fixed problem in CodeUpgrade functionallity.
    Code did not react correctly to version number in CodeUpgrade sections.
 - (2008/07/08) Updated norwegian translation, thanks to Fredrik Andersen!

2.3.0 beta4 (2008/07/07)
 - (2008/07/07) Fixed bug# 2158 - Trigger Definitions not allow export / import
    through oracle exp/imp tool.
 - (2008/07/06) Fixed bug# 3058 - Unconsistent usage of id's in
    otrs-initial_insert.*.sql. E. g. in case of Dual-Master MySQL 5 Replication
    is used.
 - (2008/07/06) Fixed bug# 3059 - article_search table is missing in
    scripts/database/otrs-schema.*.sql and scripts/DBUpdate-to-2.3.*.sql.
 - (2008/07/04) Fixed bug# 3055 - Link migration from 2.2 -> 2.3 is no working
    (missing TypeGet(), not shown because of disabled STDERR).
 - (2008/07/03) Fixed bug# 3053 - AJAX functionality without cookies is not
    working.
 - (2008/07/03) Improved OPM package CodeUpgrade by using Version attribute
    for code execurtion (like already exisitng DatabaseUpgrade). If no Version
    is used, CodeUpgrade will performed on every upgrade. For more info see
    developer manual.
 - (2008/07/02) Fixed bug# 3042 - QueueView Sort by Escalation unfunctional.
 - (2008/07/02) Fixed bug# 3045 - Hard coded permission check on merging
    tickets.
 - (2008/07/02) Fixed bug# 3048 - AgentLinkObject shows a wrong search result
    list, if a object cannot link with itself.
 - (2008/07/02) Added AJAX support to ticket move screen.
 - (2008/07/01) Added priority management mask to the admin interface.
 - (2008/07/01) Fixed bug# 3046 - Phone and Email-Ticket needs to get clicked
    twice on "create" to get created.
 - (2008/07/01) Fixed bug# 3047 - Not possible to reset service or sla in
    AgentTicketNote.
 - (2008/07/01) Updated CPAN module Net::POP3::SSLWrapper to version 0.02.
 - (2008/07/01) Updated CPAN module XML::Parser::Lite to version 0.710.05.
 - (2008/07/01) Updated CPAN module Authen::SASL to version 2.11.
 - (2008/07/01) Updated CPAN module MIME::Tools to version 5.427.
 - (2008/07/01) Updated CPAN module File::Temp to version 0.20.
 - (2008/06/30) Implemented options to search update-, response- and solution
    escalation time in TicketSearch().
 - (2008/06/27) Fixed bug# 2960 - DBUpdate-to-2.3.pl script fails.
 - (2008/06/26) Fixed bug# 3036 - Missing link delete checkboxes.
 - (2008/06/26) Fixed bug# 3029 - Search result of linkable objects is not
    sorted correctly.
 - (2008/06/26) Fixed bug# 3035 - Missing check to prevent creation of the same
    link with opposite direction.
 - (2008/06/26) Fixed bug# 3030 - Getting no error message if I link an already
    linked ticket again.
 - (2008/06/26) Fixed bug# 3034 - Ticket::Frontend::ZoomExpandSort is
    conflicting with new ticket Expand/Collapse feature in AgentTicketZoom, it
    get lost after clicking on Collapse.
 - (2008/06/26) Moved required permissions for ticket owner-selections to
    owner and for ticket responsible-selection to responsible (instead rw
    permissions).
 - (2008/06/23) Fixed bug# 3020 - New complex link table blocks output of the
    free text fields.
 - (2008/06/23) Fixed bug# 3019 - Wrong location of the new complex link table.

2.3.0 beta3 (2008/06/24)
 - (2008/06/23) Fixed bug# 3015 - Performace problem in AgentLinkObject.
 - (2008/06/23) Added CustomerUser attribute support for Ticket-ACLs. For
    Example you can use customer user attributes in ACL properties in
    this case to create an list of possible queues in the customer
    interface for creating or moving tickets.

    $Self->{TicketAcl}->{'ACL-Name-Test'} = {
        # match properties
        Properties => {
            CustomerUser => {
                UserCustomerID => ['some_customer_id'],
            },
        }
        # possible properties
        Possible => {
            Ticket => {
                Queue => ['Hotline', 'Junk'],
            },
        },
    };

 - (2008/06/23) Fixed bug# 3013 - Freetext fields show wrong on AJAX update
    in phone and email ticket when queue is changed.
 - (2008/06/23) Updated cpan module TEXT::CSV to version 1.06.
 - (2008/06/23) Moved Ticket::ResponsibleAutoSet feature to external ticket
    event module (Kernel::System::Ticket::Event::ResponsibleAutoSet).
 - (2008/06/23) Fixed bug# 2959 - Linking and Unlinking Tickets is not addin
    ticket history and not executing TicketEventHandlerPost() by ticket link
    backend anymore.
 - (2008/06/20) Fixed bug# 1565 - Responsible Agent not updated when creating
    new ticket in phone or email ticket.
 - (2008/06/20) Removed output of linked objects in customer ticket print
    (because it's not needed in the customer panel).
 - (2008/06/19) Fixed bug# 2998 - Highlighted selection for notification
    listbox in admin interface.
 - (2008/06/19) Fixed bug# 3005 - AJAX functionality is not working in phone
    and email ticket for Service and SLA.
 - (2008/06/19) Added article TimeUnit support to automatically add time
    units to ticket by using generic agent (also usable over admin
    interface).
 - (2008/06/19) Added CleanUp() to Kernel::System::Cache to clean up/remove
    all cache files.
 - (2008/06/19) Fixed bug# 2957 - Merged ticket not shown "canceled" in linked
    objects table.
 - (2008/06/19) Simplifed the new link mechanism.
 - (2008/06/19) Added cleanup of old cache files and cleanup of non existing
    TicketIDs in ticket_watcher and ArticleIDs in article_flag table (there
    was a bug, this reference entries got not deleted by deleting a ticket
    or article, e. g. by GenericAgent) to scripts/DBUpgrade-to-2.3.pl.
 - (2008/06/13) Added extra config option for "CheckMXRecord" config option
    to configure extra name servers for MX lookups.
 - (2008/06/11) Fixed bug# 2980 - Getting cron emails (Use of uninitialized
    value in numeric gt (>) at) every time if IMAP and IMAPs gets executed.
 - (2008/06/11) Fixed bug# 2979 - Unable to work on ticket, get error message
    "no permission" even with rw permissions on the ticket. Fixed recoding
    issue.
 - (2008/06/05) Fixed bug# 2969 - Unable to get past login screen - undefined
    value as a HASH reference at
    Kernel/System/Ticket/IndexAccelerator/RuntimeDB.pm line 57.
 - (2008/06/05) Fixed bug# 2960 - DBUpdate-to-2.3.pl script possibly fails.
 - (2008/06/05) Added enhancement bug# 2964 - Add hash sort to data dumper
    of Kernel::System::Main::Dump to get it better readable and comparable
    (also for diff's).
 - (2008/06/05) Improved Kernel::System::Cache::File, moved cache type files
    to sub directory of tmp/ to tmp/Cache/to have it clear where the cache
    files are.

2.3.0 beta2 (2008/06/02)
 - (2008/06/02) Moved to new link mechanism.
 - (2008/06/02) Fixed bug# 2902 - Salutation and Signature examples in the
    admin interface are same.
 - (2008/06/02) Fixed bug# 2940 - Error/typo in DBUpdate-to-2.3.*.sql,
    'escalation_start_time' instead of 'escalation_update_time' is used.
 - (2008/06/01) Fixed bug# 2956 - Not working ticket escalation by using SLAs.
 - (2008/06/01) Added sub sorting to Kernel::System::Ticket::TicketSearch()
    and improved unit test. Example:
    my @TicketIDs = $Self->{TicketObject}->TicketSearch(
        Result  => 'ARRAY',
        Title   => '%sort/order by test%',
        Queues  => ['Raw'],
        OrderBy => ['Down', 'Down'],
        SortBy  => ['Priority', 'Age'],
        UserID  => 1,
    );
 - (2008/05/28) Fixed bug# 2891 - Typo in Bounce Customer notification
    'information'.
 - (2008/05/22) Upgraded Mail::Tools from version 2.02 to 2.03 from CPAN.

2.3.0 beta1 (2008/05/19)
 - (2008/05/16) Updated cpan module Text::CSV to the version 1.05.
 - (2008/05/15) Added ticket search close time support to agent ticket search
    and generic agent.
 - (2008/05/15) Reimplmeented "bin/xml2sql.pl", works now with new cmd params.
    Now "-t $DatabaseType", "-n $Name", "-s $SplitInPrePostFiles" and
    "-o $OutputDir".
 - (2008/05/15) Renamed mssql reserved database table word "system_user" to
    "users". Use scripts/DBUpdate-to-2.3.*.sql for database upgrade.
 - (2008/05/15) If signing via SMIME fails, we now fall back to the original
     unsigned mailtext instead of sending an empty mail.
 - (2008/05/15) Fixed bug#2844 - Improved robustness of RANDFILE setting for
     openssl (SMIME).
 - (2008/05/15) Refactored SMIME to work on Windows, too.
 - (2008/05/09) Added service <-> sla multi relation support.
 - (2008/05/09) Fixed bug# 2448 - Not necessary unique check of SLA name.
 - (2008/05/07) Renamed/cleanup of all config setting names for QueueView,
    StatusView and LockedTickets.
 - (2008/05/07) Improved use of existing unique-names in xml definition of
    scripts/database/otrs-schema.xml (not longer auto generated).
 - (2008/05/07) Improved oracle database backend, generation of long
    index/koreign key names, moved from NUMBER to NUMBER(12,0).
 - (2008/05/07) Added some new database indexes to increase the database
    speed (for more info see scripts/DBUpdate*.sql).
 - (2008/05/07) Added article index support to increase speed of full text
    search up to 50% (need to be configured via SysConfig and
    bin/otrs.RebuildFulltextIndex.pl need to be executed after backend change).
 - (2008/05/07) Added ticket event support for TicketWatch*() in
    Kernel::System::Ticket. Fixed not removed ticket watch infos after deleting
    a ticket.
 - (2008/05/07) Improved speed of ticket search screen on large installation,
    added cache for database lookup to get all unique ticket free text fields
    (tooks up to 10 sek, on lage installations).
 - (2008/05/02) Deleted textarea wrap in perl code and set browser wrap in dtl files.
 - (2007/04/29) Added X-OTRS-TicketTime and X-OTRS-FollowUp-TicketTime email
    header support as additional attributes like already existing X-OTRS-Header
    (for more info see doc/X-OTRS-Headers.txt).
 - (2007/04/29) Added Format attribute (default html, optional plain) for "Intro*"
    tags in .sopm files. Format="html" will work as default and it's possible to
    put every html into the intro message. Format="plain" will add automatically
    <pre></pre> to intro messages, so new lines and spaces are shown 1:1 in intro
    messages (for more info see developer manual).
 - (2007/04/29) TicketFreeTime, TicketFreeFields and Article Attachments now are
    taken over on ticket split.
 - (2007/04/29) Updated cpan module CGI to version 3.37.
 - (2007/04/25) Added create and drop of index and unique in xml TableAlter tag
    (for more info see developer manual).
 - (2008/04/20) Changed GenericAgent default limit of matching ticket for each
    run of a job from 2000 to 4000.
 - (2008/04/18) Let FrontendOutputFilters have access to LayoutObject and TemplateFile.
 - (2008/04/18) Added Title-Attribute (for Tooltips) to BuildSelection.
 - (2008/04/14) Increased db2 BLOB size from 20M to 30M in
    scripts/database/otrs-schema.db2.sql.
 - (2008/04/14) Improved admin interface, show only links with own permissions.
    So it's possible/easy to create sub admins for part administration
    (Fixed bug# 2535 - User is able to access admin menu).
 - (2008/04/14) Improved .opm packages to definde pre and post Code* and
    Database* tags to define time point of execution. For more info how to use
    it see developer manual.
 - (2008/04/14) Renamed .opm package tags for intro messages
    Intro(Install|Upgrade|Unintall)(Pre|Post) from <IntroInstallPost> to new
    format like <IntroInstall Type="post">. For more info see developer manual.
    Note: Old tags still usable, will be converted by OTRS automatically.
 - (2008/04/10) Added global Search-Condition-Feature (AND/OR/()/!/+) to ticket
    search backend, customer search backend and faq.
 - (2008/04/10) Added support to ticket print to print selected article only.
 - (2008/04/10) Fixed bug# 2159 - added ticket close time search option (works
    like ticket create time search option) to agent ticket search screen.
 - (2008/04/10) Updated cpan module CGI to version 3.35.
 - (2008/04/02) Moved from default password 'crypt' method to 'md5'. All new
    changed passwords are stored with md5-password method. Old stored passwords
    still usable.
 - (2008/04/02) Fixed bug#1952 - Superfluous error messages by
   Kernel/Config/Defaults.pm in Debug mode.
 - (2008/04/02) Fixed bug#2496 - HTML formatting in the customer ticket zoom is
    wrong.
 - (2008/04/02) Fixed bug#1116 - Made uses of <br> and <input> comply with XHTML.
 - (2008/04/01) Fixed bug#2575 - Trying to Kernel::System::PGP::Crypt()
    utf8-character-strings no longer bails, but simply auto-converts the string
    into an utf8-byte-string, such that the correct data is written into the temp
    file.
 - (2008/04/01) Added new SysLog backend config for log sock. Defaulte use is
    'unix'. On Solaris you may need to use 'stream'.
 - (2008/03/31) Added ticket free time as required field support (works like
    for already existing ticket free text fields).
 - (2008/03/31) Added missing ticket type as required check if ticket type
    feature is enabled.
 - (2008/03/31) Fixed MD5/SHA1 mixups in SMIME handling on older systems (that have
    MD5 as default, not SHA1).
 - (2008/03/27) Added OpenSearchDescription to support "quick" search for
    ticket numbers for browsers like firefox2.
 - (2008/03/26) Added POP3/POP3S/IMAP/IMAPS support for PostMaster sub system
    (new bin/PostMasterMailbox.pl is replacing old bin/PostMasterPOP3.pl).
    Thanks to Igor Stradwo for this patch!
    NOTE: table pop3_account need to be modified - use scripts/DBUpdate-to-2.3.*.sql
 - (2008/03/26) Added support of renaming of database tables in XML backend and
    database drivers (Kernel/System/DB/*.pm).
    Example:

    <TableAlter NameOld="calendar_event" NameNew="calendar_event_new"/>

 - (2008/03/25) Added enhancement for agent and customer HTTPBasicAuth to strip
    parts of REMOTE_USER or HTTP_REMOTE_USER by using a regexp. Example to
    strip @example.com of login.

    [Kernel/Config.pm]

    # In case you need to replace some part of the REMOTE_USER, you can
    # use the following RegExp ($1 will be new login).
    $Self->{'AuthModule::HTTPBasicAuth::ReplaceRegExp'} = '^(.+?)@.+?$';

 - (2008/03/21) Added enhancement bug# 2773 - HTTPBasicAuth fails when only
    HTTP_REMOTE_USER is populated (not REMOTE_USER).
 - (2008/03/18) Fixed mssql/sybase/freetds database problem
    "Setting of CS_OPT_TEXTSIZE failed. at" if a mssql customer backend
    is used. The problem is, that LongReadLen is not supported by
    dbd::sybase (this is the reason of this error message).
    So the database customer is now improved to set all database attributes
    in CustomerUser config. For example this is the solution to prevent
    the sybase error message:

    $Self->{CustomerUser} = {
        Name   => 'Database Backend',
        Module => 'Kernel::System::CustomerUser::DB',
        Params => {
            DSN       => 'DBI:sybase:yourdsn',
            User      => 'some_user',
            Password  => 'some_password',
            Table     => 'customer_user',
            Attribute => {},
        },
    [...]

    For more info see: http://www.perlmonks.org/index.pl?node_id=663835
 - (2008/03/17) Fixed bug# 2197 - utf8 problems with auto generated
    Kernel/Config/Files/ZZZAuto.pm and Kernel/Config/Files/ZZZAAuto.pm
    (non ascii signs and utf8 stamps).
 - (2008/03/17) Added ACL example module "CloseParentAfterClosedChilds" which
    allows you to not close parent tickets till all childs are closed (
    configuable via SysConfig -> Ticket -> Core::TicketACL).
 - (2008/03/17) Improved ticket zoom view, shown linked objects (only show link
    types (Normal/Child/Parent) if links are available).
 - (2008/03/16) Improved ticket zoom view, shown plain link to emails (per
    default, can be enabled via sys config) and improved shown linked/merged
    tickets.
 - (2008/03/09) Improved API of Cache core module (Kernel::System::Cache), added
    type param to define the type of cached object/data (so also a better
    storage is possible because you can manage each cache type object/data it
    self, e. g. if file system backend is used in differend sub directories).

    API Example (old):
        $CacheObject->Set(
            Key   => 'SomeKey',
            Value => 'Some Value',
            TTL   => 24*60*60,     # in sec. in this case 24h
        );

    API Example (new):
        $CacheObject->Set(
            Type  => 'ObjectName', # only A-z chars usable
            Key   => 'SomeKey',
            Value => 'Some Value',
            TTL   => 24*60*60,     # in sec. in this case 24h
        );

 - (2008/03/06) Fixed use of uninitialized value in Log.pm (visible when
    executed in ModPerl environment).
 - (2008/03/02) Added title of object to div tag of linked objects to have an
    preview to the content of a linked object.
 - (2008/03/01) Added missing ticket title to ticket search mask in agent
    and generic agent interface.
 - (2008/02/17) Removed not needed Encode::decode_utf8() in core module
    Kernel::System::Encode (only set if utf-8 stamp is needed).
 - (2008/02/17) Upgraded Mail::Tools from version 1.77 to 2.02 from CPAN.
 - (2008/02/12) Fixed bug# 2670 - "wide character" error when login with
    russian password.
    Note: It could be on older systems, that existing passwords are not
    longer valid. Just reset the password and everything will work fine.
 - (2008/02/12) Fixed bug# 1996 - Replaced 'U' & 'D' with respective arrow
    icons.
 - (2008/02/12) Improved Fix for bug# 1608 - Badly formatted calendar popup.
    Now the table width is explicity passed into DTL from the perl module
    and the customer calendar view has been fixed, too.
 - (2008/02/11) Added queue preferences - module support like for agents and
    customer to create easier extentions/addons for queues.
    See Developer-Manual for more information.
    NOTE: table sla need to be modified - use scripts/DBUpdate-to-2.3.*.sql
 - (2008/02/11) Added escalation warning feature. So agents will be notified
    before a ticket will escalate. This time point can be configured in the
    admin interface for queue and sla settings.
    NOTE: table queue need to be modified - use scripts/DBUpdate-to-2.3.*.sql
 - (2008/02/04) Fixed bug# 1608 - Badly formatted calendar popup.
 - (2008/02/04) Fixed bug# 2657 - Improved regexp in RPM spec files to detect
    already existing "otrs" user (it was also matching on xxxotrsxxx names).
 - (2008/01/28) Added note permission "note" to default ticket permissions to
    manage list of inform involved agents out of the box.
 - (2008/01/24) Fixed bug# 2611 - PGP module not working on Windows platform.
 - (2008/01/15) Fixed bug# 2227 - XMLHashSearch returns no values on MS SQL in
    certain cases.
 - (2008/01/08) Added expand/collapse option to ticket zoom.
 - (2008/01/08) Added multi attachment support to ticket move screen.
 - (2008/01/08) Added AJAX support in email ticket.
 - (2008/01/03) Changed default session settings SessionMaxTime from 14h to
    16h and SessionMaxIdleTime from 5h to 6h.
 - (2008/01/02) Improved ticket zoom view, removed plain-text attachments
    of html with plain attachment emails.
 - (2008/01/02) Fixed bug# 2600 - MS SQL: Fulltext search in ticket body with
    mssql backend not possible (improved Kernel::System::DB API with database
    preferences option "NoLikeInLargeText").
 - (2007/12/28) Improved config file mechanism generated by SysConfig to improve
    speed in mod_perl is used (about 0.2%-4% speed improvement, depends
    on which shown site).
    Note: Kernel/Config/Files/ZZZAuto.pm and Kernel/Config/Files/ZZZAAuto.pm
    generated by OTRS 2.3 or higher is not longer compat. to OTRS 2.2 and
    lower. But OTRS 2.3 or higher can read config files from OTRS 2.2 and
    lower.
 - (2007/12/27) Fixed bug# 2596 - Problems to download file from
    Action=AdminPackageManager with IE and Safari.
 - (2007/12/27) Improved way how to reset a password. Added password reset
    via token (email which needs to be accepted by new password requester
    first).
 - (2007/12/21) Added possiblity to use options of StringClean() in GetParam()
    and GetArray() functions.
 - (2007/12/21) Add StringClean() function to improve quality of strings.
 - (2007/12/19) Improved installer description to prevent bugs like bug# 2492.
 - (2007/12/17) Fixed bug# 2586 - File download of package in
    AdminPackageManager is not delivering the whole file name anymore.
 - (2007/12/17) Fixed bug# 2539 - SMIME signing was broken for private keys that
    have no passphrase and when openssl is unable to write to random state file.
 - (2007/12/11) Fixed bug# 2479 - Unable to retrieve attachments bigger than
    3Mb (on Oracle DB). Changed default read size from 4 MB to 40 MB in
    Kernel/System/DB/oracle.pm:

    $Self->{'DB::Attribute'}      = {
        LongTruncOk => 1,
        LongReadLen => 40 * 1024 * 1024,
    };

 - (2007/12/10) Updated MIME::Tools to current CPAN version 5.425.
 - (2007/12/06) Fixed bug# 2568 - Problems with attachment downloads if the
    active element filter is enabled.
 - (2007/12/05) Fixed bug# 1399 - Missing Translation. Added some translation to
    customer interface.
 - (2007/12/04) Fixed bug# 2257 - Silent ignorance of SMTP / Sendmail errors,
    now we collect the error and log it (which in turn displays it to the user).
 - (2007/11/20) Rewrite of Kernel::System::CSV by using cpan module Text::CSV
    for parsing and generating CSV files (added Text::CSV to
    bin/otrs.checkModules to check it).
 - (2007/11/07) Changed default config of WebMaxFileUpload from 10 MB to
    16 MB.
 - (2007/11/07) Changed Kernel::System::Crypt::PGP to reject any UTF8-strings,
    as these would get autoconverted into ISO - thus garbling the result.
    Currently, only binary octets and ISO-strings are supported as input.
 - (2007/10/25) Improved Kernel::System::Crypt::PGP to return information about
    the PGP-keys that were actually used in Decrypt() and Verify().
 - (2007/10/25) Updated all cpan modules.
 - (2007/10/17) Added GroupLookup() and RoleLookup() to Group.pm and removed the
    two methods GetGroupIdByName() and GetRoleIdByName() which were already marked
    as deprecated.
 - (2007/10/08) Added support of ticket free text links in ticket view,
    configurable via SysConfig.
 - (2007/10/05) Added fist version of AJAX framework support in phone ticket.
 - (2007/10/01) Added <ModuleRequired Version="0.01">SomeModule</ModuleRequired>
    feature to .opm format for enforcing installed CPAN modules.
 - (2007/09/25) Fixed bug# 2312 - Wide character error in Layout.pm if system
    runs in utf-8 mode.
 - (2007/09/18) Did some improvments in Kernel/Output/HTML/Layout.pm to
    get an better performance if the block function is used many times
    (e. g. > 1000 times, 30% faster).
 - (2007/09/13) Fixed bug# 1186 - Convertion from HTML to text incomplete
    if html encoded chars like &Egrave; or &eacute; is used. Added full
    HTML to text convertion to email parser.
 - (2007/09/13) Improved report overview of perfornance log.

2.2.9 (2010/02/08)
 - (2010/06/24) Fixed bug# 5497 - Missing HTML quoting in stats module.
 - (2010/02/04) Fixed SQL quoting issue (see also
    http://otrs.org/advisory/OSA-2010-01-en/).

2.2.8 (2008/08/25)
 - (2008/08/12) Fixed bug# 3156 - When the "EMAILADDRESS:" attribute is used to
    define a specific email address, then secodary match attributes are applied
    to all mails.
 - (2008/07/20) Fixed bug# 3155 - Wrong header charset in lost password
    notification.
 - (2008/07/20) Fixed bug# 3103 - CustomerInterface: Ticket of other customers
    accessible for other customers.
 - (2008/07/18) Fixed bug# 3101 - Getting Queue view after adding a note with
    state "open".
 - (2008/07/18) Fixed reopend bug# 2330 - Cron.sh restart <OTRS_USER> doesn't
    work.
 - (2008/07/16) Fixed bug# 2967 - Stats module, illegal division by zero at
    ../..//Kernel/System/Stats.pm line 1581
 - (2008/07/16) Fixed bug# 3079 - Default CheckEmailInvalidAddress regexp
    rejects mail to MobileMe (me.com) accounts.
 - (2008/07/08) Fixed bug# 3062 - Not possible to search for Customer Company
 - (2008/06/25) Increaded max size of reformated text (reformating new lines)
    from 20,000 to 60,000 signs (this size is just a safty performance
    setting in Kernel::Output::HTML::Layout::Ascii2Html()).
 - (2008/06/20) Fixed bug# 3000 - Configured sender address for auto response
    get's ignored.
 - (2008/06/05) Fixed bug# 2962 - Freetext cache problem, old used ticket
    free text values get not added to pull down list in agent ticket search.
 - (2008/06/04) Removed not wanted email rfc check in AgentTicketPhone and
    AgentTicketEmail, it's already done by OTRS via config settings.

2.2.7 (2008/06/04)
 - (2008/05/28) Fixed bug# 2891 - Typo in Bounce Customer notification
    'information'.
 - (2008/05/25) Fixed bug# 2934 - PostmasterPOP3.pl - craches on malformed UTF-8
    character (fatal)... on incoming emails.
 - (2008/05/22) Fixed bug# 2829 - Added config option if Cc should be taken over
    to Cc recipients list in compose email answer screen.
    SysConfig -> Ticket -> Frontend::Agent::Ticket::ViewCompose ->
    Ticket::Frontend::ComposeExcludeCcRecipients
 - (2008/05/15) Fixed bug# 2870 - Customer-Frontend: No Access to Company Tickets
    (CustomerIDCheck fails).
 - (2008/05/09) Added new catalonian language translation, thanks to Antonio Linde!
 - (2008/05/08) Fixed bug# 2683 - $QData{"OrigFrom"} in Reply leads to wrong
    quote in email answer if sender is agent (To of origin email is used).
 - (2008/05/08) Fixed bug# 2604 - Response Format - Date of Original Mail is
    missing.
 - (2008/05/07) Fixed bug# 2882 - The foreign key syntax in
    otrs-schema-post.mysql.sql is incorrect.
 - (2008/04/23) Fixed bug# 2907 - Typo in the german translation:
    "aktuallisiert".
 - (2008/04/19) Fixed not removable ticket by acl watcher link in ticket menu
    (added missing config param to Ticket.xml config file).
 - (2008/04/14) Improved speed of phone and email ticket if many queues and
    groups (150+) are used.
 - (2008/04/14) Improved load speed of ticket search screen (if free text fields
    are used).
 - (2008/04/14) Fixed bug# 2860 - ColumnAdd doesn't work on a DB2 database if
    Required is true.
 - (2008/04/10) Added new estonian translation, thanks to Lauri Jesmin!
 - (2008/04/07) Fixed bug# 2814 - BCC emails are visible to all receipiants in
    email header.
 - (2008/04/07) Fixed bug# 2829 - Local system email address is always set to CC
    option in compose email answer screen.
 - (2008/04/07) Fixed bug# 2833 - Broken email attachments if only attachment is
    in email (no mime attachments).
 - (2008/04/03) Fixed bug# 2828 - Strings like ftp.invalid.org are shown as http
    link in TicketZoom.
 - (2008/04/02) Fixed bug# 2756 - "http." in article body is displayed as
    "http://http.".
 - (2008/04/01) Fixed bug# 2822 - Ticket Number in subject of Bounce Notification
    to customer/sender is not shown.
 - (2008/04/01) Fixed bug# 2453 - syntax errors on customer search; name@host
    problems the mail address parser does not recognize the email address if it
    is not fully 2822 compilant.

2.2.6 (2008/03/31)
 - (2008/03/25) Fixed bug# 2732 - Service name is truncated in dropdown lists
 - (2008/03/21) Fixed bug# 2758 - non-latin filenames in emails get not converted
    to utf8 (e. g. koi8-r, utf8, cp1251).
 - (2008/03/21) Fixed bug# 2781 - Typo in Kernel::System::Ticket::MoveTicket()
   "&" instead of "&&".
 - (2008/03/20) Fixed bug# 2772 - Dangling links to deleted tickets (ticket
    links get not deleted after a ticket got deleted).
 - (2008/03/14) Fixed bug# 2770 - Internal cache mechanism of SLAs delivers
    wrong content.
 - (2008/03/14) Fixed bug# 2769 - Trimming of sla name input field produce
    errors.
 - (2008/03/14) Fixed bug# 954 - ticket split should linking tickets (origin to
    new one).
 - (2008/03/13) Added new turkish translation, thanks to Necmettin Begiter!
 - (2008/03/11) Fixed bug# 2763 - Trimming of service name input field produce
    errors.
 - (2008/03/10) Updated vietnam translation, thanks to Nguyen Nguyet. Phuong!
 - (2008/03/10) Fixed bug# 2757 - Can't download statistic graph if I use
    a diagram as output format.
 - (2008/03/10) Fixed bug# 2717 - All column and row names will be translated
    statistics. Additional fixes for special situations.
 - (2008/03/06) Fixed bug# 2737 - Wrong order of the xaxis in stats output.
 - (2008/03/06) Fixed bug# 2717 - All column and row names will be translated.
 - (2008/03/05) Fixed bug# 2715 - Ascii2Html() is not quoting all links
    correctly.
 - (2008/03/03) Fixed bug# 2742 - Wrong content type in admin package manager
    mask.
 - (2008/02/25) Added missing german translation for required free-text fields.
 - (2008/02/25) Fixed bug# 2451 - Typo in openssl invocation when decrypting.
 - (2008/02/23) Fixed bug# 2275 - Need User or UserID! by using UnlockTickets.pl
    and PendingJobs.pl.
 - (2008/02/23) Fixed bug# 2696 - CustomerPanelOwnSelection and
    CustomerGroupSupport does not work together (show also queues without
    create permissions).
 - (2008/02/23) Fixed bug# 2544 - Customer with RO can update ticket in
    customer panel (wrong SysConfig setting).
 - (2008/02/22) Fixed bug# 2650 - Mails not full imported by PostmasterPOP3.pl
    (mail body is cutted off, if no content type is availabe but 8bit chars are
    used).
 - (2008/02/22) Fixed bug# 2462 - Permission denied when trying to print ticket
    details from customer panel (customer.pl).
 - (2008/02/21) Added sendmail dummy backend module to deactivate sending
    emails, useful for test system (Kernel::System::Email::DoNotSendEmail).
 - (2008/02/20) Fixed bug# 2644 - Added unit tests to find easier wrong
    configured GD-CPAN modules.
 - (2008/02/20) Fixed bug# 2706 - SysConfig setting LogSystemCacheSize causes
    error messages.
 - (2008/02/19) Fixed bug# 2450 - Auto-conversion of URLs to links fail when
    a ')' is encountered.
 - (2008/02/18) Fixed bug# 2541 - Missing "Ticket unlock" link for ticket the
    actions 'Phone call', 'Merge', 'Move' and 'Forward'.
 - (2008/02/18) Fixed bug# 2145 - $Config{"TicketFreeTimeKey22"} instant of
    $Config{"TicketFreeTimeKey2"} in AgentTicketSearchResultShort.dtl.
 - (2008/02/18) Fixed bug# 2674 - Spellchecker always reports 0 errors
    even SpellCheckerBin is not configured correctly.
 - (2008/02/17) Improved bin/otrs.checkModules tool for checking required
    CPAN modules.
 - (2008/02/17) Fixed bug# 2255 - SysConfig setting Ticket ->
    Frontend::Customer::Ticket::ViewZoom ->
    Ticket::Frontend::CustomerTicketZoom###State has no effect (only
    closed is shown any time).
 - (2008/02/15) Fixed non fixed font and wrong new line breaking problem on
    safari in textarea input fields (updated Kernel/Output/HTML/Standard/css.dtl
    and Kernel/Output/HTML/Standard/customer-css.dtl).
 - (2008/02/15) Fixed bug# 2694 - URL-to-long-error in
    AdminCustomerUserService mask on changing settings.
 - (2008/02/14) Fixed bug# 2239 - CustomerCompanySupport is broken when
    using external backend DB.
 - (2008/02/12) Fixed bug# 2533 - Wide character error when searching for a
    customer with umlaut in LDAP backend with cache option (CacheTTL) in
    CustomerUser config option.
 - (2008/02/12) Fixed bug# 2638 - Broken email syntax check if
    _somebody@example.com is used.
 - (2008/02/12) Fixed bug# 1957 - Auto reply for new Phone-Tickets goes to
    non-existing addresses (if no email address is given in From field).
 - (2008/02/12) Fixed bug# 2363 - AgentTicketPhone###Body is now a text area
    instead of a string.
 - (2008/02/11) Fixed bug# 1975 - OTRS cannot forward tickets with .eml file
    attachments.
 - (2008/02/11) Fixed bug# 2413 - OTRS cannot write to BLOB column in table
    XML_STORAGE with DB2.
 - (2008/02/06) Fixed bug# 1716 - Wrong escalation time calculation on
    wintertime/summertime switch.
 - (2008/02/01) Fixed ticket# 2008012242000417 - View performance problems
    if more then 1000 customer companies are in the database available.

2.2.5 (2008/01/28)
 - (2008/01/25) Fixed bug# 2645 - SLA selection doesn't change when customer is
    changed.
 - (2008/01/16) Fixed bug# 2157 - Ticket merged note not translated.
 - (2008/01/15) Fixed bug# 2392 - Charset problems with iso8859 and the
    xml-caching mechanism.
 - (2008/01/15) Implemented workaround for bug# 2227 - XMLHashSearch returns
    no values on MS SQL in certain cases.
 - (2008/01/14) Fixed bug# 2330 - Cron.sh start <OTRS_USER> does not work.
    Thanks to Felix J. Ogris.
 - (2008/01/14) Fixed bug# 977 - No agent notification for new ticket from
    webinterface if CustomerGroupSupport is enabled.
 - (2008/01/13) Added new vietnam translation, thanks to Nguyen Nguyet. Phuong!
 - (2008/01/13) Fixed bug# 2621 - Wrong order of items (Subject,Service,SLA,Body
    -> Service,SLA,Subject,Body) in Frontend AgentTicketPhone, AgentTicketEmail
    and CustomerTicketMessage.
 - (2008/01/12) Fixed bug# 1687 - Wrong "New message!" hint on queue with
    "Customer State Notify" activated.
 - (2008/01/09) Fixed bug# 2613 - Images are broken in Lite-Theme if OTRS do
    not use the default Alias /otrs-web/.
 - (2008/01/08) Improved Kernel::System::XML::XMLParse() to prevent bugs
    like# 2612.
 - (2008/01/08) Fixed bug# 2609 - Temp files are not removed after process was
    finished under windows.
 - (2008/01/07) Fixed bug# 1893 - Attachment Storage fails with
    ArticleStorageFS in win32 with ? in filenames.
 - (2008/01/03) Fixed bug# 2491 - OTRS crash's after initial login on fresh
    installation on fedora 7, fedora 8, altlinux and ActiveState Perl on win32.
 - (2008/01/02) Fixed bug# 2601 - Only agents with rw permissions are shown in
    inform agent selection of a note screen (note permission need to be
    activated via SysConfig first). Now all agents with _note_ permissions are
    displayed.
 - (2008/01/02) Fixed bug# 2600 - MS SQL: Fulltext search in ticket body with
    mssql backend not possible (workaround, improved API for 2.3.x).
 - (2008/01/01) Fixed bug# 1120 - TO recipients which were sometimes dropped
    in a ticket reply.
 - (2008/01/01) Fixed bug# 2589 - Ticket-title not shown in ticket list of
    change customer, phone- and email ticket.
 - (2007/12/27) Fixed bug# 1148 - Lost of attachments when spliting ticket.
 - (2007/12/18) Fixed bug# 2295 - Added workaround for IE7. Tries to download
    [ Attachments ] or [ Attachments <-> Responses ].
 - (2007/12/17) Fixed bug# 2580 - Wrong quoating of semicolon if mssql is used.
 - (2007/12/17) Fixed bug# 2539 - SMIME signing was broken for private keys that
   have no passphrase and when openssl is unable to write to random state file.
 - (2007/12/12) Fixed bug# 2581 - Follow up not possible if "ticket#: xxxxxxx"
    is copied from webinterface into new email subject.
 - (2007/12/11) Fixed bug# 2479 - Unable to retrieve attachments bigger than
    3 MB (on Oracle DB). Changed default read size from 4 MB to 15 MB in
    Kernel/System/DB/oracle.pm:

    $Self->{'DB::Attribute'}      = {
        LongTruncOk => 1,
        LongReadLen => 15 * 1024 * 1024,
    };

 - (2007/12/10) Fixed bug# 1428 - Whitespaces remove from email subject
    (notification and new tickets creation) if utf-8 is used (specifically
    in Russian, Chinese  and Japanese).
    The problem is a bug in MIME::Tools/MIME::Words, for more info see
    CPAN-Bug# 5462: http://rt.cpan.org/Public/Bug/Display.html?id=5462
    As solution Kernel/cpan-lib/MIME/Words.pm got patched. Note: Everybody
    who is not using Kernel/cpan-lib/ need to wait till this bug is fixed
    in official MIME::Tools/MIME::Words releases.
 - (2007/12/10) Fixed bug# 2166 - Probem with HTML-mails sent by MS Outlook
    2003 - "&#8211;" / long dash gets not decoded.
 - (2007/12/10) Fixed bug# 2377 - Missing translation in
    AdminCustomerUserService mask.
 - (2007/12/03) Fixed bug# 2537 - Unable to set free time fields.
 - (2007/11/13) Fixed bug# 2498 - A wrong sum of requests was shown in the
    performance log.
 - (2007/11/07) Fixed bug# 2482 - IntroUpgradePre in .opm files is not working
    on upgradinging via online repository.

2.2.4 (2007/11/06)
 - (2007/11/06) Fixed bug# 2477 - Escalation time calculation (destination time of
    escalation) is not working if host system is running in summertime/wintertime
    mode (loops because system is changing system time from 3:00 am to 2:00 am).
 - (2007/11/05) Fixed bug# 2474 - Config option UserSyncLDAPAttibuteGroupsDefination
    and UserSyncLDAPAttibuteRolesDefination is not working.
 - (2007/11/05) Fixed small typo in scripts/database/otrs-initial_insert.xml, for
    escalation notification text.
 - (2007/11/05) Fixed bug# 2473 - Not able to update existing cache files of
    customer user backend because of file permission problems (cache files are
    created with 644). From now on cache files are created with 664 permissions.
 - (2007/11/05) Fixed bug# 2472 - Emails in utf8 are not sent correctly (problem
    after upgrading Kernel/cpan-lib/MIME/*.pm).
 - (2007/10/26) Fixed bug# 2446 - Subject is not quoted.
 - (2007/10/26) Fixed bug# 2442 - Disappearing ticket free time checkboxes in
    some ticket masks after mask reloads.
 - (2007/10/26) Fixed bug# 2436 - Translation bug in the frontend function
    BuildSelection().
 - (2007/10/24) Fixed bug# 2289 - Compress with bzip2 dont works in backup.pl.
 - (2007/10/22) Fixed bug# 2421 - If customer cache backend is used, sometimes
    "Need Value" appears in the log file.
 - (2007/10/19) Fixed bug# 1203 - Changed Redhat shm workaround to use a fixed
    IPCKey per instance, but prevent clash with IPCKey of other instances.
 - (2007/10/19) Fixed bug# 2263 - Problems with array refs and escaping
 - (2007/10/18) Fixed bug# 2410 - $/ as given is currently unsupported at
    Kernel/cpan-lib/MIME/Decoder/NBit.pm line 140. We updated the CPAN module
    MIME-tools to version 5.423 to solve the problem.
 - (2007/10/17) Fixed bug# 2404 - Wrong results if you use StatsTypeID as
    TicketSearch attribute.
 - (2007/10/17) Fixed bug# 2407 - Performance handicap because of a missing
    'if'-attribute.
 - (2007/10/16) Improved performance of module by reduce calls of
    $Self->{ConfigObject}->Get() in Kernel/Output/HTML/Layout.pm and
    Kernel/System/Encode.pm.
 - (2007/10/16) Fixed bug# 2404 - Problems with the time extended feature in
    stats module.
 - (2007/10/15) Fixed bug# 2398 - Translate the stats output.
 - (2007/10/12) Fixed bug# 2388 - Show the radio button of static stats files.
 - (2007/10/10) Fixed bug# 2383 - IntroInstallPre in .opm files is not working
    on installing via online repository.
 - (2007/10/10) Fixed bug# 2380 - Ignore HTMLQuote param in Layout object
    function _BuildSelectionOptionRefCreate.
 - (2007/10/09) Fixed bug# 2375 - Possible race condition in generic agent
    jobs (during processing jobs). Generic agent job attributes can get
    lost.
 - (2007/10/09) Fixed bug# 2276 - GenericAgent with SLA-Search fails, Service
    and SLA options are missing.
 - (2007/10/05) Fixed bug# 2360 - No Permission in customer panel after
    selecting ticket. Reason is, sender type is customer and article
    type is email-internal which is set via a postmaster filter.
 - (2007/10/02) Fixed bug# 2346 - Emty entries are shown in the responsible
    option list in TicketSearch mask.
 - (2007/09/24) Fixed bug# 2321 - It's not possible to use � or � in
    description tag of .sopm file -> leading to perl syntax error!
 - (2007/09/17) Fixed bug# 2291 - Only include/use PDF::API2 in
    Kernel/Modules/AgentTicketSearch.pm and Kernel/Modules/AgentStats.pm
    if needed, to increase performance.

2.2.3 (2007/09/13)
 - (2007/09/13) Fixed bug# 2285 - Typo in german translation
    "Aktualisierungszeit".
 - (2007/09/12) Fixed bug# 1203 - Redhat shm workaround should not relate to
    real shm request.
 - (2007/09/07) Fixed bug# 2265 - On IIS6, Package Manager is displaying a
    error after installing a package (header not complete). But package got
    installed corectly.
 - (2007/09/06) Fixed bug# 2261 - False params in call of ServiceLookup() and
    SLALookup() functions.
 - (2007/09/06) Fixed reopened bug# 2142 - Ticket history entry was wrong if
    service, sla or ticket type was changed.
 - (2007/09/03) Fixed bug# 2193 - Postmaster module
    Kernel::System::PostMaster::Filter::NewTicketReject is not working - need
    Charset!
 - (2007/09/03) Fixed bug# 2245 - Responsible / Owner Field not working for
    all users in the Email-Ticket form.
 - (2007/09/03) Improved system speed of escalation calculation if many open
    ticket (> 2000) are there.
 - (2007/08/28) Fixed Ticket# 2007082842000477 - Problem with different customer
    sources and use CacheTTL option (namespace of cache is not uniq).
 - (2007/08/28) Fixed Ticket# 2007082842000413 - Ticket created over phone
    ticket with state closed is shown in queue view like "My Queues (1)" but
    no ticket is shown if I click on "My Queues (1)" (if
    Kernel::System::Ticket::IndexAccelerator::StaticDB is used as
    Ticket::IndexModule).
 - (2007/08/27) Fixed bug# 2230 - OTRS on IIS - redirect/loop problem after
    login.
 - (2007/08/27) Fixed bug# 2229 - Return value of "ServiceLookup" is used
    without quoting in SQL statements.
 - (2007/08/24) Fixed bug# 2207 - translation failure in customer preferences
    (QueueView refresh time).
 - (2007/08/24) Fixed bug# 2214 - .opm Package can not handle &lt;, &gt; and
    &amp; in .sopm files.
 - (2007/08/22) Improved Agent Notifications. Salutation of notfication
    recipient is now using <OTRS_UserFirstname> and <OTRS_UserLastname> instead
    of <OTRS_OWNER_UserFirstname> or <OTRS_OWNER_UserLastname>.
 - (2007/08/22) Fixed bug# 2203 - OTRS will not create/verify correct pgp
    signs if utf8 is used.
 - (2007/08/22) Fixed bug# 2202 - Kernel::System::Email::SMTP is sending
    "localhost.localdomain" in smtp hello, some server rejecting this ("Host
    not found").
 - (2007/08/21) Fixed bug# 2024 - Problem with agent authentication via LDAP
    with ADS-Groups and content of DN like "Some\, Name".
 - (2007/08/20) Fixed bug# 2094 and 2143 - 'Got no MainObject' warning in
    Kernel/System/Crypt.pm
 - (2007/08/20) Fixed bug# 2192 - Useless fragments of old escalation mechanism
    produces errors.
 - (2007/08/17) Fixed bug# 1908 - Removed duplicate history entry for ticket
    subscribe action.
 - (2007/08/16) Fixed bug# 1492 - Fixed typo in Kernel/Language.pm.
 - (2007/08/10) Fixed bug# 2160 - 0 was ignored in database insert by package
    building.
 - (2007/08/10) Fixed bug# 2156 - External customer database is not working,
    if it's configured the following error message appears
    ("Got no MainObject in Kernel/System/DB.pm line 85").
 - (2007/08/10) Fixed bug# 2155 - Std-Attachments are not usable in agent
    ticket compose screen (no std attachments are shown in compose screen).
 - (2007/08/07) Fixed bug# 2118 - Fixed typo in german translation file (
    Kernel/Language/de.pm).
 - (2007/08/07) Fixed bug# 2117 - Fixed small typo in initial insert files.
 - (2007/08/06) Fixed bug# 1999 - Service and SLA can not changed on an
    existing ticket.
 - (2007/08/06) Fixed bug# 2142 - If a service or a sla of a ticket was changed,
    no ticket history entry was added.
 - (2007/08/06) Fixed bug# 2135 - scripts/DBUpdate-to-2.2.2.sql contains wrong
    SQL. Not the queue table needs to be changed, the ticket table would be the
    right one.
 - (2007/08/03) Fixed bug# 2134 - PDF print is creating damaged pdf files with
    PDF::API2 0.56 or smaller.
 - (2007/08/02) Fixed bug# 940 - After owners unlock ticket and a follow-up
    arrives the system, all agents which selected the queue of this ticket get
    and follow up message. In this follow up message the name was always the
    current owner and not the recipient of the email (which should be).
 - (2007/07/31) Fixed bug# 2001 - New escalation times and the responsible are
    not shown in any print views.

2.2.2 (2007/07/31)
 - (2007/07/31) Fixed bug# 2114 - Fixed the problems with the email object.
 - (2007/07/30) Fixed bug# 2015 - Improved handling to allocate customerusers
    and services. Now it's possible to define default services.
 - (2007/07/27) Fixed bug# 2053 - If core "System::Permission" note is used,
    not effect to the ticket note mask appears.
 - (2007/07/27) Fixed bug# 2059 - config setting $Self->{'Database::Connect'}
    is not overwriting default option used by driver.
 - (2007/07/26) Fixed bug# 2105 - Notification after moving a ticket to my
    queues is wrong -> "> OTRS_CUSTOMER_QUEUE<" got not replaced in subject.
    SQL files scripts/database/otrs-initial_insert.*.sql got fixed.
 - (2007/07/26) Fixed bug# 2029 - Selected responsible agent was not taken
    over after creating a phone ticket.
 - (2007/07/26) Fixed bug# 1946 - Setting of service, sla or type via email
     X-OTRS-Service, X-OTRS-SLA or X-OTRS-Type header not possible.
 - (2007/07/26) Fixed bug# 2097 - Sometimes problems with SMTP module and utf8
    to send emails.
 - (2007/07/26) Improved system performance of escalation (bug# 2020 Performance
    problem after updating to 2.2.0).
    -->Because of this fact you need to add to new column to the ticket table.<--

    ALTER TABLE ticket ADD escalation_response_time INTEGER;
    ALTER TABLE ticket ADD escalation_solution_time INTEGER;

 - (2007/07/26) Fixed bug# 2061 - UserSyncLDAPMap does not work properly after
    upgrade to 2.2. The reason is, that we cleaned up this config option and
    the new one from Kernel/Config/Defaults.pm need to be used. We also added
    an check which log that an old config setting is used (also an compat.
    feature to still use the old option has been added).

    If you use UserSyncLDAPMap you need to reconfigure it!

    Old style (till 2.1):
    $Self->{UserSyncLDAPMap} = {
        # DB -> LDAP
        Firstname => 'givenName',
        Lastname => 'sn',
        Email => 'mail',
    };

    New style (beginning with 2.2):
    $Self->{UserSyncLDAPMap} = {
        # DB -> LDAP
        UserFirstname => 'givenName',
        UserLastname => 'sn',
        UserEmail => 'mail',
    };

 - (2007/07/25) Added missing OTRS 2.2 sql update scripts for mssql and maxdb
    (scripts/DBUpdate-to-2.2.maxdb.sql and scripts/DBUpdate-to-2.2.mssql.sql).
 - (2007/07/23) Fixed bug# 2068 - Date problem with non en installations of
    MSSQL server. Some date inserts or package installations failed. Added
    database init connect option to mssql driver ("SET DATEFORMAT ymd" /
    Kernel/System/DB/mssql.pm).
 - (2007/07/23) Because of safety reason, generic agent jobs will not longer run
    without min. one search attribute (admin interface and cmd). So if you want to
    match all ticket, you need to add an * in the ticket number.
 - (2007/07/23) Fixed bug# 2021 - Errors in MSSQL post schema files.
 - (2007/07/23) Fixed bug# 2025 - No upgrade PostgreSQL possible, added missing
    lines in DBUpdate-to-2.2.postgresql.sql.
 - (2007/07/22) Fixed Ticket#2007072342000148 - Old OTRS (< OTRS 2.2)
    attachments are corrupt after upgrade if file backend is used.
 - (2007/07/16) Updated portuguese translation, thanks Filipe Henriques and
    Rui Pires!
 - (2007/07/16) Updated norwegian translation, thanks to Fredrik Andersen!
 - (2007/07/16) Updated hungarian translation, thanks to Aron Ujvari!
 - (2007/07/16) Updated spanish translation, thanks to Carlos Oyarzabal!
 - (2007/07/12) Fixed bug# 2016 - CustomerUserUpdate: Add a function to handle
    empty values.
 - (2007/07/11) Fixed bug# 2047 - Add MainObject to the needed object check.
 - (2007/07/10) Fixed bug# 2045 - Notifications on reopen are not sent to
    owner/responsible.
 - (2007/07/03) Fixed bug# 2011 - Translation problems in stats module.

2.2.1 (2007/07/01)
 - (2007/06/29) Updated finnish translation, thanks to Mikko Hynninen!
 - (2007/06/29) Added some build in caches to Service, SQL, Queue and Valid
    core modules to reduce the amount of sql queries (saves ~ 10% of queries
    in the queue view).
 - (2007/06/29) Fixed bug# 1998 - Error with the web installer if no utf8
    database is selected.
 - (2007/06/28) Disabled only show escalated tickets in queue view because
    of already show escalation notifications.
 - (2007/06/28) Updated portuguese translation, thanks Filipe Henriques!
 - (2007/06/28) Fixed bug# 2000 - Typo in database update script
    DBUpdate-to-2.1.mysql.sql.
 - (2007/06/28) Reworked AdminCustomerUserService mask.
 - (2007/06/28) Fixed wildcard handling in ServiceSerarch().
 - (2007/06/27) Added option to log sql queries which take longer the 4 sek.
    and can be enabled via Kernel/Config.pm (Database::SlowLog). For more
    info see Kernel/Config/Defaults.pm.
 - (2007/06/26) Fixed not working alter table to SET or DROP NULL and NOT
    NULL via xml interface (Kernel/System/DB/postgresql.pm).
 - (2007/06/26) Updated french translation, thanks to Yann Richard and Remi Seguy!
 - (2007/06/26) Updated netherlands translation, thanks to Richard Hinkamp!
 - (2007/06/26) Updated hungarian translation, thanks to Aron Ujvari!
 - (2007/06/20) Updated russian translation, thanks to Andrey Feldman!
 - (2007/06/20) Updated greek translation, thanks to Stelios Maistros!

2.2.0 rc1 (2007/07/19)
 - (2007/06/19) Fixed bug# 1941 - Ticket Escalation blocks QueueView even if
    Agent has only read access.
 - (2007/06/18) Improved TicketSubjectClean() that it is also working with
    longer Ticket::SubjectRe options like "Antwort: [Ticket#: 1234] Antwort: .."
    (which was not removed on email answers).
 - (2007/06/13) Fixed bug# 1951 - Changed default selection of 'valid' field in
    AdminService and AdminSLA mask.
 - (2007/06/12) Added feature (bug# 1949 an 1950) for customer ldap backend
    for soft or hard die.
 - (2007/06/12) Added customeruser to service relation feature.
 - (2007/05/31) Improved XMLHashAdd() and XMLHashUpdate() in
    Kernel/System/XML.pm to prevent caching errors.
 - (2007/05/31) Fixed bug# 1927 - It is possible to uninstall a required
    package.

2.2.0 beta4 (2007/05/29)
 - (2007/05/26) Fixed bug in service and sla tables. Column comment was wrongly
    defined as required field.
 - (2007/05/24) Fixed bug# 1894 - otrs.addUser does not work
 - (2007/05/24) Fixed bug# 1913 - Added missing columns first_response_time,
    solution_time and rename column escalation_time to update_time for table
    queue in DBUpdate-to-2.2.oracle.sql.
 - (2007/05/23) Add the ticket options Type, Service and SLA to the ticket
    print.
 - (2007/05/22) Add TicketType, Service and SLA option to stats module
    to improve flexibility of dynamic stats.
 - (2007/05/22) Remove wrong item in check needed stuff section of SLAList()
    function.
 - (2007/05/21) Update german translation.
 - (2007/05/21) Improved check of needed stuff in SLAAdd() function in
    Kernel/System/SLA.pm.
 - (2007/05/21) Sync HTML style of admin masks. No functionality changed.
    -Kernel/Output/HTML/Standard/AdminAttachmentForm.dtl
    -Kernel/Output/HTML/Standard/AdminAutoResponseForm.dtl
    -Kernel/Output/HTML/Standard/AdminCustomerCompanyForm.dtl
    -Kernel/Output/HTML/Standard/AdminCustomerUserForm.dtl
    -Kernel/Output/HTML/Standard/AdminGenericAgent.dtl
    -Kernel/Output/HTML/Standard/AdminGroupForm.dtl
    -Kernel/Output/HTML/Standard/AdminLog.dtl
    -Kernel/Output/HTML/Standard/AdminNotificationForm.dtl
    -Kernel/Output/HTML/Standard/AdminPGPForm.dtl
    -Kernel/Output/HTML/Standard/AdminPOP3.dtl
    -Kernel/Output/HTML/Standard/AdminPackageManager.dtl
    -Kernel/Output/HTML/Standard/AdminPerformanceLog.dtl
    -Kernel/Output/HTML/Standard/AdminPostMasterFilter.dtl
    -Kernel/Output/HTML/Standard/AdminQueueForm.dtl
    -Kernel/Output/HTML/Standard/AdminResponseForm.dtl
    -Kernel/Output/HTML/Standard/AdminRoleForm.dtl
    -Kernel/Output/HTML/Standard/AdminSLA.dtl
    -Kernel/Output/HTML/Standard/AdminSMIMEForm.dtl
    -Kernel/Output/HTML/Standard/AdminSalutationForm.dtl
    -Kernel/Output/HTML/Standard/AdminService.dtl
    -Kernel/Output/HTML/Standard/AdminSession.dtl
    -Kernel/Output/HTML/Standard/AdminSignatureForm.dtl
    -Kernel/Output/HTML/Standard/AdminStateForm.dtl
    -Kernel/Output/HTML/Standard/AdminSysConfig.dtl
    -Kernel/Output/HTML/Standard/AdminSystemAddressForm.dtl
    -Kernel/Output/HTML/Standard/AdminTypeForm.dtl
    -Kernel/Output/HTML/Standard/AdminUserForm.dtl
 - (2007/05/21) Changes max shown escalated tickets in queue view to 30
    (to improved spped of escalation view in queue view).
 - (2007/05/21) Fixed double ContentType in ArticleAttachment() of attachment
    backends (Kernel/System/Ticket/ArticleStorage(DB|FS).pm).
 - (2007/05/21) Sync of all configurable frontend modules. No functionality
    changed.
    -Kernel/Modules/AgentTicketClose.pm
    -Kernel/Modules/AgentTicketFreeText.pm
    -Kernel/Modules/AgentTicketNote.pm
    -Kernel/Modules/AgentTicketOwner.pm
    -Kernel/Modules/AgentTicketPending.pm
    -Kernel/Modules/AgentTicketPriority.pm
    -Kernel/Modules/AgentTicketResponsible.pm
    -Kernel/Output/HTML/Standard/AgentTicketClose.dtl
    -Kernel/Output/HTML/Standard/AgentTicketFreeText.dtl
    -Kernel/Output/HTML/Standard/AgentTicketNote.dtl
    -Kernel/Output/HTML/Standard/AgentTicketOwner.dtl
    -Kernel/Output/HTML/Standard/AgentTicketPending.dtl
    -Kernel/Output/HTML/Standard/AgentTicketPriority.dtl
    -Kernel/Output/HTML/Standard/AgentTicketResponsible.dtl
 - (2007/05/21) Fixed bug# 1898 - Invalid services and slas was shown in agent
    masks.
 - (2007/05/16) Improved check of needed Charset param in Send() function to
    prevent problems like in bug# 1887.
 - (2007/05/14) Fixed bug# 1866 - Error while DB upgrade from 2.1.5 to 2.2.0
    beta3.
 - (2007/05/12) Ingresed width of html login tables from 270 to 280 because
    of new language selection.
 - (2007/05/11) Added script to convert a non utf-8 database to an utf-8
    database.
 - (2007/05/09) Fixed bug# 1825 - SQL ticket_history INSERT syntax error in
    HistoryAdd().
 - (2007/05/08) Fixed bug# 1840 - Repeat escalation message when queue, SLA
    Solution time is shown.
 - (2007/05/07) Added DB::Encode database driver config (Kernel/System/DB/*.pm)
    to set encoding of selected data to utf8 if needed.
 - (2007/05/07) Added cmd bin/otrs.RebuildConfig.pl to rebuild/build default
    Kernel/Config/Files/ZZZAAuto.pm based on Kernel/Config/Files/*.xml config
    files.
 - (2007/05/07) Fixed bug# 1787 - Problem with cachefilenames of the stats
    module in win32.

2.2.0 beta3 (2007/05/07)
 - (2007/05/04) Fixed bug# 1788 - Problem with cachefile in win32.
 - (2007/05/04) Fixed bug# 1773 - DB-error in phone ticket if sla but no
    service is selected.
 - (2007/05/04) Fixed bug# 1035 - OTRS does not set encoding for the mysql
    database connection (i.e. UTF-8).
 - (2007/05/04) Fixed bug# 1778 - Config option Database::Connect should be
    possible.
 - (2007/05/04) Fixed bug# 1611 - Now the Statsmodule use the mirror db if
    configured.
 - (2007/05/02) Fixed bug# 1809 - Fixed typo in variable name (PrioritiesStrg ->
    PriotitiesStrg).
 - (2007/04/27) Fixed bug# 1670 - If no result the generation of pie graph throws
    error.
 - (2007/04/26) Added feature to use no BaseDN (or '') for agent and customer
    authentification (see ticket# 2007030642000446).
 - (2007/04/24) Fixed bug# 1769 - If I change the ticket SLA, the history is
    not relfecting this change.
 - (2007/04/24) Fixed bug# 1768 - If I change the ticket service, the history
    is not relfecting this change.

2.2.0 beta2 (2007/04/16)
 - (2007/04/16) Fixed bug# 1448 - Apache::Registry in README.webserver wrong,
    mod_perl2 is missing.
 - (2007/04/16) Fixed bug# 1286 - apache configuration should use
    <IfModule mod_perl.c>.
 - (2007/04/16) Fixed bug# 1755 - Wrong permissions for some files.
 - (2007/04/16) Fixed bug# 1757 - Cannot install postgres db - null value in
    column "escalation_start_time" violates not-null constraint.
 - (2007/04/16) Fixed bug# 1745 - Invalid SQL-statements in AgentTicketQueue
    view.
 - (2007/04/13) Fixed bug# 1741 - "PostmasterFollowUpStateClosed" buggy on
    follow up actions.
 - (2007/04/12) Updated bulgarian translation, thanks to Alex Kantchev!
 - (2007/04/12) Fixed bug# 1748 - Session not allowed to be larger than 358400
    Bytes using IPC. Change max session size from 350k to 2 MB.
 - (2007/04/12) Fixed bug# 1744 - Unable to create xml_storage table in utf8
    charset on mysql database.
 - (2007/04/12) Fixed bug# 1739 - Unable to insert new SLA via admin-web after
    upgrade to 2.2.0 beta1.
 - (2007/04/11) Added new Arabic (Saudi Arabia) translation, thanks to
    Mohammad Saleh!

2.2.0 beta1 (2007/04/02)
 - (2007/04/02) Added customer company feature (split of contact and company
    infos). Need to be activated in CustomerUser config (see
    Kernel/Config/Defaults.pm).
 - (2007/03/27) Added enhancement #1688 - Backreference in postmaster filter
    replaces everything, not just the matched backreferenced token.
 - (2007/03/27) Added enhancement #1600 - Adjustable encoding for mails.
 - (2007/03/21) Updated cpan module CGI to version 3.27.
 - (2007/03/20) Added support of new set ticket pending time over X-OTRS-Header
    X-OTRS-State-PendingTime and X-OTRS-FollowUp-State-PendingTime.
 - (2007/03/20) Rewrite of Kernel::System::User module (cleanup of used params
    for UserAdd() and UserUpdate()).

    If you use this API, you need to change your custom implemention!

    Note If you use UserSyncLDAPMap you need to reconfigure it!

    Old:
    $Self->{UserSyncLDAPMap} = {
        # DB -> LDAP
        Firstname => 'givenName',
        Lastname => 'sn',
        Email => 'mail',
    };

    New:
    $Self->{UserSyncLDAPMap} = {
        # DB -> LDAP
        UserFirstname => 'givenName',
        UserLastname => 'sn',
        UserEmail => 'mail',
    };

 - (2007/03/14) Fixed not shown optional ticket free time option fields in
    customer panel.
 - (2007/03/11) Added enhancement bug# 1102 - restore.pl should check for
    existing tables and stop if already one exists.
 - (2007/03/11) Added enhancement bug# 1664 - increase max. WebMaxFileUpload
    size.
 - (2007/03/08) Improved Prepare() of Kernel::System::DB to fetch also rows
   between 10 and 30 (with start option of result). For example:

   $DBObject->Prepare(
       SQL => "SELECT id, name FROM table",
       Start => 10,
       Limit => 20,
   );

 - (2007/03/08) Improved XML database database backend for <Insert>. Content
    in xml attribut is not longer allowed, use the content instead. Now it's
    also possible to use new lines (\n) or more lines as content.

    Old style:
    <Insert Table="table_name">
        <Data Key="name_a" Value="Some Message A." Type="Quote"/>
        <Data Key="name_b" Value="Some Message B." Type="Quote"/>
    </Insert>

    New style:
    <Insert Table="table_name">
        <Data Key="name_a" Type="Quote">Some Message A.</Data>
        <Data Key="name_b" Type="Quote">Some Message B.</Data>
    </Insert>

 - (2007/03/08) Moved from scripts/database/initial_insert.sql to database depend
    initial insert files located under scripts/database/otrs-initial_insert.*.sql.
    This files are generated from scripts/database/otrs-initial_insert.xml.

    Note: The scripts/database/initial_insert.sql exists not longer, use
    scripts/database/otrs-initial_insert.*.sql from now on for installations.

 - (2007/03/08) Fixed bug# 1017 - script initial_insert.sql, ampersand and oracle.
 - (2007/03/08) Fixed enhacement bug# 1668 - removed unnecessary dependency for
    fetchmail from .srpms.
 - (2007/03/07) Added Intro support for .opm format to add intros for packages.
    For example to add infos where the module can be found, if you need to add
    some groups to access the module or some other useful stuff.
    Intro(Install|Reinstall|Upgrade|Uninstall)(Pre|Post) can be used. For more
    infos see the developer manual in section "Package Spec File".
 - (2007/03/07) Fixed bug# 1398 - Malformed UTF-8 charaters in Admin Backend -
    System Log.
 - (2007/03/05) Added Type, Service, SLA as ticket default attribute.
    Each an be activated by a config setting over SysConfig under
    Ticket :: Core :: Ticket.
 - (2007/02/15) Improved PGP decryption of files if more the one possible
    private key exists in the system and one of it is invalid (e. g. no
    configured password).
 - (2007/02/15) Fixed bug-ticket# 2007020542000593 - Queue refresh "off"
    can't be used on oracle database.
 - (2007/02/15) Add BuildSelection(). This function replaced OptionStrgHashRef(),
    OptionElement() AgentQueueListOption().
 - (2007/02/12) Added pending time selection feature for generic agent.
 - (2007/02/07) Moved to dtl block in customer ticket zoom view.
 - (2007/02/07) Moved default WebMaxFileUpload config option from 5 MB
    to 10 MB.
 - (2007/01/31) Fixed Free Field output in AgentTicketForward and
    AgentTicketPhoneOutbound.
 - (2007/01/30) Added 4 ticket freetime fields and improved freetime function.
 - (2007/01/30) Relocated valid functionality to new Valid.pm to move it
   out from Kernel/System/DB.pm.
 - (2007/01/18) Added X-OTRS-Lock and X-OTRS-FollowUp-Lock header for
    PostMaster.
 - (2007/01/17) Relocated agent preferences button.
 - (2007/01/17) Improved freetime feature, unset freetime is now possible by
    agent and customer GUI.
 - (2007/01/03) Heavy improvement of PerformanceLog feature, show detail
    view of each frontend module now.
 - (2007/01/03) Added config option for die or log is ldap/radius auth server
    is not available.
 - (2006/12/21) Improved description of Email- and Phone-Ticket in navigation.
 - (2006/12/21) Added config option to use SystemID in follow up detection or
    not (Ticket::NumberGenerator::CheckSystemID).
 - (2006/12/21) Added config option for follow-up state of tickets which
    was was already closed (Ticket::Core::PostMaster::PostmasterFollowUpStateClosed).
 - (2006/12/19) Added config option Ticket::NumberGenerator::CheckSystemID
    to configure if SystemID is used in follow up detection.
 - (2006/12/14) Removed old compat. CreateTicketNr()/CheckTicketNr() in
    Kernel/System/Ticket.pm and Kernel/System/Ticket/Number/*.pm - so
    old ticket number generator not longer compat. to OTRS 2.1.
 - (2006/12/13) Moved config option setting SessionMaxTime from 10h to 14h.
 - (2006/12/13) Added auth and customer password crypt backend for crypt(),
    md5() and plain().
 - (2006/12/13) Added multi auth feature of agent and customer backend.
 - (2006/12/13) Added feature to configure password crypt type of agent and
    customer auth backend modules.
 - (2006/12/13) Added feature to match only exact email addresses of incoming
    emails in PostMaster filter like "From: EMAILADDRESS:someone@example.com".
    This only will match for email addresses like 'someone@example.com',
    'aaa.someone@example.com' will not match! This was a problem if you use
    normal "From: someone@example.com" match.
 - (2006/12/13) Added config option for online agent and customer module to
    show/not show email addresses of people (SysConfig: Framework
    Frontend::Agent::ModuleNotify and Frontend::Customer::ModuleNotify).
 - (2006/12/13) Moved config option PostMasterPOP3MaxEmailSize default 6 MB
    to 12 MB.

2.1.9 (2010/02/08)
 - (2010/02/04) Fixed SQL quoting issue (see also
    http://otrs.org/advisory/OSA-2010-01-en/).
 - (2008/02/06) Fixed bug# 2491 - OTRS crash's after initial login on fresh
    installation on fedora 7, fedora 8, altlinux and ActiveState Perl on win32.

2.1.8 (2008/03/31)
 - (2007/08/03) Fixed bug# 2134 - PDF print is creating damaged pdf files with
    PDF::API2 0.56 or smaller.
 - (2007/07/26) fixed bug# 2046 - german Umlauts not printed in PDFs if system
    runs in utf-8 mode. The PDF::API2 corefonts (which are used as default)
    doesn't support UTF-8. Changed the used fonts from PDF::API2 corefonts to
    the DejaVu true type fonts. Add config options to use other true type fonts.
 - (2007/05/31) fixed bug# 1926 - package manager ignore PackageRequired tags
    in OPM files.

2.1.7 (2007/04/05)
 - (2007/04/05) fixed bug# 1551 - decode_mimewords() in ArticleWriteAttachment()
    dies due to utf-8
 - (2007/03/27) updated Kernel/Language/pt_BR.pm translation file - Thanks
    to Fabricio Luiz Machado!
 - (2007/03/14) fixed bug# 1650 - crypt/sign bug in AgentTicketCompose screen
 - (2007/03/14) fixed bug# 1659 - Uploading and Saving Pictures in MSSQL won't
    work with bigger Files (~700KB)
    ->MSSQL ONLY<- You also need to change some tables by using: ->MSSQL ONLY<-
        ALTER TABLE web_upload_cache ALTER COLUMN content TEXT NOT NULL;
        ALTER TABLE article_plain ALTER COLUMN body TEXT NOT NULL;
        ALTER TABLE article_attachment ALTER COLUMN content TEXT NOT NULL;
        ALTER TABLE article ALTER COLUMN a_body TEXT NOT NULL;
        ALTER TABLE standard_response ALTER COLUMN text TEXT NOT NULL;
        ALTER TABLE standard_attachment ALTER COLUMN content TEXT;
        ALTER TABLE sessions ALTER COLUMN session_value TEXT;
        ALTER TABLE xml_storage ALTER COLUMN xml_content_value TEXT;
        ALTER TABLE package_repository ALTER COLUMN content TEXT NOT NULL;
 - (2007/03/12) fixed upload cache problem in win32 .pdf files
 - (2007/03/12) fixed bug# 1228 - Apostrophe not valid in email address.
 - (2007/03/12) fixed bug# 1442 and 1559 - ArticleFreeKey and ArticleFreeText
    default selection does not work.
 - (2007/03/12) fixed ticket# 2007031242000149 - session backend fails to insert
    sessions bigger the 4k on oracle database backend
 - (2007/03/11) fixed bug# 1671 - restore.pl fails with "Got no LogObject"
 - (2007/03/11) fixed bug# 1115 - HTML error in NewTicket Customer's interface.
 - (2007/03/08) fixed bug# 1658 - Subqueues of Queues with brackets are not
    shown in the QueueView
 - (2007/03/08) added rpm packages for Fedora Core 4, 5 and 6 to auto build
    service
 - (2007/03/05) fixed ticket# 2007022342000586 - attachment problem with oracle
    backend if utf-8 is used
 - (2007/03/05) fixed database driver if 0 is used in begining of an xml insert

2.1.6 (2007/03/02)
 - (2007/03/02) fixed bug #1504 - Ticket Creation fails with DB2 due to
    character quoting issues
 - (2007/03/02) fixed bug #1506 - Error creating Tickets in DB2 due to conflict
    in string/numerical comparison
 - (2007/03/02) fixed bug #1445 - OTRS is not encoding Umlauts correctly in
    Organization email header
 - (2007/03/02) fixed bug #1548 - submitting AgentTicketPhone or
    AgentTicketEmail form without queueid leads to broken fields
 - (2007/02/27) fixed bug #1581 - Garbled paths containing domain names
 - (2007/02/27) updated Mail::Tools from 1.60 to 1.74 - fixed bug #1642 -
    Cant get mails via PostmasterPop3.pl - Unrecognised line
 - (2007/02/27) fixed bug #1545 - Wrong Variableusage in $Self->{PageShown}
    (Kernel/Modules/AgentTicketMailbox.pm)
 - (2007/02/26) fixed bug #1291 - Download link in SysConfig skips config
    options -> now download link will be shown if no changes are done
 - (2007/02/26) fixed bug #1097 - Disabling Bounce Feature via SysConfig does
    not work properly
 - (2007/02/26) fixed ticket #2007022242000293 hard line rewrap of body content
    in frontend modules
 - (2007/02/26) improved speed of SysConfig core module, added cache mechanism
    (it's about 2 times faster)
 - (2007/02/22) fixed ticket #2007022042000288 - error on creating postmaster
    filter on oracle database
 - (2007/02/20) fixed not working crypt/sign option in AgentTicketCompose mask
 - (2007/02/20) fixed bug #980 - Use of uninitialized value in
    Kernel/System/AuthSession/FS.pm
 - (2007/02/15) changed unlock time reset mechanism, added unlock time reset
    if a agent sends an external message to the customer (like escalation
    reset mechanism)
 - (2007/02/09) fixed bug in _XMLHashAddAutoIncrement() - function could not
    return keys greater than '9'.
 - (2007/02/02) fixed bug #1056 - UTF-8 mode of OTRS and German Umlaute within
    agent's name
 - (2007/02/02) fixed bug #1505 - UserSyncLDAPMap fails with LDAP.pm version
    1.26 and up
 - (2007/01/30) fixed ticket_watcher.user_id datatype, moved from BIGINT to
    INTEGER
 - (2007/01/30) fixed oracle driver for xml alter table actions
 - (2007/01/30) improved _CryptedWithKey() - private key detection of
    Kernel/System/Crypt/PGP.pm if more keys are used for crypted messages
 - (2007/01/26) fixed ArticleFreeText output in CustomerTicketZoom mask
 - (2007/01/26) fixed bug in agent- and customer-ticket print feature

2.1.5 (2006/01/25)
 - (2007/01/25) fixed ignored ticket responible in phone ticket
 - (2007/01/18) fixed DestinationTime() if calendar feature is used
 - (2007/01/17) fixed not working freetime fields
 - (2007/01/11) fixed not working time selection if time zone feature is used
 - (2007/01/08) fixed not working email notification tags in auto response,
    agent and customer email notifications
 - (2007/01/08) fixed case sensitive of customer user login and agent user
    login in Kernel/System/User.pm and Kernel/System/CustomerUser/DB.pm if
    oracle or postgresql is used
 - (2007/01/08) fixed quoting in user selection if + is used in UserLogin in
    Kernel/Output/HTML/Standard/AdminCustomerUserForm.dtl
 - (2006/12/17) fixed bug #1532 - utf-8 charsetproblems in stats
 - (2006/12/15) fixed bug #1446 - No "(Ticket unlock!)" link in
    AgentTicketCompose
 - (2006/12/14) fixed customer ldap auth if system is iso-8859 and ldap server
    is running in utf-8
 - (2006/12/14) fixed not working Kernel/System/DB/db2.pm (syntax error)

2.1.4 (2006/12/13)
 - (2006/12/13) fixed not working free time selection in AgentTicketClose,
    AgentTicketNote, AgentTicketOwner, AgentTicketPending, AgentTicketPriority
    and AgentTicketResponsible
 - (2006/12/11) added config param for shown my queues/custom queues
    in preferences, default are shown all ro queues, see also
    PreferencesGroups###CustomQueue under Frontend::Agent::Preferences
 - (2006/12/11) fixed ldap sync of agents attributes - invalid agents
    are not longer synced to valid if ldap auth was successfully, the
    invalid agent will still be invalid
 - (2006/12/11) fixed bug #1187 - Escalation Notifications sent to invalid agent
 - (2006/12/11) improved link quote of long links in web interface
 - (2006/12/11) fixed bug #962 - Broken attachments with cyrillic filenames
 - (2006/12/08) fixed bug #1521 - Merge Feature
 - (2006/12/08) fixed bug #1523 - update of FreetextValues 9-16 not working
 - (2006/12/08) fixed bug #1524 - ticketFreeText Fields 9-16 not displayed
    at CustomerTicketPrint and CustomerTicketZoom
 - (2006/12/07) fixed bug #1359 - acl problem if '' is used in properties to match
 - (2006/12/07) fixed bug #1031 - scripts/backup.pl fails in mysqldump with
    encrypted database password
 - (2006/12/07) fixed bug #1378 - Got no MainObject! in bin/otrs.getTicketThread
 - (2006/12/07) fixed bug #1200 - not working TicketACL actions AgentTicketCompose,
    AgentTicketBounce, AgentTicketForward and AgentTicketPhoneOutbound
 - (2006/12/07) added log notice for switch to user admin feature
 - (2006/12/07) fixed bug #1210 - wrong calculation of Kernel::System::Time
    WorkingTime()
 - (2006/12/06) added changes notice of generic agent jobs to log sub
    system (to keep clear who changed the job)
 - (2006/12/05) moved ticket number generator loop check from 1000 to 6000
    (Kernel/System/Ticket/Number/*.pm)
 - (2006/11/30) fixed not working faq lookup in compose answer and forward
    screen
 - (2006/11/30) fixed double quoted "$Quote{"Cc: (%s) added database email!""}
    in compose answer screen (Kernel/Modules/AgentTicketCompose.pm)
 - (2006/11/30) fixed bug #1498 - Typo in QuoteSingle, Kernel/System/DB/mssql.pm
 - (2006/11/30) moved Quote() from Kernel/System/DB.pm to db backend modules
    Kernel/System/DB/*.pm because of needed Quote() in xml processing
 - (2006/11/23) improved handling if there are double customer users in
    the database used by search result
 - (2006/11/22) fixed PGP/SMIME bug - Can't call method "body" on an undefined
    value at Kernel/System/EmailParser.pm line 382
 - (2006/11/22) fixed bug #1395 - utf-8 - ArticleStorage FS - Attachments with
    German Umlauts cant be downloaded
 - (2006/11/17) added config option Ticket::PendingNotificationOnlyToOwner
    to send reached reminder notifications of unlocked tickets only to ticket
    owner
 - (2006/11/17) fixed database driver detection/problem if a second database
    connect with different driver is used (wrong sql will not longer be
    generated) Note: old database driver files Kernel/System/DB/*.pm
    not longer compatible
 - (2006/11/17) added config option Ticket::ResponsibleAutoSet to set owner
    automatically as responsible if no responsible is set (default is 1)

2.1.3 (2006/11/15)
 - (2006/11/15) removed not needed Reply-To of agent notifications
 - (2006/11/15) fixed missing \n on csv output of customer ticket search
 - (2006/11/15) fixed not working ticket free time option in phone ticket
 - (2006/11/15) added missing access permission pre check to show ticket menu
    items or not
 - (2006/11/15) fixed bug - not shown empty "-" selection of new onwer if on
    move if Ticket::ChangeOwnerToEveryone is set
 - (2006/11/10) update of Dansk language file, thanks to Mads N. Vestergaard
 - (2006/11/10) update of Spanish language file, thanks to Jorge Becerra
 - (2006/11/09) added AuthModule::HTTPBasicAuth::Replace and
    Customer::AuthModule::HTTPBasicAuth::Replace config option to HTTPBasicAuth
    modules to strip e. g. domains like example_domain\user from login down to user
 - (2006/11/09) added AuthModule::LDAP::UserLowerCase to allways convert
     usernames into lower case letters
 - (2006/11/07) added set auto time zone of agent/customer based on java script
    offset feature on every login
 - (2006/11/07) fixed not working all owner/responsible selection in phone view
 - (2006/11/07) read out CustomerUserSearchListLimit correctly if LDAP customer
    backend is in use
 - (2006/10/27) fixed always shown responsible selection
 - (2006/10/27) removed not needed default free text fields from phone outbound
 - (2006/10/26) fixed agent can be customer follow up feature
 - (2006/10/26) added possible - selection for next state in phone view outbount
 - (2006/10/20) fixed LDAP problems "First bind failed! No password, did you
    mean noauth or anonymous ?"
 - (2006/10/19) fixed double agent notifications on ticket move to queue
    and also selected owner

2.1.2 (2006/10/18)
 - (2006/10/13) switched to md5 check sum for password in user_preference table
 - (2006/10/12) fixed #1373 - RH RPM requires sendmail, but works with other MTAs
 - (2006/10/12) fixed double agent notifications on follow up if agent is
    owner and responible
 - (2006/10/12) fixed bug #1311 - Apostrophes are incorrectly displayed under
    IE 6 & IE7 but correctly displayed under Firefox 1.5.0.6  -=>
    moved from $Text{} to $JSText{} for text translations in Java Script parts
    to have a correct quoting
 - (2006/10/11) fixed not shown follow up feature in customer panel if ticket
     is closed
 - (2006/10/09) added missing customer print feature
 - (2006/10/05) fixed bug #1361 - Can't locate object method "ModGet" via
    package "Kernel::System::Config"

2.1.1 (2006/10/05)
 - (2006/10/05) fixed bug #1213 - some errors not logger by LDAP backends
 - (2006/10/05) fixed bug #1248 - Ticket Zoom - Article Thread - Color of auto
    responses should be yellow
 - (2006/10/05) fixed bug #1323 - 2.1 DBUpgrade issue with PostgreSQL - patch
 - (2006/10/05) fixed bug #1333 - No reset of escalation time after follow-up
 - (2006/10/05) fixed bug #1345 - Attached binary files uploaded and saved to
    the FS are corrupted.
 - (2006/09/30) add ticketfreetext-, ticketfreetime- and articlefreetext support
    to pdf output
 - (2006/09/28) improved stats export/import with an id-name wrapper
 - (2006/09/28) fixed bug #1353/1354 changed autoreponse text
 - (2006/09/27) add transparency to some images
 - (2006/09/27) fixed bug #1358 - Customer History > All customer tickets.
    returns an incorrect number of tickets
 - (2006/09/27) fixed bug #1293 - Can't use an undefined value as a HASH
    reference at /opt/otrs/bin/cgi-bin//../../Kernel/Modules/AgentTicketBulk.pm
    line 194
 - (2006/09/27) fixed bug #1356 - mssql driver bug - Stats module of OTRS 2.1
    beta 2 - "Cant use string ("0")".
 - (2006/09/27) fixed bug #1335 - removed "uninitialized value" warning in
    NavBarTicketWatcher.pm
 - (2006/09/22) fixed opm check do not install/upgrade packages if one file to
    install already exists in an other package
 - (2006/09/22) added "-a exportfile" feature to bin/opm.pl to export files
    of a package into a defined directory e. g. "-d /path/to/"
 - (2006/09/21) removed Re: from agent notification emails
 - (2006/09/14) added change to remove 4 not needed empty spaces after folding
    of email headers (sometimes 4 empty spaces in subject appear)
 - (2006/09/09) updated pdf-logo to ((otrs))
 - (2006/09/09) added DBUpdate-to-2.1.oracle.sql to get oracle databases up to
    date
 - (2006/09/05) fixed double sending of note notifications
 - (2006/09/05) fixed link to email and phone after adding a new customer user
 - (2006/09/01) added fix to removed leading and trailing spaces in search
    fields of object linking

2.1.0 beta2 (2006/08/29)
 - (2006/08/29) moved Frontend::ImagePath variable
   (/otrs-web/images/Standard/) from .dtl files to config option
 - (2006/08/28) added examples how to use SOAP (bin/cgi-bin/rpc.pl and
    scripts/rpc-example.pl)
 - (2006/08/27) added mulit calendar / queue support - you can use different
    time zones in different queues and each agent can select the own time zone
    NOTE: table queue need to be modified - see scripts/DBUpdate-to-2.1.*.sql
 - (2006/08/27) fixed bug #739 - in the login you can type something behind the
    pass and it works / added password md5 support (required Crypt::PasswdMD5
    from CPAN or from Kernel/cpan-lib/ - via "cvs update -d")
 - (2006/08/26) fixed $Quote{""} bug in login page
 - (2006/08/25) fixed bug #1284 - removed mysql dependence in
    scripts/apache-perl-startup.pl and scripts/apache2-perl-startup.sql
 - (2006/08/25) fixed bug #1282 - setting up a postgresql database fails
 - (2006/08/24) added performance log feature in admin interface to monitor
    your system page load performance over different times (1h, 3h, 9h, 1d, 2d,
    3d) - its disabled per default
 - (2006/08/24) removed Re: in subject auto response emails
 - (2006/08/22) added PDF output support to AgentTicketPrint module
 - (2006/08/21) fixed bug in pdf module - redesiged Table() to fix a lot of
    infinite loops
 - (2006/08/08) fixed bug in pdf module - special control characters produces
    infinite loops
 - (2006/08/02) added ldap attribute to groups/roles sync feature, so its
    possible to use user attributes for permission handling
 - (2006/08/02) fixed bug #1283 - test for modules executed in cronjobs

2.1.0 beta1 (2006/08/02)
 - (2006/07/31) added cmd option for bin/opm.pl to find package of file
    e. g. bin/opm.pl -a file -p Kernel/System/FileA.pm
 - (2006/07/31) added sleep in bin/PostMasterPOP3.pl after 10 (2 sec) and
    25 (3 sec) emails on one stream (protect server against overload)
 - (2006/07/31) added PDF output feature for stats module and ticket search results
 - (2006/07/26) updated to cpan MIME::Tools 5.420
 - (2006/07/26) changed ticket escalation method, escalation start will
    be reseted after every "new" customer message and after agent
    communication to customer
 - (2006/07/25) added new link object functions and db table link_object changes
 - (2006/07/23) added <OTRS_CUSTOMER_DATA_*> tags to auto responses
 - (2006/07/23) added support of mssql database server (experimental)
 - (2006/07/18) added new feature to sync ldap groups into otrs roles
    (see more in Kernel/Config/Defaults.pm under UserSyncLDAPGroupsDefination
    and UserSyncLDAPRolesDefination)
 - (2006/07/14) new stats framework implemented :-)
 - (2006/07/14) fixed bug #1258 - changed language description from Traditional Chinese
    to Simplified Chinese
 - (2006/07/04) fixed bug #1151 - Error when changing customer on ticket in
 - (2006/07/11) improved performance of ticket search mask (in cases with
    over 500 Agents and over 50 Groups) by adding GroupMemberInvolvedList()
    and modify GroupMemberList(), GroupGroupMemberList(), GroupRoleMemberList()
    and GroupUserRoleMemberList() at Kernel/System/Group.pm
 - (2006/07/11) fixed bug #1132 - Wrong display of escalation time
 - (2006/07/04) fixed bug #1151 - Error when changing customer on ticket in
    TicketStatusView
 - (2006/06/26) added ticket watcher feature, per default it's disabled
 - (2006/06/22) fixed bug #1240 - Tickets not shown in "New messages" if
    Auto Response "Reply" is active
 - (2006/06/14) fixed bug #1206 - When no RELEASE file is available, no
    product and version is displaied and strange messages apear in the
    apache error log;  using standard values in this case now
 - (2006/06/13) added public frontend module to serve local repository as
    remote repository (accessable via IP authentication)
 - (2006/06/13) fixed bug #1154 - Problem in displaying pending tickets
    in agent mailbox
 - (2006/06/07) improved postmaster follow up detection by scanning email
    body, attachment and/or raw email (all is disabled by default)
 - (2006/06/02) fixed bug #1023 - Comma in From field creates multiple emails
    in webform.pl
 - (2006/04/27) fixed IE problem with image-buttons
    involved files: AdminSysConfigEdit.dtl and AdminSysConfig.pm
 - (2006/04/26) fixed format bug in Package Manager - PackageView
 - (2006/04/06) moved to read any language files located under
    Kernel/Language/xx_*.pm at each request to have any translated words
    e. g. for navigation bar available (Kernel/Language/xx_Custom.pm is
    still used as latest source file)
 - (2006/03/28) added config option to show ticket title in main header
    of frontend (e. g. QueueView, ZoomView and Mailbox)
 - (2006/03/24) moved from "otrs" to "otrs-x.x.x" directory in
    tar.gz / tar.bz download format
 - (2006/03/22) added article free text attrubutes
 - (2006/03/21) moved from Kernel::Output::HTML::Generic to
    Kernel::Output::HTML::Layout - all sub modules localted under
    Kernel/Output/HTML/Layout*.pm will ne loaded automatically
    at runtime
 - (2006/03/20) improved ticket zoom to shown attachments with
    html title about attachment info (name, size, ...)
 - (2006/03/20) added use of current config values in admin sysconfig
    fulltext search
 - (2006/03/11) fixed some spelling mistakes for the English original in
    language templates and language files
 - (2006/03/10) added admin init (Kernel/Modules/AdminInit.pm) to init
    config files .xml->.pm after a new setup (after initial root login)
 - (2006/03/04) splited Kernel::Modules::AgentTicketPhone into
    two modules Kernel::Modules::AgentTicketPhone and
    Kernel::Modules::AgentTicketPhoneOutbound (phone calls for existing
    tickets) also templates are renamed!
 - (2006/03/04) cleanup for ticket event names (added compat mode):
    TicketCreate, TicketDelete, TicketTitleUpdate, TicketUnlockTimeoutUpdate,
    TicketEscalationStartUpdate, TicketQueueUpdate (MoveTicket),
    TicketCustomerUpdate (SetCustomerData), TicketFreeTextUpdate
    (TicketFreeTextSet), TicketFreeTimeUpdate (TicketFreeTimeSet),
    TicketPendingTimeUpdate (TicketPendingTimeSet), TicketLockUpdate (LockSet),
    TicketStateUpdate (StateSet), TicketOwnerUpdate (OwnerSet),
    TicketResponsibleUpdate, TicketPriorityUpdate (PrioritySet), HistoryAdd,
    HistoryDelete, TicketAccountTime, TicketMerge, ArticleCreate,
    ArticleFreeTextUpdate (ArticleFreeTextSet), ArticleUpdate, ArticleSend,
    ArticleBounce, ArticleAgentNotification, (SendAgentNotification),
    ArticleCustomerNotification (SendCustomerNotification), ArticleAutoResponse
    (SendAutoResponse), ArticleFlagSet
 - (2006/03/04) added own X-OTRS-FollowUp-* header if Queue, State, Priority,
    ...  should be changed with follow up emails (see: doc/X-OTRS-Headers.txt)
 - (2006/03/04) reworked "config options" and "interface" of _all_ agent
    ticket interfaces to get is clear
 - (2006/03/03) replaced ticket config option "Ticket::ForceUnlockAfterMove"
    with ticket event module "Ticket::EventModulePost###99-ForceUnlockOnMove"
 - (2006/03/03) replaced ticket config option "Ticket::ForceNewStateAfterLock"
    with ticket event module "Ticket::EventModulePost###99-ForceStateChangeOnLock"
 - (2006/03/03) added "responsible" ticket feature!
    (db update with scripts/DBUpdate-to-2.1.(mysql|postgres).sql)
 - (2006/03/03) added persian translation (incl. TextDirection support)
    - Thanks to Amir Shams Parsa!
 - (2006/02/16) added default ticket event module to reset ticket owner
    after move action (it's disable per default)
 - (2006/02/10) added default next state in ticket forward
 - (2006/02/10) added OTRS_Agent_* tags like OTRS_Agent_UserFirstname and
    OTRS_Agent_UserLastname for salutation and signature templates
 - (2006/02/05) added update and insert via admin sql box
 - (2006/02/05) 'removed old compat files' Kernel/Config/Files/Ticket.pm
    and Kernel/Config/Files/TicketPostMaster.pm
 - (2006/02/05) added 8 more ticket free text fields
    (db update with scripts/DBUpdate-to-2.1.(mysql|postgres).sql)
 - (2006/01/07) added SendNoNotification option for MoveTicket(),
    LockSet() and OwnerSet() in Kernel/System/Ticket.pm (used in
    GenericAgent to do some admin stuff).
 - (2005/12/29) added online repository access for bin/opm.pl
 - (2005/12/29) added Delete and Spam config option to
    Kernel/Config/Files/Ticket.xml for Ticket::Frontend::MenuModule
 - (2005/12/21) added column type check in xml database defination
 - (2005/12/20) added unit test system
 - (2005/12/17) improved admin view of session management
 - (2005/12/04) moved FAQ from framework to own application module
    (can be installed over opm online repository now)
 - (2005/11/27) moved otrs archive directory for download and in RPMs
    from otrs to otrs-x.x.x
 - (2005/11/20) added multi pre application module support, just
    define it like:
    $Self->{PreApplicationModule}->{AgentInfo} = 'Kernel::Modules::AgentInfo';

2.0.5 (2007/05/22)
 - (2007/05/22) fixed bug #1842 - Cross-Site Scripting Vulnerability
 - (2007/01/11) fixed bug #1515 - Some GenericAgent names don't work
    (e. g. names with +)
 - (2007/01/11) fixed bug #1496 - GenericAgent: "Ticket created last..."
    does not work
 - (2006/07/11) fixed bug #1132 - Wrong display of escalation time
 - (2006/07/11) added missing utf-8 encoding in agent and customer auth
 - (2006/07/11) added missing utf-8 encoding customer user backend
 - (2006/07/04) changed language description from Traditional Chinese to
    Simplified Chinese (bug #1258)
 - (2006/07/04) fixed bug #1151 - Error when changing customer on ticket in
    TicketStatusView
 - (2006/06/17) fixed bug #1240 - Tickets not shown in "New messages" if
    Auto Response "Reply" is active
 - (2006/06/14) fixed bug #1206 - When no RELEASE file is available, no
    product and version is displaied and strange messages apear in the
    apache error log;  using standard values in this case now
 - (2006/06/13) fixed bug #1154 - Problem in displaying pending tickets
    in agent mailbox
 - (2006/06/02) fixed bug #1023 - Comma in From field creates multiple emails
    in webform.pl
 - (2006/03/24) added SUSE 10.x RPM support
 - (2006/03/24) fixed bug #925 - Binary Attachments incorrectly utf-8
    encoded in ticket replies
 - (2006/03/23) fixed links to new phone/email ticket after a new
    customer is created via Kernel/Modules/AdminCustomerUser.pm
 - (2006/03/21) update of Portuguese language file  - Thanks to
    Manuel Menezes de Sequeira)
 - (2006/03/18) added Greek translation - Thanks to Stelios Maistros!
 - (2006/03/16) fixed bug #991 - changed $Data{} to $QData{} in Ticket.xml
    and Ticket.pm config files to solve problem when answering requests
    that contain HTML tags
 - (2006/03/16) updated Dutch language file - Thanks to Richard Hinkamp!
 - (2006/03/16) added Slovak translation
 - (2006/03/10) fixed/removed die in Kernel/System/AuthSession/FS.pm
    -=> GetSessionIDData() - not wanted to die if nn SessionID is given
 - (2006/03/08) added Danish translation - Thanks to Thorsten Rossner!
 - (2006/03/08) updated Norwegian translation - Thanks to Knut Haugen
 - (2006/03/08) fixed some spelling mistakes for the English original in
    language templates and language files
 - (2006/02/12) updated Brazilian Portuguese translation -Thanks to
    Fabricio Luiz Machado!
 - (2006/02/01) fixed missing translation after new ticket was created
 - (2006/02/01) added long month translation for calendar popup
 - (2006/02/01) changed Kernel/System/Spelling.pm to work with (a|i)spell
    on Windows systems
 - (2006/01/30) added <OTRS_TICKET_*> and <OTRS_CONFIG_*> support to
    auto respons templates
 - (2006/01/29) fixed/removed wrong config option
    "Ticket::Frontend::QueueSortDefault", added own config option for
    StatusView of tickets
 - (2006/01/29) fixed bug #1047 forward fails if " is in From
 - (2006/01/29) fixed ldap authentication if application charset is
    e. g. iso-8859-1 and not utf-8
 - (2006/01/26) fixed some spelling mistakes in
    Kernel/Config/Files/Ticket.xml and Kernel/Config/Files/Framework.xml
 - (2006/01/24) Added X-Spam-Level to config files to have the possibility
     to filter for this header with PostMasterFilter
 - (2006/01/23) fixed bug #1069 - Problem when the name of a GenericAgent
    job was updated
 - (2006/01/08) fixed PostMaster filter admin interface if wrong syntax
    regexp is used (don't save invalid regexp because no email can be
    received)
 - (2006/01/07) added bin/CheckSum.pl and also ARCHIVE file to include
    md5 sum archive of current distribution
 - (2006/01/07) improved PostMaster if no article can be created
 - (2005/12/29) fixed internal server error if in sysconfig search
    * is used
 - (2005/12/29) fixed "enter" submit bug in sysconfig (e. g. reset first
    item in the edit site)
 - (2005/12/29) fixed ArticleAttachmentIndex() - wrong index count in
    fs lookup - attachment icons sometimes not shown
 - (2005/12/29) added added missing class="button" in submit type="submit"
    of .dtl templates
 - (2005/12/27) fixed default note-type and default state-type in ticket
    pending mask
 - (2005/12/23) fixed stats/graph error message 'Can't call method "png"
    on an undefined value at ...'
 - (2005/12/21) fixed missing delete on time_accounting in
    Kernel/System/Ticket/Article.pm if article got deleted
 - (2005/12/20) improved die if xml is invalid in Kernel/System/XML.pm
 - (2005/12/12) added compat config option for compose answer to
    replace original sender with current customers email address
 - (2005/11/19) updated French language file, thanks to Yann Richard
 - (2005/12/04) fixed bug #1025 - ORA-01400: cannot insert NULL into ("OTRS"
    ."CUSTOMER_USER"."COMMENTS"
 - (2005/12/04) fixed bug #1018 - initial_insert.sql, oracle error ORA-01400:
    cannot insert NULL into
 - (2005/12/03) fixed std attachment feature (no attachment after
    additional fiel upload) in agent ticket compose
 - (2005/12/01) improved database Quote() for integer, also allow +|-
    in integer
 - (2005/11/30) fixed order of create attributes (TicketCreate(), TicketFreeTime(),
    TicketFreeTime(), ArticleCreate(), ...) on customer ticket creation
 - (2005/11/29) fixed bug #1010 - ORA-00972 Identifier is too long for oracle
 - (2005/11/29) fixed bug #1011 - ORA-01408: such column list already indexed,
    Oracle error
 - (2005/11/24) fixed wrong follow up notification (to all agents)
    via customer panel if ticket is already closed
 - (2005/11/19) updated Dutch language file, thanks to Richard Hinkamp
 - (2005/11/15) fixed not working -r option in scripts/backup.pl
    (-r == removed backups older then -r days)
 - (2005/11/13) remove leading and trailing spaces in ldap filter for
    agent and customer authentication

2.0.4 (2005/11/12)
 - (2005/11/11) fixed bug #695 - From-Header missing quoting if : is used
 - (2005/11/11) fixed bug #863 - error after using faq in tickets
 - (2005/11/11) fixed bug #906 - group names are translated in admin interface
 - (2005/11/08) added missing default pending note type
 - (2005/11/05) fixed bug #922 - rfc quoteing for emails with sender
    like info@example.com <info@example.com> is now
    "info@example.com" <info@example.com>
 - (2005/11/05) fixed bug #639 - problems with german "umlaute" and
    "," in realname if OE is the sender system
 - (2005/10/31) moved to default download type as attachment (not inline)
    for a better security default setting
 - (2005/10/31) fixed bug in html mime online viewer module
    (Kernel/Modules/AgentTicketAttachment.pm)
 - (2005/10/31) added missing ContentType in ArticleAttachmentIndex() if
    fs lookup is used (Kernel/System/Ticket/ArticleStorage*.pm)
 - (2005/10/31) improved sql quote with type (String, Integer and Number)
    to have a better security
 - (2005/10/30) removed not needed german default salutation and signature
    from scripts/database/initial_insert.sql
 - (2005/10/30) improved oracle backend with max length of index and foreign
    key ident, fixed triger creation - removed not needed / if DBI is used.
 - (2005/10/25) improved bin/opm.pl to uninstall packages via
   -p package-verions of installed package
 - (2005/10/25) moved to default selected priority and state in
    first mask of phone and email mask
 - (2005/10/25) fixed lost of original .backup and .save files if
    packages are reinstalled
 - (2005/10/25) added html access keys for customer panel
 - (2005/10/24) moved oracle database param LongReadLen to 4*1024*1024 to
   store biger attachments
 - (2005/10/23) fixed small bug for WorkingTime calculation
 - (2005/10/22) fixed bug #971 - Invalid agents get LockTimeOut notification
 - (2005/10/21) fixed bug #948 - Invalid agents should not longer get follow-ups
 - (2005/10/21) fixed bug #957 - Got "no ArticleID" error when viewing queues
 - (2005/10/20) improved html of admin auto responses <-> queue relation
 - (2005/10/20) fixed unlock of closed bulk-action tickets
 - (2005/10/20) fixed calendar lookup in admin generic agent time
    selection
 - (2005/10/18) added sortfunction for hashes and array in admin interface
    -> SysConfig
 - (2005/10/17) fixed bug #792 - GPG 1.4.1 is no handled correct
 - (2005/10/17) fixed missing db quoting in Kernel/System/Auth/DB.pm
 - (2005/10/15) small rework of Kernel/Language/de.pm with improved wording
 - (2005/10/15) fixed bug #889 - fixed QuoteSignle typo and added changed
    QuoteSingle for PostgreSQL
 - (2005/10/15) Added correct quoting in Filter.pm when deleting a
    PostMasterFilter rule
 - (2005/10/13) changed merge article type to note-external to be shown
    in the customer interface, other way the customer will get an no
    permission screen for this ticket
 - (2005/10/13) improved bin/PendingJobs.pl to send reminder notifications
    to queue subscriber if ticket is unlocked (not longer to the ticket
    owner).
 - (2005/10/13) improved html style of package view in admin interface
 - (2005/10/11) added missing SessionUseCookie config setting to SysConfig
 - (2005/10/10) fixed time (hour and minute) selection on 0x default selections
    in framework (00 selection if 0x was selected)
 - (2005/10/08) removed not longer needed uniq customer id search in
    agent interface
 - (2005/10/06) fixed input check of TimeVacationDays and
    TimeVacationDaysOneTime in admin interface (just integer values allowed)
 - (2005/10/05) fixed bug #947 - Admin -> SelectBox: Insert, Delete, Update
    etc. possible
 - (2005/10/04) added MainObject as required for Kernel/Output/HTML/Generic.pm
 - (2005/10/01) fixed time (minute and hour) default selection if 01 minues
    or 01 hours are used

2.0.3 (2005/09/28)
 - (2005/09/28) fixed typo in config option name for csv search output,
    so configable csv search output is now possible
 - (2005/09/28) improved speed of Kernel::System::AgentTicketMailbox
    (added page jumper)
 - (2005/09/28) fixed not deleting var/tmp/XXXXXX.tmp files
 - (2005/09/26) fixed not working cache in Kernel::System::User->UserGetData()
 - (2005/09/24) fixed small oracle database driver bugs
 - (2005/09/24) added initial user groups add (UserSyncLDAPGroups) after
    initial login
 - (2005/09/19) moved ldap user sync after login from Kernel/System/User.pm
    to Kernel/System/Auth/LDAP.pm (already an existing ldap module)
 - (2005/09/19) fixed ticket search create day and month selection
    (e. g. 009) if input fields (no pull downs) are used
 - (2005/09/19) removed js from change ticket customer
 - (2005/09/19) fixed bin/mkStats.pl - no attachments are sent
 - (2005/09/18) removed auto result in object link mask (search submit
    required first!) and improved html design
 - (2005/09/17) added DefaultTheme::HostBased config option for host
    name based theme selection
 - (2005/09/14) fixed move action module in
    Kernel/Output/HTML/Standard/AgentTicketQueueTicketViewLite.dtl
 - (2005/09/13) fixed ticket search with IE if many options are selected
 - (2005/09/11) improved html style in customer panel
 - (2005/09/09) added Chinese translation, thanks to zuowei
 - (2005/09/07) added admin "su" (Switch To User) feature (it's disabled
    per default)
 - (2005/09/05) moved to german "Ihr OTRS Benachrichtigungs-Master" wording
    in default notifications
 - (2005/09/05) added missing default state and article type option to
    Kernel/Modules/AgentTicketClose.pm
 - (2005/09/04) changed max. session time from 9h to 10h
 - (2005/09/04) added missing config options in
    Kernel/Modules/AgentTicketEmail.pm and Kernel/Modules/AgentTicketPhone.pm
    for show count of customer ticket history
 - (2005/09/04) added missing Kernel::Modules::AgentLookup module registration
 - (2005/09/04) fixed ArticleGetContentPath() in Kernel/System/Ticket/Article.pm,
    removed "uninitialized value" warning if no content path is set in db'
 - (2005/09/04) fixed ArticleWriteAttachment() in
    Kernel/System/Ticket/ArticleStorageFS.pm, added ContentPath lookup
 - (2005/09/04) fixed SubGroup of Ticket::Frontend::CustomerInfo(Queue|Zoom|
    Compose), Frontend::Agent is the correct one
 - (2005/09/04) added possibe state selection in owner update screen
 - (2005/08/29) fixed bug #905 - fixed SuSE meta header info, try-restart
    arg, and some smaller fixes
 - (2005/08/26) added package manager deploy check in admin interface, if
    package is really deployed (compare files in filesystem and package)
 - (2005/08/26) added time accounting option to ticket move mask
 - (2005/08/26) replaced localtime(time) with Kernel::System::Time core
    module in several files
 - (2005/08/26) removed empty thai translation file
 - (2005/08/24) replaced scripts/restore.sh and scripts/backup.sh with improved
    scripts/backup.pl and scripts/restore.pl scripts
 - (2005/08/24) added SMIME and PGP environment check in admin
    interface
 - (2005/08/23) fixed bug #891 - typo in Login.dtl

2.0.2 (2005/08/22)
 - (2005/08/19) fixed bug #811 - 404 Error for role link OTRS::Admin::Role
    <-> User
 - (2005/08/19) Added new config parameter to include a envelope from
    header in outgoing notifications for customer and agents:

   $Self->{"SendmailNotificationEnvelopeFrom"} = '';

 - (2005/08/19) fixed bug #846 - empty envelope from on notifications
 - (2005/08/19) fixed bug #879 - "Wide character in subroutine" - mails with
    attachments in utf-8 mode
 - (2005/08/19) fixed bug #871 - Erroneous Content-Length fields are sent
    when downloading attachments
 - (2005/08/19) fixed bug #861 - Problems in faq attachments and postgresql
    backend
 - (2005/08/19) updated nb_NO translation again - thanks to Espen Stefansen!
 - (2005/08/18) enabled customer PGP and SMIME preferences if PGP or
    SMIME is enabeled
 - (2005/08/18) fixed broken download of public SMIME certs
 - (2005/08/18) fixed bug #874 - password plaintext in UserLastPw
 - (2005/08/17) fixed bug #872 - CustomerCalendarSmall not working, module
    not registered
 - (2005/08/16) fixed bug #847 - Broken download of public PGP keys via
    customer preferences pannel
 - (2005/08/16) fixed bug #862 - wrong sum for time acounting
 - (2005/08/12) fixed bug #870 - wrong parameter order in
    Kernel::System::Ticket::Article::SendCustomerNotification routine
 - (2005/08/12) removed default selections (UserSalutation) from CustomerUser
    config
 - (2005/08/12) updated nb_NO translation - thanks to Espen Stefansen!
 - (2005/08/10) updated pt_BR translation - thanks to Glau Messina!
 - (2005/08/09) added config option for defaul sortby and order in ticket
    search result in customer and agent interface
 - (2005/08/09) fixed bug #822 - Missing FAQID in TicketZoom for linked
    FAQ article
 - (2005/08/08) fixed bug #815 - strange line in history
 - (2005/08/08) added add/delete option in SysConfig for NavBar
 - (2005/08/07) fixed bug #658 - Typo in installer.pl
 - (2005/08/06) fixed bug #836 - GenericAgent (GUI based) seem to ignore
    priority - added some db quote
 - (2005/08/06) changed description text of Ticket::Frontend::PendingDiffTime
    config setting
 - (2005/08/06) fixed not shown linked objects in faq zoom and print view
 - (2005/08/06) removed not needed Kernel/Modules/FAQState.pm and not
    needed config setting
 - (2005/08/06) added warning message in customer panel on account create
    if invalid email address is given
 - (2005/08/05) fixed bug #850 - Can't locate object method "KeySearch"
    error"
 - (2005/08/05) fixed bug #860 - Error in AgentTicketForward.pm, missing
    title in the warning for the owner check
 - (2005/08/04) updated it translation - thanks to Giordano Bianchi!
 - (2005/08/04) changed default state of new faq articles to 'internal (agent)'
 - (2005/08/04) fixed bug #877 - Error when merging tickets - Can't call
    method "LockSet" on an undefined value at Kernel/System/Ticket.pm line 3720
 - (2005/08/04) added missing merge params to Kernel/Config/Files/Ticket.xml

2.0.1 (2005/08/01)
 - (2005/07/31) fixed bug 602 - CustomerIDs and CustomerUserIDs are lowercased
    before being assigned to a ticket
 - (2005/07/31) fixed bug 600 - Wide character death in IPC.pl
 - (2005/07/31) fixed bug 593 - Need ID or Name in log file
 - (2005/07/31) fixed missing recover of .save files on uninstall of
    .opm packages
 - (2005/07/31) fixed DBUpdate-to-2.0.postgresql.sql - alter table
    time_accounting - DECIMAL(10,2), fixed UPDATE ticket SET
    escalation_start_time
 - (2005/07/31) fixed bug 566 - Wide character in print, ArticleStorageFS.pm
 - (2005/07/29) fixed required time accounting option in js of phone
    and email ticket
 - (2005/07/29) fixed bug 817 - added missing freetime1, freetime2 in
    otrs-schema.postgresql.sql and scripts/DBUpdate-to-2.0.postgresql.sql
 - (2005/07/29) added hour and minutes in time selection in ticket search
    in admin, agent and customer interface - bug [843]
 - (2005/07/28) updated es tranlsation file by Jorge Becerra - Thanks!
 - (2005/07/28) updated translation files
 - (2005/07/28) fixed bug in ticket expand view
 - (2005/07/28) just framework options for web installer, removed
    ticket options
 - (2005/07/28) moved to globle GetExpiredSessionIDs() for
    bin/DeleteSessionIDs.pl and Kernel/System/AuthSession.pm
 - (2005/07/24) added missing from realname on phone follow up in
    Kernel::Modules::AgentTicketPhone
 - (2005/07/24) improved scripts/tools/charset-convert.pl tool with
    get opt params and with file option
 - (2005/07/24) added block feature for system stats
 - (2005/07/24) added auto removed of expired sessions on CreateSessionID()
 - (2005/07/23) removed access of admin group to stats module (because
    of existing own stats group)
 - (2005/07/23) improved page title with ticket number of
    Kernel::Modules::AgentTicketPlain frontend module
 - (2005/07/23) moved ticket unlock after merge from frontend module to
    Kernel::System::Ticket (because it's a core function)
 - (2005/07/23) disabled PGP and SMIME in default setup (because if it's
    not configured there are many warnings in error log)

2.0.0 beta6 (2005/07/19)
 - (2005/07/18) added ticket search option for ticket free time
 - (2005/07/18) fixed not shown calendar lookup icons
 - (2005/07/18) added date-check (JavaScript)
 - (2005/07/18) added number-check for TimeUnits (JavaScript)
 - (2005/07/17) improved speed of xml parsing - also speed of SysConfig
 - (2005/07/16) fixed module permission check bug in agent handle
 - (2005/07/15) fixed bug 821 - Admin SysConfig (Values cannot be activated)

2.0.0 beta5 (2005/07/14)
 - (2005/07/14) removed not needed admin dtls from lite theme, because this
    standard is used as default
 - (2005/07/14) removed not needed customer dtls from lite theme, because this
    standard is used as default
 - (2005/07/13) web installer rewritten - moved to block feature
 - (2005/07/13) added check in bin/SetPermissions.sh if . files exists
 - (2005/07/09) splited big sub groups Frontend::Agent in smaller groups in
    Kernel/Config/Files/Ticket.xml
 - (2005/07/08) fixed bug with double session id bug after login
 - (2005/07/08) improved notify layer with error or notice icon
 - (2005/07/08) fixed bug in Kernel/System/Group.pm GroupMemberList() if GroupID
    is given (possible in AgentTicketOwner.pm if roles are used)
 - (2005/07/08) added postmaster follow up with X-OTRS-Header update function
 - (2005/07/08) fixed win32 binmode problem in Kernel/System/Web/UploadCache/FS.pm
 - (2005/07/08) fixed wrong named templates for customer ticket history
    in Kernel/Modules/AgentTicketEmail.pm and Kernel/Modules/AgentTicketPhone.pm
 - (2005/07/04) improved bin/otrs.addQueue with -s <SYSTEMADDRESSID>
    and -c <COMMENT> params.

2.0.0 beta4 (2005/07/03)
 - (2005/07/03) added ticket free time feature - take care, you need to
    alter the ticket table:

    ALTER TABLE ticket ADD freetime1 DATETIME;
    ALTER TABLE ticket ADD freetime2 DATETIME;

    new config options are:

    $Self->{"TicketFreeTimeKey1"} = 'Termin1';
    $Self->{"TicketFreeTimeDiff1"} = 0;
    $Self->{"TicketFreeTimeKey2"} = 'Termin2';
    $Self->{"TicketFreeTimeDiff2"} = 0;

 - (2005/07/03) fixed bug 797 - renamed AdminEmail to Admin Notification
    in admin interface.
 - (2005/07/03) rewritten faq customer and public area
 - (2005/07/03) fixed bug 799 - improved FAQ article for utf8 support
    http://faq.otrs.org/otrs/public.pl?Action=PublicFAQ&ID=3
 - (2005/07/03) added fixed/auto update for faq articles with no number
 - (2005/07/03) fixed bug 800 - FAQ insert overwrites response by default
 - (2005/07/03) removed CGI cpan module from dist because of incomapt.
   for mod_perl 1.99 and mod_perl 2.00
 - (2005/07/01) added datatype DECIMAL support for time_accounting table
    (changed datatype of time_unit in time_accounting table)
 - (2005/06/29) fixed user language selection in customer panel
 - (2005/06/28) fixed default customer valid selection in admin interface
 - (2005/06/27) fixed XML::Parser::Lite backend with xml decode
 - (2005/06/27) updated to cpan CGI v3.10

2.0.0 beta3 (2005/06/21)
 - (2005/06/13) fixed bug 759 - error when changing default dictionary
 - (2005/06/13) fixed bug 773 - NotificationAgentOnline needs TimeObject
 - (2005/06/12) fixed bug 776 - when adding a new user I got error message
 - (2005/06/11) added XML::Parser support for Kernel::System::XML
 - (2005/06/07) fixed bug 771 - Customer Web Interface - Attachment
    View Error' Kernel/Modules/CustomerTicketZoom.pm
 - (2005/06/06) added experimental db2 support - thanks to Friedmar Moch!
 - (2005/06/06) removed foreign key for queue_id in pop3_account, fixed
    indexes for article_flag

2.0.0 beta2 (2005/05/16)
 - (2005/05/16) fixed bug 644 - GenericAgent module calls should not keep
    the error msg secret :-), moved to Kernel::System::Main
 - (2005/05/16) fixed bug 733 - Postgres: TicketOverview doesn't work in April
 - (2005/05/14) fixed bug 737 - cannot add FAQ categories in 2.0 beta1
 - (2005/05/08) fr translation updated by Yann Richard - thanks!
 - (2005/05/08) fixed bug 729 - Problem removing example FAQ-entry from FAQ
 - (2005/05/08) fixed bug 730 - Problem with FAQ nav bar
 - (2005/05/08) fixed bug 734 - Timezone not reflected in DB Tables (ticket
    create time, etc.)
 - (2005/05/07) fixed language translation files
 - (2005/05/07) fixed bug 647 - Allow setting of default language for FAQs
 - (2005/05/07) fixed bug 686 - defect attachments on download with firefox
 - (2005/05/07) added html access keys for nav bar
    general:
    h = home
    l = logout
    o = overview
    n = new
    s = search
    p = preferences
    a = admin interface
    t = ticket interface
    f = faq interface
    g = formular submit

    ticket:
    o = queue view
    n = phone ticket
    e = email ticket
    k = locked ticket list
    m = new messages in locked ticket list
 - (2005/05/07) fixed bug 719 - Timezone setting (US EDT -4) causes
    "Session Timeout"
 - (2005/05/04) removed html wrap from ticket text areas
 - (2005/05/04) added ticket event module layer
 - (2006/05/04) fixed priority default selection in priority screen

2.0.0 beta1 (2005/05/02)
 - (2005/04/30) fixxed bug 712 - Reports ignore setting for http-type
 - (2005/04/22) added ticket merge feature
 - (2005/04/14) fixed From in article of AgentTicketPending and
    AgentTicketMove frontend module
 - (2005/04/10) added check to ticket core function Move(), send no
    ticket move info for closed tickets
 - (2005/04/08) updated CGI module to 3.07
 - (2005/02/17) Kernel/Config/Modules*.pm not longer needed, moved
    to config filer
 - (2005/02/17) renamed _all_ ticket frontend modules and templates
    to AgentTicket* (cleanup)
 - (2005/02/15) renamed _all_ ticket config options! and moved to
    own config files:
      o Kernel/Config/Files/Ticket.pm
      o Kernel/Config/Files/TicketPostMaster.pm
    -->> old ticket config setting will not longer work <<--
 - (2005/02/11) imporved agent ticket search with created options
    (berated by user, created in queue)
 - (2004/12/04) moved PGP and SMIME stuff to Kernel/System/Email.pm
    to be more generic
 - (2004/11/27) added config option TicketHookDivider
    [Kernel/Config.pm]
    # (the divider between TicketHook# and number)
    $Self->{TicketHookDivider} = ': ';
#    $Self->{TicketHookDivider} = '';
    [...]
 - (2004/11/24) renamed from bin/SendStats.pl to bin/mkStats.pl and added
    fs output e. g.
    shell> bin/mkStats.pl -m NewTickets -p 'Month=1&Year=2003' -r me@host.com -b text
    NOTICE: Email sent to 'me@host.com'
    shell> bin/mkStats.pl -m NewTickets -p 'Month=1&Year=2003'  -o /data/dir
    NOTICE: Writing file /data/dir/NewTickets_2004-11-24_14-38.csv
    shell>
 - (2004/11/24) added postmaster filter to
 - (2004/11/16) a xml 2 sql processor which is using Kernel/System/DB.pm
    and Kernel/System/DB/*.pm' bin/xml2sql.pl to generate database based
    sql syntax
 - (2004/11/16) moved database settings from Kernel/System/DB.pm to
    Kernel/System/DB/*.pm (mysql|postgresql|maxdb|oracle|db2)
 - (2004/11/16) added fast cgi (fcgi) handle to (bin/fcgi-bin/*.pl)
 - (2004/11/16) splited cgi-handle to handle (bin/cgi-bin/*.pl) and
    modules (Kernel/System/Web/Interface*.pm)
 - (2004/11/16) renamed Kernel/System/WebUploadCache.pm to
    Kernel/System/Web/UploadCache.pm
 - (2004/11/16) renamed Kernel/System/WebRequest.pm to
    Kernel/System/Web/Request.pm
 - (2004/11/07) added LOWER() in sql like queries to search, now searches
    are case insensitive in postgresql and maxdb
 - (2004/11/04) added new feature so show ticket history reverse
    [Kernel/Config.pm]
    # Agent::HistoryOrder
    # (show history order reverse) [normal|reverse]
    $Self->{'Agent::HistoryOrder'} = 'normal';
#    $Self->{'Agent::HistoryOrder'} = 'reverse';
    [...]
 - (2004/11/04) added "show no escalation" group feature
    [Kernel/Config.pm]
    # AgentNoEscalationGroup
    # (don't show escalated tickets in frontend for agents who are writable
    # in this group)
    $Self->{AgentNoEscalationGroup} = 'some_group';
    [...]
 - (2004/11/04) renamed session to sessions table (oracle compat.)
 - (2004/11/04) updated to CGI 3.05
 - (2004/11/04) switched to session db module as default because
   of compat. of operating systems
 - (2004/11/04) added new dtl tag $LQData{} to quote html links
 - (2004/11/02) added ticket free text feature to agent compose
 - (2004/11/02) added ticket free text feature to agent close
 - (2004/11/01) added auto generated table-sql scripts for mysql, postgresql,
    sapdb and oracle based on scripts/database/otrs-schema.xml
 - (2004/10/31) added database foreign-keys
 - (2004/10/08) fixed 544 - Email address check with query timeout causes
     Premature end of script headers
 - (2004/10/06) reworked all agent and customer notifications in database
    (use scripts/DBUpdate-to-2.0.*.sql)
 - (2004/10/06) added new config options for email address check
    # CheckEmailValidAddress
    # (regexp of valid email addresses)
    $Self->{CheckEmailValidAddress} = '^(root@localhost|admin@localhost)$';

    # CheckEmailInvalidAddress
    # (regexp of invalid email addresses)
    $Self->{CheckEmailInvalidAddress} = '@(anywhere|demo|example|foo)\.(..|...)$';

 - (2004/10/01) added global working time configuration for escalation
    and unlock calculation:
    [Kernel/Config.pm]
    # TimeWorkingHours
    # (counted hours for working time used)
    $Self->{TimeWorkingHours} = {
        Mon => [ 8,9,10,11,12,13,14,15,16,17,18,19,20 ],
        Tue => [ 8,9,10,11,12,13,14,15,16,17,18,19,20 ],
        Wed => [ 8,9,10,11,12,13,14,15,16,17,18,19,20 ],
        Thu => [ 8,9,10,11,12,13,14,15,16,17,18,19,20 ],
        Fri => [ 8,9,10,11,12,13,14,15,16,17,18,19,20 ],
        Sat => [  ],
        Sun => [  ],
    };
    # TimeVacationDays
    # adde new days with:
    # "$Self->{TimeVacationDays}->{10}->{27} = 'Some Info';"
    $Self->{TimeVacationDays} = {
        1 => {
            01 => 'New Year\'s Eve!',
        },
        5 => {
            1 => '1 St. May',
        },
        12 => {
            24 => 'Christmas',
            25 => 'First Christmas Day',
            26 => 'Second Christmas Day',
            31 => 'Silvester',
        },
    };
    # TimeVacationDaysOneTime
    # adde new own days with:
    # "$Self->{TimeVacationDaysOneTime}->{1977}-{10}->{27} = 'Some Info';"
    $Self->{TimeVacationDaysOneTime} = {
        2004 => {
          6 => {
              07 => 'Some Day',
          },
          12 => {
              24 => 'Some A Day',
              31 => 'Some B Day',
          },
        },
    };
    [...]
 - (2004/10/01) improved ticket escalation, added new ticket table col.
    use scripts/DBUpdate-to-2.0.*.sql
 - (2004/09/29) fixed bug 310 - System-ID "09" is not working
 - (2004/09/27) replaced dtl env LastScreenQueue with LastScreenOverview
    and LastScreen with LastScreenView.
 - (2004/09/16) added frontend module registry, so no frontend module
    will be longer accessable till the module is registry. For example
    a registered frontend module with navigation icon in Agent nav bar
    (navigation bar will be build automatically, based on permissions):
    [Kernel/Config.pm]
    $Self->{'Frontend::Module'}->{'AgentPhone'} = {
        Group => ['users', 'admin'],
        Description => 'Create new Phone Ticket',
        NavBar => [{
            Description => 'Create new Phone Ticket',
            Name => 'Phone-Ticket',
            Image => 'new.png',
            Link => 'Action=AgentPhone',
            NavBar => 'Agent',
            Prio => 20,
         },
       ],
    };

 - (2004/09/16) added Kernel::System::PID to start bin/PostMaster.pl just
    once (new table, process_id is needed)
 - (2004/09/15) added date check on set pending time, don't set pending
    time to past!
 - (2004/09/11) added support of object link
 - (2004/09/10) changed the agent notification to all subscriped agents
    if there is an follow up from the customer and the ticket is unlocked.
    This is different to OTRS <= 1.3. So if you don't want this, you can
    use the following config option to disable this (link in OTRS 1.3)
    [Kernel/Config.pm]
     $Self->{PostmasterFollowUpOnUnlockAgentNotifyOnlyToOwner} = 1;
    [...]
 - (2004/09/10) added Kernel::System::SearchProfile to manage object
    search profiles
 - (2004/09/09) added role/profile feature
 - (2004/09/09) added ticket title support

1.3.3 (2005/10/20)
 - (2005/10/20) moved to default download type as attachment (not inline)
    for a better security default setting
 - (2005/10/17) added security bugfix for missing SQL quote
 - (2005/07/08) fixed win32 binmode problem in Kernel/System/WebUploadCache.pm
 - (2005/07/01) fixed missing date in TicketForward.dtl
 - (2005/07/01) fixed bug 808 - Stats: StopMonth in Ticket.pm
 - (2005/07/01) fixed bug 810 - single quote in comment field generates errors
 - (2005/02/15) updated to cpan MIME::Tools 5.417
 - (2005/02/10) fixed generic agent - was not able to set new owner
 - (2005/01/19) fixed bug 666 - INSERTs into 'ticket_history' fail sometimes
 - (2005/01/07) fixed bug 659 - Escalation Notification Sent to Wrong Users
 - (2004/11/26) fixed remove of ticket link if just one exists
 - (2004/11/24) fixed new owner list in Kernel/Modules/AgentMove.pm
    (show just user with rw permission to selected queue)
 - (2004/11/07) fixed utf8-problem with postgres and non utf-8 emails in
    article_plain
 - (2004/11/05) updated Kernel/Language/hu.pm Thanks to Czak� Kriszti�n!
 - (2004/11/04) fixed loop if now theme directory is found
 - (2004/11/04) fixed upper queue rename with () or + chars
 - (2004/11/04) fixed bug 604 - Typo in AgentStatusView.pm
 - (2004/10/29) spell check rewritten
 - (2004/10/26) added unlock option to bulk feature
 - (2004/10/18) fixed bug 551 - FAQ on Email new only takes over the
    subject and not the text

1.3.2 (2004/10/15)
 - (2004/10/14) fixed bug 570 - Stat generation script fails under postgres
 - (2004/10/14) fixed bug 573 - Clicked link to check ticket status and here's
    what I got
 - (2004/10/12) replaced COUNTER with DATA in Kernel/System/Ticket/Number/*.pm
    (because of win32 systems and use strict mode)
 - (2004/10/12) fixed agent can be customer modus
 - (2004/10/10) fixed wrong lable attachments in db backend
 - (2004/10/07) fixed bug 562 Content-Transfer-Encoding: 7bit and german umlaut
 - (2004/10/07) fixed bug 565 HighlightColor* in AgentMailbox
 - (2004/10/06) fixed link quote of https links
 - (2004/10/06) added application log error message if bin/PostMaster.pl fails
 - (2004/10/01) fixed bug 547 - uninitialized value in string eq at
    Kernel/System/Ticket/Article.pm line 1387
 - (2004/09/29) fixed english "New ticket notification!", replaced
    OTRS_CURRENT_USERFIRSTNAME with OTRS_USERFIRSTNAME
 - (2004/09/29) removed not existing jp language translation
 - (2004/09/29) fixed bug 554 - "Thursday" twice in AdminGenericAgent.pm
 - (2004/09/27) fixed bug 548 - german spelling mistakes in agent
    notifications
 - (2004/09/23) fixed ticket free text selection in Kernel/Modules/CustomerMessag.pm
 - (2004/09/23) fixed not sended agent notification after created Email-Ticket
 - (2004/09/23) fixed ticket zoom in customer panel if no customer article
   exists

1.3.1 (2004/09/20)
 - (2004/09/16) fixed bug 513 - distinct customers must have distinct email
 - (2004/09/16) fixed bug 519 - PostMaster.pl bounces mail if database
    is down
 - (2004/09/16) fixed bug 521 - buggy utf8 content transfer encoding
 - (2004/09/11) fixed bug if somebody clicks on customer management
 - (2004/09/09) added address book and spell checker to agent forward
 - (2004/09/08) updated spanish translation - Thanks to Jorge Becerra!
 - (2004/09/08) fixed bug 500 - js error

1.3.0 beta4 (2004/09/08)
 - (2004/09/08) fixed bug 514 - Use of uninitialized value in addition (+) at
    bin/DeleteSessionIDs.pl line 93.
 - (2004/09/08) fixed bug 517 - fixed bug 517 - DBUpdate-to-1.3 scripts
    don't correctly rename system_queue_id
 - (2004/09/08) fixed bug 516 - initial_insert.sql violates ticket_history
    "NOT NULL" contraints
 - (2004/09/05) fixed bug 380 - Does not allow change of customer login
 - (2004/09/04) fixed bug 502 - Email bouncing does not work
 - (2004/09/04) fixed bug 503 - Move Ticket into queue not possible
 - (2004/09/04) fixed bug 504 - $Text{"0"} in DTLs does not produce any output
 - (2004/09/04) added delete option for pop3 accounts in admin interface
 - (2004/09/04) improved generic agent web interface
 - (2004/08/30) fixed '' selection on ticket free text search
 - (2004/08/30) support of sub dtl blocks
 - (2004/08/28) fixed call customer via phone (set state was ignored)
 - (2004/08/26) fixed multi customer id support and added docu

1.3.0 beta3 (2004/08/25)
 - (2004/08/25) fixed german translation (replaced wrong words)
 - (2004/08/24) fixed time schedule for generic agent

1.3.0 beta2 (2004/08/24)
 - (2004/08/24) fixed ticket_history table update script

1.3.0 beta1 (2004/08/18)
 - (2004/08/11) added feature to send fulltext reqests to a
    mirror database
    [Kernel/Config.pm]
    # AgentUtil::DB::*
    # (if you want to use a mirror database for agent ticket fulltext search)
    $Self->{'AgentUtil::DB::DSN'} = "DBI:mysql:database=mirrordb;host=mirrordbhost";
    $Self->{'AgentUtil::DB::User'} = "some_user";
    $Self->{'AgentUtil::DB::Password'} = "some_password";
    [...]

 - (2004/08/10) added Radius auth modules for agent and customer
    interface
 - (2004/08/10) improved Kernel::System::CustomerAuth::DB to use
    an external database
 - (2004/08/10) added email 1:1 download option in AgentPlain
 - (2004/08/08) added owner_id, priority_id and state_id to
    ticket_history table.
 - (2004/08/04) moved customer notifications from Kernel/Config.pm to
    database and added multi language support
 - (2004/08/02) fixed bug 466 - Error in managing very long Message-IDs
 - (2004/08/01) improved Kernel::System::Log::SysLog with log charset
    config option in case syslog can't work with utf-8
 - (2004/08/01) improved Kernel::System::Email backends
 - (2004/08/01) fixed bug 429 - Attachment file names with spaces do
    not save properly
 - (2004/08/01) fixed bug 450 - Spelling mistake in default FAQ entry
 - (2004/08/01) fixed bug 460 - Patch to add params hash to LDAP bind
    in Kernel/System/User.pm.
 - (2004/07/30) added references, in-reply-to follow up check
    [Kernel/Config.pm]
    # PostmasterFollowUpSearchInReferences
    # (If no ticket number in subject, otrs also looks in In-Reply-To
    # and References for follow up checks)
    $Self->{PostmasterFollowUpSearchInReferences} = 0;

 - (2004/07/17) fixed generic agent Schedule web interface
 - (2004/07/16) added multi attachment support for attachments
 - (2004/06/28) improved Kernel/Modules/AdminSelectBox.pm module
 - (2004/06/27) added Block() feature to dtl files (removed a lot
    of no longer needed templates)
 - (2004/06/27) improved web handle (bin/cgi-bin/index.pl and
    bin/cgi-bin/customer.pl) to show module syntax errors.
 - (2004/06/22) improved postmaster filter to use matched value as [***]
    in "Set =>" option.
 - (2004/06/22) added support for crypted database passwords (use
    bin/CryptPassword.pl to crypt passwords).
 - (2004/06/10) added generic agent web interface
 - (2004/06/03) improved language translation with custom translation
    files:
    Kernel/Language/$Locale.pm (default)
    Kernel/Language/$Locale_$Action.pm (translation for otrs modules like
     file manager, calendar, ...)
    Kernel/Language/$Locale_Custom.pm (own changes,updates)
 - (2004/05/18) added html application output filter option, e. g. to
    filter java script of the application or to manipulate the html
    output of the application.
    (see alos Kernel/Config/Defaults.pm -> Frontend::Output::PostFilter)
 - (2004/05/04) added ticket history log on ticket link update and
    notification info if link ticket number doesn't exists.
 - (2004/05/03) added PreApplicationModule examples to Kernel/Config.pm
 - (2004/04/30) added multi customer id support to Kernel/System/CustomerUser.pm,
    Kernel/System/CustomerUser/DB.pm and Kernel/System/CustomerUser/LDAP.pm.
    So one customer can have more then one customer id.
 - (2004/04/22) added notification module for customer panel
    (customer.pl) like for existing agent (index.pl)
 - (2004/04/20) added PreApplicationModule (index.pl) and
    CustomerPanelPreApplicationModule (customer.pl) This interface
    use useful to check some user options or to redirect not accept
    new application news.
 - (2004/04/19) added MaxSessionIdleTime for session managment
    to check/delete idle sessions
 - (2004/04/15) added file size info to article attachments
    (DBUpdate-to-1.3.*.sql is required!).
 - (2004/04/14) ticket history rewritten and added i18n feature
 - (2004/04/14) reworked/renamed Kernel::System::Ticket::Article
    and sub module functions and added added pod docu, see
    http://dev.otrs.org/

    Note: Kernel::System::Ticket are not longer compat. to OTRS 1.2
     or lower!

 - (2004/04/07) added config option SessionUseCookieAfterBrowserClose
    for session config stuff to keep cookies in browser (after closing
    the browser) till expiration of session (default is 0).
 - (2004/04/06) added missing priority options in TicketSeatch()
    of Kernel::System::Ticket.
 - (2004/04/05) reworked/renamed Kernel::System::Ticket functions and
    added added pod docu, see http://dev.otrs.org/
 - (2004/04/04) added auto convert of html only emails to text/plain,
    text/html will be attached as attachment (Kernel/System/EmailParser.pm)
 - (2004/04/01) fixed some html quote bugs
 - (2004/03/30) added ability to reverse the Queue sorting (added
    AgentQueueSort setting)
 - (2004/03/12) added customer panel MyTickets and CompanyTickets
    feature.
 - (2004/03/11) added mulit serach options to customer serach e. g.
    "name+phone" in customer search
 - (2004/03/11) added customer search prefix (default '') and suffix
    (default '*') to CustomerUser as config options.
 - (2004/03/11) added <OTRS_CUSTOMER_*> tags for salutatuion, signateure
    and std. responses
 - (2004/03/08) added TimeZone feature - e. g. config option
    "$Self->{TimeZone} = +5;" in Kernel/Config.pm
 - (2004/03/05) added Include funtion to dtl tags - Thanks to Bozhin Zafirov!
    - moved to central css dtl file (Kernel/Output/HTML/*/css.dtl and
      Kernel/Output/HTML/*/customer-css.dtl)
 - (2004/02/29) improved database handling of large objects (use DBI
    bind values now / saves memory)
 - (2004/02/27) replaced "CustomQueue" with "My Queues" in agent frontend
 - (2004/02/27) fixed possible owner selection in AgentPhone/AgentEmail
 - (2004/02/23) improved FreeText feature look if just one key is
    defined.
 - (2004/02/23) improved otrs LDAP modules with AlwaysFilter and
    Charset options (see online documentation)
 - (2004/02/23) updated to CGI 3.04

1.2.4 (2004/07/07)
 - (2004/06/29) fixed bug [456] not existing queue_auto_response
    references in scripts/database/initial_insert.sql
 - (2004/06/11) added Hungarian translation. Thanks to G�ncs G�bor!
 - (2004/04/10) fixed not shown "this message is written in an
    other charset as your own" link in agent zoom
 - (2004/04/08) fixed performance problem in Kernel::Language
    module (get ~5% more performance of the webinterface)
 - (2004/04/06) added missing priority options in SearchTicket()
    of Kernel::System::Ticket.

1.2.3 (2004/04/02)
 - (2004/03/29) fixed some html quote bugs
 - (2004/03/28) fixed bug 365 - null attachment kills pop import script
 - (2005/03/25) updated pl language translation, Thanks to Tomasz Melissa!
 - (2004/03/25) fixed quote bug in AgentPhoneView, AgentEmail and
    AgentCompose.
 - (2004/03/08) fixed bug 341 Wrong results searching for time ranges
    http://bugs.otrs.org/show_bug.cgi?id=341
 - (2004/02/29) fixed language quoting in customer login screen
 - (2004/02/27) fixed missing "internal (agent)" agent search faq
 - (2004/02/27) fixed possible owner selection in AgentPhone/AgentEmaill

1.2.2 (2004/02/23)
 - (2004/02/17) changed screen after moved ticket (like OTRS 1.1)
 - (2004/02/17) added null option to search options
    http://bugs.otrs.org/show_bug.cgi?id=321
 - (2004/02/17) fixed double quote bug in GetIdOfArticle()/CreateArticle()
    http://bugs.otrs.org/show_bug.cgi?id=319
 - (2004/02/17) fixed bug 317 - Return Path set to invalid email
    http://bugs.otrs.org/show_bug.cgi?id=317

1.2.1 (2004/02/14)
 - (2004/02/14) fixed escalation bug 290 -
    http://bugs.otrs.org/show_bug.cgi?id=290
 - (2004/02/14) updated spanish translation. Thanks to Jorge Becerra!
 - (2004/02/14) updated czech translation. Thanks to Petr Ocasek
    (BENETA.cz, s.r.o.)!
 - (2004/02/14) added Norwegian language translation (bokm�l)
    Thanks to Arne Georg Gleditsch!
 - (2004/02/12) fixed security bugs ins SQL quote()
 - (2004/02/12) fixed bin/PendingJobs.pl bug (Need User)
 - (2004/02/10) fixed CustomerUserAdd, added Source default map if
    no Source name is given
 - (2004/02/10) fixed missing translation in agent and customer
    preferences option selections.

1.2.0 beta3 (2004/02/09)
 - (2004/02/09) fixed bug 249 Editing system email addresses with
    quotations in name field - http://bugs.otrs.org/show_bug.cgi?id=249
 - (2004/02/09) added contact customer (create ticket) feature
 - (2004/02/08) added multi customer map/source support
 - (2004/02/08) added GenericAgent module support
 - (2004/02/05) fixed bug in X-OTRS-Queue option if bin/PostMasterPOP3.pl
    is used.
 - (2004/02/04) fixed bug in customer interface (empty To selection)
 - (2004/02/03) fixed typo in template (wrong $Data{} for Field6)
    Kernel/Output/HTML/Standard/FAQArticleForm.dtl

1.2.0 beta2 (2004/02/02)
 - (2004/02/02) replaced column "comment" to "comments" of each table to
    be oracle compat.
 - (2004/02/02) added ticket link feature
 - (2004/02/01) fixed uncounted unlocktime calcualtion in bin/UnlockTickets.pl
 - (2004/01/27) added Bcc field for agent address book and agent compose
 - (2004/01/24) fixed bug 280 - group_customer_user table
    (http://bugs.otrs.org/show_bug.cgi?id=280)
 - (2004/01/23) fixed bug 219 - GenericAgent and adding notes
    (http://bugs.otrs.org/show_bug.cgi?id=219)
 - (2004/01/23) fixed bug 215 - Bug in search URL - wrong link to next page
    (http://bugs.otrs.org/show_bug.cgi?id=215)
 - (2004/01/23) fixed bug 213 - Does not update replies with the correct name
    (http://bugs.otrs.org/show_bug.cgi?id=213)
 - (2004/01/23) fixed bug 192 - rename queue with Sub-queue
    (http://bugs.otrs.org/show_bug.cgi?id=192)
 - (2004/01/23) fixed customer-user <-> group problem added the following
    to Kernel/Config.pm
    # CustomerGroupSupport (0 = compat. to OTRS 1.1 or lower)
    # (if this is 1, the you need to set the group <-> customer user
    # relations! http://host/otrs/index.pl?Action=AdminCustomerUserGroup
    # otherway, each user is ro/rw in each group!)
    $Self->{CustomerGroupSupport} = 0;

    # CustomerGroupAlwaysGroups
    # (if CustomerGroupSupport is true and you don't want to manage
    # each customer user for this groups, then put the groups
    # for all customer user in there)
    $Self->{CustomerGroupAlwaysGroups} = ['users', 'info'];
 - (2004/01/23) changed Kernel::System::Ticket->SearchTicket() to
    return false if on param (e. g. Queue or State) doesn't exist
    (problem was, that if a queue name dosn't exist, then the
    GenericAgent gets tickets from all queues!).

1.2.0 beta1 (2004/01/22)
 - (2004/01/22) internationalization of agent notification messages
    configurable over admin interface (attention, agent notificatins
    are not be longer stored as article, now just a history entry will
    be created, old articles will be removed/delete by update script!)
 - (2004/01/19) improve ticket search with date/time options
 - (2004/01/14) added X-OTRS-SenderType and X-OTRS-ArticleType to
    possible email headers (see doc/X-OTRS-Headers.txt).
 - (2004/01/14) Updated Mail::Tools from 1.51 to 1.60.
 - (2004/01/12) added config option to send no pending notification in
    defined hours (SendNoPendingNotificationTime).
 - (2004/01/10) improved TicketStorageModule, now it's possible to
    switch from one to the other backend on the fly.
 - (2004/01/09) improved GenericAgent.pl to work also with more ticket
    properties see also for all options:
    http://doc.otrs.org/cvs/en/html/generic-agent-example.html
 - (2004/01/09) removed charset selection from perferences (agent and
    customer interface). Take the charset form translation file.
 - (2004/01/09) added utf-8 support for mail frontend (min. Perl 5.8.0
    required)
 - (2004/01/08) added address book feature on compose answer
    screen.
 - (2004/01/07) added OTRS_CUSTOMER_DATA_* tags for info of
    existing customer in CustomerMap in Kernel/Config.pm in
    Agent notification config options.
 - (2003/12/23) added lock/unlock option to phone view / create
    ticket.
 - (2003/12/15) changed recipients of customer notifications
    (change queue, update owner, update state, ...) to current
    customer user, based on customer user source.
 - (2003/12/15) added customer user cc by creating a new ticket
    with different sender email addresses.
 - (2003/12/11) added more ticket free text options for tickets
    now we have 8 (not only 2) - improved also GenericAgent and
    Web-Frontend!
 - (2003/12/07) added SUSE 9.0 support and added RPM spec file
    for SUSE 9.0.
 - (2003/12/07) moved Kernel/Output/HTML/Agent|Admin|Customer.pm
    stuff to Kernel/Modules/*.pm modules.
 - (2003/12/07) removed config option CustomerViewableTickets and
    added customer preferences option (15|20|25|30).
 - (2003/12/07) removed config option ViewableTickets and added
    agent preferences option (5|10|15|20|25).
 - (2003/12/03) added QueueListType config option [tree|list] to
    show the QueueSelection in a tree (default) or just in a list
    Example:  Tree:        List:
              QueueA       QueueA
                Queue1     QueueA::Queue1
                Queue2     QueueA::Queue2
                Queue3     QueueA::Queue3
              QueueB       QueueB
                Queue1     QueueB::Queue1
                Queue2     QueueB::Queue2
 - (2003/12/02) added remove of session cookie after closing the
    browser in agent interface
 - (2003/11/27) added modules for agent notifications
    Kernel/Output/HTML/NotificationCharsetCheck.pm
    Kernel/Output/HTML/NotificationUIDCheck.pm
    are default modules to configure over Kernel/Config.pm
    $Self->{'Frontend::NotifyModule'}->{'1-CharsetCheck'} = {
        Module => 'Kernel::Output::HTML::NotificationCharsetCheck',
    };
    $Self->{'Frontend::NotifyModule'}->{'2-UID-Check'} = {
        Module => 'Kernel::Output::HTML::NotificationUIDCheck',
    };
    So it's alos possible to create your own agent notifications
    like motd od escalation infos.
 - (2003/11/26) added group <-> customer user support - so it's
    possible that you can define the customer queues for new tickets
 - (2003/11/26) added modules for ticket permission checks
    Kernel/System/Ticket/Permission/OwnerCheck.pm
    Kernel/System/Ticket/Permission/GroupCheck.pm
    Kernel/System/Ticket/CustomerPermission/CustomerIDCheck.pm
    Kernel/System/Ticket/CustomerPermission/GroupCheck.pm
    So it's possible to write own perission check modules!
    Example: Don't allow agents to change the priority if the state
    of the ticket is 'open' and in a specific queue.
    Example ofKernel/Config.pm:

    # Module Name: 1-OwnerCheck
    # (if the current owner is already the user, grant access)
    $Self->{'Ticket::Permission'}->{'1-OwnerCheck'} = {
        Module => 'Kernel::System::Ticket::Permission::OwnerCheck',
        Required => 0,
    };
    # Module Name: 2-GroupCheck
    # (if the user is in this group with type ro|rw|..., grant access)
    $Self->{'Ticket::Permission'}->{'2-GroupCheck'} = {
        Module => 'Kernel::System::Ticket::Permission::GroupCheck',
        Required => 0,
    };

 - (2003/11/19) improved group sub system, added create, move_into, owner
    and priority permissions to groups (DBUpdate-to-1.2.*.sql is required!).
 - (2003/11/05) added agent preferences option "Screen after new phone
    ticket". So you can select the next screen after creating a new
    phone ticket.
 - (2003/11/02) improved GenericAgent.pl to work also with ticket
    priorities (search and change).
    Example for Kernel/Config/GenericAgent.pm:
    # ---
    # [name of job] -> move all tickets from abc to experts and change priority
    # ---
    'move all abc priority "3 normal" tickets to experts and change priority'=> {
      # get all tickets with these properties
      Queue => 'abc',
      Priorities => ['3 normal'],
      # new ticket properties
      New => {
        Queue => 'experts',
        Priority => '4 high',
      },
    },
 - (2003/11/02) added delete option to Admin->StdAttachment menu
 - (2003/11/01) added PostMaster(POP3).pl filter options like procmail.
    Example for Kernel/Config.pm:
    # Job Name: 1-Match
    # (block/ignore all spam email with From: noreply@)
    $Self->{'PostMaster::PreFilterModule'}->{'1-Match'} = {
        Module => 'Kernel::System::PostMaster::Filter::Match',
        Match => {
            From => 'noreply@',
        },
        Set => {
            'X-OTRS-Ignore' => 'yes',
        },
    };
    Available modules are Kernel::System::PostMaster::Filter::Match
    and Kernel::System::PostMaster::Filter::CMD. See more to use it
    on http://doc.otrs.org/.
 - (2003/10/29) added bin/CleanUp.pl to clean up of all tmp data
    like ipc, database or fs session and log stuff (added CleanUp()
    to Kernel::System::AuthSession::* and Kernel::System::Log).
 - (2003/10/27) added "-c Kernel::Config::GenericAgentJobModule"
    option to GenericAgent.pl to use it with more then one
    (Kernel::Config::GenericAgent) job file. For example you will be
    able to have Kernel::Config::Delete and Kernel::Config::Move or
    other job files to execute it on different times.
 - (2003/10/14) changed phone default settings:
    * new tickets are unlocked (not locked)
    * subject and body is empty as default
 - (2003/09/28) improved next screen management after closing tickts
 - (2003/09/28) added <OTRS_TICKET_STATE> to agent compose answer screen
    as variable for new ticket state in composed message.
 - (2003/08/28) improved GenericAgent to use From, To, Cc, Subject and
    Body for ticket selection - example:
   [...]
   'delete all tickets with subject "VIRUS 32" in queue abc' => {
      # get all tickets with this properties
      Queue => 'abc',
      Subject => '%VIRUS%',
      # new ticket properties
      New => {
        # DELETE!
        Delete => 1,
      },
   },
   [...]
 - (2003/07/31) added "Show closed Ticket/Don't show closed Ticket" link
    to customer panel show my tickets overview
 - (2003/07/14) added last owner selection to Kernel/Modules/AgentOwner.pm
 - (2003/07/13) add "single sign on" (pre-authentication) option for
    http-basic-auth (Kernel::System::Auth::HTTPBasicAuth and
    Kernel::System::CustomerAuth::HTTPBasicAuth). Thanks to Phil Davis!
 - (2003/07/12) fixed bug 155 - in multiple page ticket view, start value
    might be too high
 - (2003/07/12) improved ticket search, added also search profile option
 - (2003/07/05) improved module permission options, now it's possible
    to add more the one group
 - (2003/06/26) improved ticket search and added new search preferences
    table (db update with scripts/DBUpdate-to-1.2.(mysql|postgres).sql)
    required!
 - (2003/05/29) added utf-8 support for webfrontends (min. Perl 5.8.0
    required)
 - (2003/05/20) added array for source queue selection to bin/GenericAgent.pl
    for example, use this job for more queues:
    [...]
    'move tickets from tricky to experts' => {
      # get all tickets with this properties
      Queue => ['tricky', 'tricky1'],
      States => ['new', 'open'],
      Locks => ['unlock'],
    [...]
 - (2003/05/13) removed UNIQUE (not needed!) in pop3_account table

1.1.4 (2003/??/??)
 - (2003/10/27) fixed (removed) not needed database connects in
    PostMaster(POP3).pl stuff (now just 1 database connect, not 3
    connects)! Thanks to Jens Wilke!
 - (2003/09/39) added Czech translation file - Tomas Krmela!
 - (2003/09/29) added Polish translation file - Tomasz Melissa!
 - (2003/09/16) fixed order of user checking/adding in rpm spec files
 - (2003/08/22) fixed ascii2html convert fucktion for "\n" -> "<br>\n" and
    "  " -> " &nbsp;".
 - (2003/08/22) fixed customer user lookup for PostMaster*.pl based on
    senders email address (set customer id and customer user)

1.1.3 (2003/07/12)
 - (2003/07/12) fixed bug 182 - Error when modify an queue without a queue-name
 - (2003/07/12) removed "PerlInitHandler Apache::StatINC" (Reload %INC files
    - perl modules) from scripts/apache-httpd.include.conf because of many error
      message in apache error log
    -=> apache reload is still needed when perl modules changed on disk <=-
 - (2003/07/12) improved performance of Kernel/System/Ticket/ArticleStorageDB.pm
    with large objects
 - (2003/07/10) fixed bug 171 - No lock check if two Agents try to lock
    ticket at same time (or later)
 - (2003/07/06) fixed bug 168 - The install script for POSTGRES contains wrong
    datatypes (DATETIME instead of TIMESTAMP)
 - (2003/07/06) fixed bug 165 - Pop3 change - does not show the queue
 - (2003/07/03) fixed bug 178 - Authenticated customer LDAP requests don't work
 - (2003/07/02) updated Finnish translation, thanks to Antti K�m�r�inen
 - (2003/07/01) added SMTP module port patch of Jeroen Boomgaardt
 - (2003/06/22) fixed bug 144 - PostMasterPOP3.pl is exiting
    "Attached .eml file causes bug in EmailParser.pm"
    http://bugs.otrs.org/show_bug.cgi?id=144
 - (2003/06/04) fixed legend colors of stats pics

1.1.2 (2003/05/31)
 - (2003/06/01) improved Kernel/System/Ticket/Number/*.pm (ticket number
    generator modules) to work with non existing var/log/TicketCounter.log.
     -=> So var/log/TicketCounter.log will be removed from the CVS and
     tar.gz updates will be much easier! (TicketCounter.log will not be
     reseted on tar-update of OTRS update)
 - (2003/06/01) added Resent-To email header check for queue sorting of
    new ticket - http://lists.otrs.org/pipermail/otrs/2003-May/001845.html
 - (2003/05/30) added "PerlInitHandler Apache::Reload" (Reload %INC files
    - perl modules) to scripts/apache2-httpd.include.conf
    -=> no apache reload is needed when perl modules is updated on disk <=-
 - (2003/05/30) added "PerlInitHandler Apache::StatINC" (Reload %INC files
    - perl modules) to scripts/apache-httpd.include.conf
    -=> no apache reload is needed when perl modules is updated on disk <=-
 - (2003/05/29) fixed create ticket (without priority selection) via
    customer panel and changed priority names.
 - (2003/05/26) fixed pic.pl bug - http://bugs.otrs.org/show_bug.cgi?id=149
 - (2003/05/19) improved text formatting of "long" messages in QueueView
    TicketZoom, TicketPlain and TicketSearch
 - (2003/05/18) fixed small logic bugs in Kernel/System/PostMaster*
    improved debug options for bin/PostMaster.pl and bin/PostMasterPOP3.pl
     -=> just used -d1 (1-3) for debug level of Kernel/System/PostMaster*
 - (2003/05/18) added customer data lookup for PostMaster*.pl based on
    senders email address (set customer id and customer user)
 - (2003/05/13) fixed unwanted ticket unlock on move
 - (2003/05/13) added russian translation! Thanks to Serg V Kravchenko!
 - (2003/05/13) added config options for shown customer info size
    $Self->{ShowCustomerInfo(Zoom|Queue|Phone)MaxSize}
 - (2003/05/08) fixed ignored user comment in admin area
 - (2003/05/04) added missing StateUpdate (table ticket_history_type)
    to scripts/DBUpdate-to-1.1.postgresql.sql
 - (2003/05/02) removed unique option for the pop3_account column
    login! To be able to have more pop3 accounts with the same
    login name.
 - (2003/05/01) fixed bug 134 - Title shows "Select box" instead
    of "Admin Log" - http://bugs.otrs.org/show_bug.cgi?id=134
 - (2003/05/01) fixed Kernel/System/AuthSession/*.pm to be able
    to store 0 values

1.1.1 (2003/05/01)
 - (2003/04/30) removed agent notify about new note because new
    owner got ticket assigned to you notify!
 - (2003/04/29) fixed bug 131 - QueueView shows wrong queue in
    drop-downs - http://bugs.otrs.org/show_bug.cgi?id=131
 - (2003/04/29) added min. counter size option (default 5) for
    Kernel::System::Ticket::Number::AutoIncrement module.
 - (2003/04/25) removed shown customer id in 'MyTickets' from
    customer interface - added customer id to user name line

1.1 RC1 (2003/04/24)
 - (2003/04/24) added refresh time to AgentMailbox screen (refresh
    time still exists for QueueView)
 - (2003/04/24) fixed "show closed tickets" in customer interface
    (http://lists.otrs.org/pipermail/otrs/2003-April/001508.html)
 - (2003/04/24) fixed max shown tickets in QueueView (default now 1200)
    (http://lists.otrs.org/pipermail/otrs/2003-April/001505.html)
 - (2003/04/23) fixed missing filename (default index.pl) for download
    of attachments using Kernel/System/Ticket/ArticleStorageFS.pm
    (http://lists.otrs.org/pipermail/otrs/2003-April/001491.html)
 - (2003/04/22) fixed bug 123 - Email address with simple quote
    http://bugs.otrs.org/show_bug.cgi?id=123
 - (2003/04/18) added RH8 IPC (shm id 0) workaround (create dummy shm)
 - (2003/04/17) fixed AgentStatusView (1st ticket is actually the 2nd)
 - (2003/04/17) added Firstname/Lastname of agents to ticket history

1.1 RC1 (2003/04/15)
 - (2003/04/15) added Italian translation - Thanks to Remo Catelotti
 - (2003/04/14) improved performance of MIME parser (PostMaster)
 - (2003/04/13) added config option DefaultNoteTypes (used note
    types) default is just note-internal because note-external and
    note-report is confusing.
 - (2003/04/11) added check if ticket state type is closed or
    removed then send not 'auto reply' to customer.
    http://lists.otrs.org/pipermail/otrs/2003-April/001401.html
 - (2003/04/11) added check for quotable messages in auto response
 - (2003/04/11) added check and html2ascii convert for html only
    emails on std. responses, forwards or splits
 - (2003/04/11) added Page Navigator for AgentQueueView -
    http://lists.otrs.org/pipermail/otrs/2003-February/000881.html
 - (2003/04/09) improved AdminEmail feature with group recipient
 - (2003/04/08) added ticket split option in article zoom.
 - (2003/04/08) fixed bug 109 - Attachments not being forwarded on
    http://bugs.otrs.org/show_bug.cgi?id=109
 - (2003/04/08) fixed bug 111 - Inability to forward on anything from:
    'agent email(external)' - http://bugs.otrs.org/show_bug.cgi?id=110
 - (2003/03/24) improved user-auth and customer-auth ldap interface
    with 'UserAttr' (UID for posixGroups objectclass and DN for non
    posixGroups objectclass) on group access check. Config options now:
    [...]
    $Self->{'AuthModule::LDAP::GroupDN'} = 'cn=otrsallow,ou=posixGroups,dc=example,dc=com';
    $Self->{'AuthModule::LDAP::AccessAttr'} = 'memberUid';
    # for ldap posixGroups objectclass (just uid)
    $Self->{'AuthModule::LDAP::UserAttr'} = 'UID';
    # for non ldap posixGroups objectclass (with full user dn)
    $Self->{'AuthModule::LDAP::UserAttr'} = 'DN';
    [...]
 - (2003/03/24) added agent feature to be also customer of one ticket
 - (2003/03/24) added UncountedUnlockTime config options - e.g. don't
    count Fri 16:00 - Mon 8:00 as unlock time.
 - (2003/03/23) added generic module/group permission concept for
    Kernel/Modules/*.pm modules.
    -=> add "$Self->{'Module::Permission'}->{'module'} = 'group';"
    to Kernel/Config.pm like
     "$Self->{'Module::Permission'}->{'AdminAutoResponse'} = 'users';"
    to let the users groups able to change the auto responses.
 - (2003/03/13) improved create customer account - send account login
    via email to requester (added config text for email)
 - (2003/03/13) added SendNoAutoResponseRegExp config option to send no
    auto responses if regexp is matching. (Default is
    '(MAILER-DAEMON|postmaster|abuse)@.+?\..+?')
 - (2003/02/11) improved ticket search (merged fulltext and ticket number
    rearch)
 - (2003/03/10) added customer email notification on move, state update
    or owner update (config option for each queue). Use
    "scripts/DBUpdate-to-1.1.(mysql|postgresql).sql".
    http://lists.otrs.org/pipermail/dev/2002-June/000005.html
 - (2003/03/06) added ro/rw to group object. So the agent is able to search,
    zoom, ... in tickets but can't edit the tickets - added also new config
    option 'QueueViewAllPossibleTickets' to show the ro queues in the queue
    (default 0 -=> not shown).
    Use "scripts/DBUpdate-to-1.1.(mysql|postgresql).sql".
 - (2003/03/05) added sendmail backends (Kernel::System::Email::Sendmail
    and Kernel::System::Email::SMTP) - for win32 user. New config options:
    [...]
      $Self->{'SendmailModule'} = 'Kernel::System::Email::Sendmail';
      $Self->{'SendmailModule::CMD'} = '/usr/sbin/sendmail -t -i -f ';

      $Self->{'SendmailModule'} = 'Kernel::System::Email::SMTP';
      $Self->{'SendmailModule::Host'} = 'mail.example.com';
      $Self->{'SendmailModule::AuthUser'} = '';
      $Self->{'SendmailModule::AuthPassword'} = '';
    [...]
 - (2003/03/05) added "view all articles" config option for ticket zoom
    view (TicketZoomExpand default is 0) - new dtl templates for ticket
    zoom Kernel/Output/HTML/*/AgentZoom*.dtl (removed TicketZoom*.dtl)
    http://lists.otrs.org/pipermail/otrs/2003-January/000784.html
 - (2003/03/03) new ticket state implementation (added ticket_state_type
    table). Use "scripts/DBUpdate-to-1.1.(mysql|postgresql).sql".
    State name is now free settable (because of the ticket state name).
    Added ticket state documentation.
 - (2003/02/25) rewrote scripts/backup.sh, update your cronjobs!
    http://lists.otrs.org/pipermail/dev/2003-February/000112.html
 - (2003/02/23) added sub-queue support
    http://lists.otrs.org/pipermail/otrs/2002-June/000065.html
 - (2003/02/17) added allowing the client to close a ticket via customer
    panel - http://lists.otrs.org/pipermail/otrs/2003-February/000891.html
 - (2003/02/15) fixed hanging login problem with mod_perl2
 - (2003/02/15) added mod_perl2 support for web installer
 - (2003/02/15) unfortunately there is a mod_perl2 bug on RH8 - added
    check if crypt() is working correctly
 - (2003/02/14) fixed default Spelling Dictionary selection and added
    a preferences option
 - (2003/02/13) added PendingDiffTime config option (add this time to
    shown (selected) pending time) -
    http://lists.otrs.org/pipermail/otrs/2003-February/000899.html
 - (2003/02/09) updated priotity options with number prefix for sort of
    html select fields - e. g. "normal" is "3 normal" and "high" is
    "4 high" - use "scripts/DBUpdate-to-1.1.(mysql|postgresql).sql"
 - (2003/02/09) added ShowCustomerInfo(Queue|Zoom|Phone) config options
    for shown CustomerInfo (e. g. company-name, phone, ...) on
    AgentQueueView, AgentZoom and AgentPhone.
 - (2003/02/08) improved fulltext search with queue and priority option
 - (2003/02/08) added html color highlighting for ticket article type
    e. g. to highlight internal and external notes in TicketZoom -=>
    article tree.
 - (2003/02/08) added html color highlighting for ticket priority
 - (2003/02/08) moved to 100% CSS support for Standard and Lite theme
 - (2003/02/08) improved VERSION regex for 1.x.x.x cvs revision
 - (2003/02/08) changed database script location from install/database
    to scripts/database

1.0 RC3 (2003/02/03)
 - (2003/02/03) added customer user info on TicketView, TicketZoom and PhoneView
     dtl template (if wanted, uncomment it).
 - (2003/02/03) fixed java script stuff for Spell Check
 - (2003/02/03) added customer user serach to PhoneView
 - (2003/02/02) added pending ticket notification - Thanks to Andreas Haase!
     http://lists.otrs.org/pipermail/otrs/2003-January/000839.html
 - (2003/01/27) fixed some doc typos - Thanks to Eddie Urenda!
 - (2003/01/27) added die string -=> better to find webserver user file
    write permission problems (var/log/TicketCounter.log)!
    Kernel/System/Ticket/Number/*.pm
 - (2003/01/23) added Brazilian Portuguese translation! Thanks to Gilberto
    Cezar de Almeida!

1.0 RC2 (2003/01/19)
 - (2003/01/19) added CustomerUser LDAP backend - Thanks to Wiktor Wodecki!
 - (2003/01/19) fixed CustomerUser backend (config options)
 - (2003/01/18) fixed bug 61 (ArticleStorageInit error ) -
    http://bugs.otrs.org/show_bug.cgi?id=61
 - (2003/01/17) fixed bug 68 on FreeBSD 4.7 (trying to "compose email" from
    the agent interface) - http://bugs.otrs.org/show_bug.cgi?id=68
 - (2003/01/16) fixed bug 62 (not working command line utilitity) -
    http://bugs.otrs.org/show_bug.cgi?id=62
 - (2003/01/16) added bin/otrs.checkModules to check installed and
    required cpan modules
 - (2003/01/15) updated finnish translation! Thanks to Antti K�m�r�inen!
 - (2003/01/15) added CheckMXRecord option to webinstaller
 - (2003/01/14) fixed typos "preferneces != preferences typo"
    http://lists.otrs.org/pipermail/dev/2003-January/000074.html
    Thanks to Wiktor Wodecki!
 - (2003/01/14) fixed bug 59 (Bug in SELECT statement on empty search form) -
    http://bugs.otrs.org/show_bug.cgi?id=59
 - (2003/01/14) updated french translation! Thanks to Nicolas Goralski!
 - (2003/01/12) added spanisch translation! Thanks to Jorge Becerra!
 - (2003/01/11) fixed AgentPhone bug of Time() in subject -
    Time(DateFormatLong) was shown

1.0 RC1 (2003-01-09)
 - (2003/01/09) added AgentTicketPrint (Ticket Print View)
 - (2003/01/09) improved Kernel::System::Ticket::IndexAccelerator::RuntimeDB
    and StaticDB (for locked tickets).
 - (2003/01/09) removed Kernel::System::Ticket::IndexAccelerator::FS
    because RuntimeDB and StaticDB is enough
 - (2003/01/05) improved fulltext search (added ticket state search option)
 - (2003/01/05) added CMD option to bin/GenericAgent.pl (so you can
    execute own programs on GenericAgent.pl actions - e. g. send
    special admin emails)
 - (2003/01/02) added attachments support for std. responses
 - (2002/12/27) added filters (All, Open, New, Pending, Reminder) to
    AgentMailbox (locked-ticket-view)
 - (2002/12/24) added pending feature for tickets
 - (2002/12/20) added Kernel::System::Ticket::ArticleStorage* modules
    for attachments in database or fs (needs to update the database
    (scripts/DBUpdate.(mysql|postgesql).sql)! The main reason is a lot
    of people have problems with the file permissions of the local otrs
    and webserver user (often incoming emails are shown some times again).
    TicketStorageModule in Kernel/Config.pm.
     * Kernel::System::Ticket::ArticleStorageDB -> (default)
     * Kernel::System::Ticket::ArticleStorageFS -> (faster but webserver
        user should be the otrs user - use it for larger setups!)
 - (2002/12/19) attachment support (send and view) for customer panel!
 - (2002/12/18) added config option CheckEmailAddresses and CheckMXRecord.
    CheckMXRecord is useful for pre checks of valid/invalid senders (
    reduce Postmaster emails). Disable CheckEmailAddresses if you work
    with customers which don't have email addresses or your otrs system is
    in your lan!
 - (2002/12/18) added more error handling to AgentPhone
 - (2002/12/15) added bin/PostMasterPOP3.pl and AdminPOP3 interface for
    fetching emails without procmail, fetchmail and MDA
 - (2002/12/12) added finnish translation - Thanks to Antti K�m�r�inen!
 - (2002/12/08) added working PostMasterDaemon.pl and PostMasterClient.pl,
    alternative to PostMaster.pl. How it works: If the PostMasterDaemon.pl
    is running, pipe email through PostMasterClient.pl like (PostMaster.pl)
    (e. g. "cat /tmp/some.box | bin/PostMasterClient.pl"). Pro: Speed, Contra
    needs more memory.
 - (2002/12/07) added customer-user-backend Kernel/System/CustomerUser/DB.pm.
 - (2002/12/07) added preferences-backend module for user and customer user
    (Kernel/System/ (User/Preferences/DB.pm and CustomerUser/Preferences/DB.pm)
 - (2002/12/04) moved from Date::Calc (Perl and C) to Date::Pcalc (Perl only)
    and added Date::Pcalc to Kernel/cpan-lib/ (OS independent!).
 - (2002/12/01) moved GenericAgent.pm to GenericAgent.pm.dist to have tarball
    updates easier.
 - (2002/12/01) moved finally to new config file Kernel/Config.pm.dist! Learn
    more -=> INSTALL -=> "Demo config files"!
 - (2002/12/01) added "enchant LDAP auth" patch from Wiktor Wodecki for
    Kernel/System/Auth/LDAP.pm and Kernel/System/CustomerAuth/LDAP.pm -
    http://lists.otrs.org/pipermail/dev/2002-November/000043.html.
    Thanks Wiktor!
 - (2002/11/28) fixed bug 39 - added mime encode for attachment file names
    http://bugs.otrs.org/show_bug.cgi?id=39 - Thanks to Christoph Kaulich!
 - (2002/11/27) added backend modules for loop protection of PostMaster.pl
    "LoopProtectionModule" in Kernel/Config.pm (default is DB) -
    Kernel::System::PostMaster::LoopProtection::(DB|FS).
 - (2002/11/24) added delete ticket feature for GenericAgent.pl (removes tickets
    from db and fs) - http://lists.otrs.org/pipermail/dev/2002-October/000037.html.
 - (2002/11/23) removed Kernel::Modules::AdminLanguage! Moved used languages
    to config file (Kernel/Config.pm - DefaultUsedLanguages). Moved translation
    files from long language names to short names like en, de, bg, nl, ...
    (e. g. Kernel/Language/bg.pm). Updated docu.
 - (2002/11/21) moved var/cron/* to var/cron/*.dist (.dist is not used) to make
    updates easier! Thanks to Bryan Fullerton!
 - (2002/11/15) moved %doc/install/* to /opt/OpenTRS/install in RPM-specs.
    because the web-installer needs this stuff in this location. %doc isn't
    consistent on different linux distributions!
 - (2002/11/15) fixed bug [48], custom modules don't work/load -
    http://bugs.otrs.org/show_bug.cgi?id=48
 - (2002/11/15) added Dutch translation! Thanks to Fred van Dijk!
 - (2002/11/14) added Bulgarian translation! Thanks to Vladimir Gerdjikov!
 - (2002/11/11) added new config file as Kernel/Config.pm.dist (will be used
    for >= OTRS 5.0 Beta9) if you want to test it with 0.5, use Kernel/Config.pm.dist
    as Kernel/Config.pm (cp Kernel/Config.pm.dist Kernel/Config.pm)!
    Kernel/Config/Defaults.pm is the config file with all defaults. If you want
    to change this settings, add the needed entry to Kernel/Config.pm(.dist)
    and the Kernel/Config/Defaults.pm will be overwrite. Updates will be much
    easier! - http://lists.otrs.org/pipermail/otrs/2002-October/000315.html
 - (2002/11/11) added spell ckecker for agent interface (Kernel::Modules::AgentSpelling).
 - (2002/11/11) added browser window.status info for Standard Theme (Agent
    and Customer frontend).
 - (2002/11/11) added some CPAN modules to Kernel/cpan-lib/ (CGI 2.89,
    MIME-tools-5.411 and MailTools-1.51).
 - (2002/11/09) fixed attachment filename for IE (not the whole path like
    c:\Documents\test.jpg) Kernel/Modules/AgentCompose.pm.
 - (2002/11/09) fixed bug in Kernel/System/EmailParser.pm if email headers
    are longer then 64 characters. Thanks to Phil Davis!
 - (2002/11/01) added file permission check for PostMaster.pl on startup!
    -=> Will help to get setup faster working!
 - (2002/10/31) added email valid check (incl. mx) on CreateAccount (customer
    panel) -=> Config option: $Self->{CheckMXRecord}!

0.5 BETA8 (2002/10/25)
 - (2002/10/24) improved web installer - added system settings
 - (2002/10/22) added notify mail to agent by ticket move - configurable via preferences
 - (2002/10/22) added Lite QueueView - configurable via preferences
 - (2002/10/20) added customer web frontend (bin/cgi-bin/customer.pl,
     Kernel/Modules/Customer*.pm and Kernel/Output/HTML/*/Customer.dtl)
 - (2002/10/20) added lost password feature
 - added config support for AgentPreferences module (Kernel/Config/Preferences.pm)
 - added AgentStatusView module (overview of all open tickets) - (Thanks to Phil Davis)!
 - added support of generic session id name (e. g. SessionID, OTRS, ...)
 - added more flexibility for option string in Kernel::Modules::AgentPhone
    [Kernel::Config::Phone]
      # PhoneViewASP -> useful for ASP
      # (Possible to create in all queue? Not only queue which
      # the own groups) [0|1]
      $Self->{PhoneViewASP} = 1;
      # PhoneViewSelectionType
      # (To: section type. Queue => show all queues, SystemAddress => show all system
      # addresses;) [Queue|SystemAddress]
       $Self->{PhoneViewSelectionType} = 'SystemAddress';
      # PhoneViewSelectionString
      # (String for To: selection.)
      $Self->{PhoneViewSelectionString} = '<Realname> <<Email>> - Queue: <Queue> - <QueueComment>';
      # PhoneViewOwnSelection
      # (If this is in use, "just this selection is valid" for the PhoneView.)
      $Self->{PhoneViewOwnSelection} = {
        # QueueID => String
        '1' => 'First Queue!',
        '2' => 'Second Queue!',
      };
    [...]
 - added attachment support for agent compose answer
 - added Kernel::Modules::AdminEmail feature - a admin can send (via admin
    interface) info to one or more agents.
 - added /etc/sysconfig/otrs file for rcscripts
 - added rpm for Red Hat Linux 7.3
 - added email notify on ownership change feature - see
    http://lists.otrs.org/pipermail/otrs/2002-September/000213.html
 - added ReplyTo patch for PostMaster.pl of Phil Davis - Thanks Phil!
    - http://lists.otrs.org/pipermail/otrs/2002-September/000203.html
 - created config file (Kernel/Config/GenericAgent.pm) for bin/GenericAgent.pl
 - splited Kernel/Config.pm info Kernel/Config.pm, Kernel/Config/Postmaster.pm
    Kernel/Config/Phone.pm and Kernel/Config/Notification.pm and renamed some
    config variables to get a better overview.
 - added new/current french translation - Thanks to Bernard Choppy!
 - added module support for log (Kernel/Config.pm --> $Self->{LogModule})
     * "Kernel::System::Log::SysLog" for syslogd (default)
     * "Kernel::System::Log::File" for log file
 - added alternate login and logout URL feature (Kernel/Config.pm -->
    $Self->{LoginURL}, $Self->{LogoutURL}) and added two example alternate
    login pages scripts/login.pl (Perl) and scripts/login.php (PHP)
 - added backup and restore script (scripts/(backup|restore).sh)
 - moved Kernel::System::Article to Kernel::System::Ticket::Article! The
    ArticleObject exists not longer in Kernel::Modules::*, use TicketObject.
 - fixed Bug [25] Error on bounce of ticket - http://bugs.otrs.org/show_bug.cgi?id=25
 - fixed Bug [27] Let the fields "new message" and "Locked tickets" be more visible -
    http://bugs.otrs.org/show_bug.cgi?id=27
 - fixed Bug [23] little menu logic mistake - http://bugs.otrs.org/show_bug.cgi?id=23
 - fixed Bug [30] Kernel/System/DB.pm - DB quoting http://bugs.otrs.org/show_bug.cgi?id=30
    Thanks to Marc Scheuffler!
 - fixed Bug [28] Base64 Encoded mail fails - http://bugs.otrs.org/show_bug.cgi?id=28
    Thanks to Christoph Kaulich!
 - fixed rpm bug for SuSE Linux 7.3 (Installer) - Thanks to Schirott Frank!

0.5 BETA7 (2002/08/06)
 - improved screen session management (next screen, last screen) added back
    buttons
 - improved ticket and article lib funktions (Kernel::System::Ticket::* and
    Kernel::System::Article)
 - improved fulltext search
 - added time accounting for tickets (added new database table - time_accounting!
    use scripts/DBUpdate.(mysql|postgresql).sql for database updates!)
 - added notify feature for ticket lock timeout by system
 - added user preferences item email (so login and email can be different)
 - added "Std. Response on creating a queue" feature
    (http://lists.otrs.org/pipermail/otrs/2002-July/000114.html)
 - added module support for auth. (Kernel/Config.pm --> $Self->{AuthModule})
     * "Kernel::System::Auth::DB" against OTRS DB (default)
     * "Kernel::System::Auth::LDAP" against a LDAP directory
 - added "ChangeOwnerToEveryone" feature fot AgentOwner (useful for ASP)
    Kernel/Config.pm -> $Self->{ChangeOwnerToEveryone} = [0|1]
 - added AgentCustomer module (set a customer id to a ticket and get a customer
    history)
 - added a GenericAgent.pl! This program can do some generic actions on tickets
    (like SetLock, MoveTicket, AddNote, SetOwner and SetState). It was developed
    to close (automatically via cron job) ticket in a specific queue, e. g. all
    tickets in the queue 'spam'. (Thanks to Gay Gilmore for the idea)
 - added a simple webform (scripts/webform.pl) to generate emails with X-OTRS-Header
    to dispatch it with procmail (used for feedback forms)
 - added content_type col. to article table to handle differen charsets correctly
    (use script/DBUpdate.(mysql|postgresql).sql to upgrate existing databases).
 - added generic session storage management (Kernel/Config.pm --> $Self->{SessionModule})
     * "Kernel::System::AuthSession::DB" (default) --> db storage
     * "Kernel::System::AuthSession::FS" --> filesystem storage
     * "Kernel::System::AuthSession::IPC" --> ram storage
 - added http cookie support for session management - it's more comfortable to
    send links -==> if you have a valid session, you don't have to login again -
    If the client browser disabled html cookies, otrs will work as usual, append
    SessionID to links! (Kernel/Config.pm --> $Self->{SessionUseCookie})
 - added generic ticket number generator (Kernel/Config.pm --> $Self->{TicketNumberGenerator})
     * "Kernel::System::Ticket::Number::AutoIncrement" (default) --> auto increment
        ticket numbers "SystemID.Counter" like 1010138 and 1010139.
     * "Kernel::System::Ticket::Number::Date" --> ticket numbers with date
        "Year.Month.Day.SystemID.Counter" like 200206231010138 and 200206231010139.
     * "Kernel::System::Ticket::Number::DateChecksum" --> ticket numbers with date and
        check sum and the counter will be rotated daily like 2002070110101520 and 2002070110101535.
     * "Kernel::System::Ticket::Number::Random" --> random ticket numbers "SystemID.Random"
         like 100057866352 and 103745394596.
 - added UPGRADING file
 - updated redhat init script (Thanks to Pablo Ruiz Garcia)
 - fixed bug [21] " in email addresses are missing - http://bugs.otrs.org/show_bug.cgi?id=21
    (Thanks to Christoph Kaulich)
 - fixed bug [19] Responses sort randomly - http://bugs.otrs.org/show_bug.cgi?id=19
 - fixed SetPermissions.sh (permission for var/log/TicketCounter.log) (Thanks to
    Pablo Ruiz Garcia)
 - fixed bug [16] Attachment download - http://bugs.otrs.org/show_bug.cgi?id=16
    (Thanks to Christoph Kaulich)
 - fixed bug [15] typo in suse-rcotrs (redhat-rcotrs is not affected) -
    http://bugs.otrs.org/show_bug.cgi?id=15

0.5 BETA6 (2002/06/17)
 - added AgentBounce module
 - moved from Unix::Syslog to Sys::Syslog (Kernel::System::Log) because Sys::Syslog
    comes with Perl (not an additional CPAN module)!
 - added redhat-rcotrs script (thanks to Pablo Ruiz Garcia)
 - added OTRS cronjobs var/cron/[aaa_base|fetchmail|postmaster|session|unlock]
     * aaa_base -> cronjob settings like MAILTO="root@localhost"
     * fetchmail -> cronjob for fetchmail
     * postmaster -> cleanup for not processed email
     * session -> cleanup for old sessions
     * unlock -> ticket unlock
 - added OTRS cronjobs support (start/stop) to scripts/suse-rcotrs
 - moved all OTRS application required modules to two new files,
     * Kernel/Config/Modules.pm (all used OTRS modules)
     * Kernel/Config/ModulesCustom.pm (all add-on application modules, written by
        someone else, e. g. customer db or accounting system)
    to be release independently with Third Party modules for OTRS.
 - added $Env{"Product"} $Env{"Version"} (e. g. OTRS 0.5 Beta6) as dtl environment
    variable. Source is $OTRS_HOME/RELEASE.
 - added display support for HTML-only emails
 - added generic database and webserver to scripts/suse-rcotrs script
 - added PostgreSQL (7.2 or higher) support (use OpenTRS-schema.postgresql.sql)
 - fixed bug[12] fetchmail lock problem - http://bugs.otrs.org/show_bug.cgi?id=12
 - fixed bug[11] typos - http://bugs.otrs.org/show_bug.cgi?id=11
 - fixed bug[10] user_preferences table  - http://bugs.otrs.org/show_bug.cgi?id=10
 - fixed bug[9] LoopProtection!!! Can't open'/opt/OpenTRS/var/log/LoopProtection-xyz.log':
    No such file or directory! - http://bugs.otrs.org/show_bug.cgi?id=9
 - fixed HTML table bug in AdminArea::Queue (just with Netscape)
 - fixed SQL table preferences bug (use script/DBUpdate.mysql.sql)

0.5 BETA5 (2002/05/27)
 - added ticket escalation - if a ticket is to old, only this ticket will be shown
    till somebody is working on it
     * added new row (ticket_answered) to ticket table
     * updated Kernel/Output/HTML/<THEME>/AdminQueueForm.dtl
 - added auto ticket unlock for locked old not answered tickets
     * added new row (ticket_answered) to ticket table
     * modified Kernel::System::Ticket::Lock::SetLock()
     * added bin/UnlockTickets.pl with --timeout and --all options
 - added command line tool (bin/DeleteSessionIDs.pl) to delete expired or all session
    ids via command line or cron - options are --help, --expired and --all
 - fixed bug[7] (http://bugs.otrs.org/show_bug.cgi?id=7 - space in Installer.pm
    lets creating of database otrs in MySQL fail) by Stefan Schmidt.
 - added URL (screen) recovery after session timeout and possibility to send
    links without session id. Example: Shows you the ticket after OTRS
    login - http://host.example.com/otrs/index.pl?AgentZoom&TicketID=9
 - added http://bugs.otrs.org/ link to the Error.dtl template, to get an easier
    bug reporting
 - added NoPermission.dtl screen
 - added phone tool - Kernel::Modules::AgentPhone.pm
 - added french translation (thanks to Martin Scherbaum)
 - added 'Send follow up notification' and 'Send new ticket notification' to agent
    feature
     * added new values to initial_insert.sql for agent notifications, table:
       ticket_history_type, value: SendAgentNotification
     * modified Kernel/Output/HTML/<THEME>/AgentPreferencesForm.dtl
     * required "new" options in Kernel::Config.pm!
 - fixed suse-rcotrs script (thanks to Martin Scherbaum)
     * added "INIT INFO"
     * just check httpd and mysqld - no restart
     * added stop-force|start-force option to restart httpd and mysqld
 - added help texts to the admin screens

0.5 BETA4 (2002/05/07)
 - changed login screen and added motd feature (Kernel/Output/HTML/Standard/Motd.dtl
   the motd file)
 - added Kernel::Modules::AdminCharsets.pm
 - added Kernel::Modules::AdminStatus.pm
 - added Kernel::Modules::AdminLanguages.pm
 - added mod_perl stuff to README.webserver and scripts/suse-httpd.include.conf
 - fixed bug[6] (http://bugs.otrs.org/show_bug.cgi?id=6 - user is a reserved word in
    SQL) reported by Charles Wimmer. Added some variables for table names and columns
    to Kernel/Config.pm. Important: For existing installations you have to change the
    Config.pm or to rename the "user" table to "system_user"!
 - added "kill all sessions" funktion to Kernel::Modules::AdminSession.pm
 - added old subject ("subject snip") and old email ("body snip") to auto reply
 - added stats support Kernel::Modules::SystemStats and bin/mkStats.pl (with GD)
 - fixed missing html quoting in Kernel::Output::HTML::Agent->AgentHistory
 - update of html in AgentTicketView.dtl and AgentZoom.dtl
 - added MoveInToAllQueues [1|0] to Config.pm (allow to choose the move queues for
    ticket view and zoom [all|own])

0.5 BETA3 (2002/04/17)
 - added AgentOwner Module
 - added AgentForward Module
 - added auto session delete funktions if remote ip or session time is invalid.
 - added mail (show-)attachment funktion
 - added permission check funktions for AgentZoom, AgentPlain and AgentAttachments
 - added README.application-module

0.5 BETA2 (2002/04/11)
 - html (*.dtl) beautified
 - added session driver (sql|fs)

0.5 BETA1 (2002/03/11)
 - first official release

EOF
